----------------------------------------------------------------------

local AB_TEST_NAME   = "auto_select_all_v2";
local listener       = {};

----------------------------------------------------------------------

function listener:activate()

--   EventMgr:addListener( self, self._onIAPVerified,      "iap-verification-accepted"   );
--   EventMgr:addListener( self, self._onGamePlay,         "game-start"                  );
--   EventMgr:addListener( self, self._onVideo,            "video-gold"                  );
--   EventMgr:addListener( self, self._onVideo,            "video-key"                   );

end

----------------------------------------------------------------------

function listener:deactivate()

   EventMgr:rmvListener( self );

end

----------------------------------------------------------------------

function listener:_onIAPVerified( event )

   local loop = 1;

   if event.id and AbTestMgr.IAP_LOOP_ID then
      loop = AbTestMgr.IAP_LOOP_ID[event.id] or loop;
   end

   for i=1,loop do
      AbTestMgr:onSuccess( AB_TEST_NAME, "buy-iap-verified_loop", true );
   end

end


----------------------------------------------------------------------

function listener:_onGamePlay( event )

   if ( not App.data:isThief() ) then

      AbTestMgr:onSuccess(  AB_TEST_NAME, "game-play" );

      if event.count >= 100 then
         AbTestMgr:onSuccess(  AB_TEST_NAME, "game-play > 100", true );
      end
   end

end

----------------------------------------------------------------------

function listener:_onVideo( event )

   if ( not App.data:isThief() ) then

      AbTestMgr:onSuccess( AB_TEST_NAME, "video" );

   end

end

----------------------------------------------------------------------

return listener;
