require('app/achievement/goal/achievement-goal')

----------------------------------------------------------------------

local Base = AchievementGoal;

AchievementGoalCoins = Base:new();

----------------------------------------------------------------------

function AchievementGoalCoins:new( achievement, template  )

   local goal  = Base.new( self, achievement, template );

   return goal;

end

----------------------------------------------------------------------

function AchievementGoalCoins:activate( reset )

   Base.activate( self, reset );

   if not self:isCompleted() then
      EventMgr:addListener( self, self.onAvatarPickup, "avatar-pickup" );
   end

end

----------------------------------------------------------------------

function AchievementGoalCoins:onAvatarPickup( event, type )

   -- print("AchievementGoalCoins:onAvatarPickup", event, type);

   if not self:isCompleted() then

      if event.pickup.pickupType == "currency" then

         self.progress = self.progress + event.pickup.value;

         if self.progress >= self.template.objective then
            self:_OnCompleted();
         end

      end
   end
end
