require('app/achievement/goal/achievement-goal')

----------------------------------------------------------------------

local Base = AchievementGoal;

AchievementGoalGift = Base:new();

----------------------------------------------------------------------

function AchievementGoalGift:new( achievement, template  )

   local goal  = Base.new( self, achievement, template );

   return goal;

end

----------------------------------------------------------------------

function AchievementGoalGift:activate( reset )

   Base.activate( self, reset );

   if not self:isCompleted() then
         EventMgr:addListener( self, self.onGiftSent, "gift-sent");
   end

end

----------------------------------------------------------------------

function AchievementGoalGift:onGiftSent( event )

   if not self:isCompleted() then

      -- print("AchievementGoalGift:onGiftSent-2");

      self.progress = self.progress + 1;

      -- print("AchievementGoalGift:onGiftSent-3", self.progress, self.template.objective );

      if self.progress >= self.template.objective then
         self:_OnCompleted();
      end

   end
end
