require('app/achievement/goal/achievement-goal')

----------------------------------------------------------------------

local Base = AchievementGoal;

AchievementGoalKill = Base:new();

----------------------------------------------------------------------

function AchievementGoalKill:new( achievement, template  )

   local goal  = Base.new( self, achievement, template );

   return goal;

end

----------------------------------------------------------------------

function AchievementGoalKill:activate( reset )

   Base.activate( self, reset );

   if not self:isCompleted() then
         EventMgr:addListener( self, self.onAvatarKill , "avatar-kill" );
   end

end

----------------------------------------------------------------------

function AchievementGoalKill:onAvatarKill( event )

   if not self:isCompleted() then

      self.progress = self.progress + 1;

      -- print("AchievementGoalKill:onKill-3", self.progress, self.template.objective );

      if self.progress >= self.template.objective then
         self:_OnCompleted();
      end

   end
end
