require('app/achievement/goal/achievement-goal')

----------------------------------------------------------------------

local Base = AchievementGoal;

AchievementGoalLeaderboard = Base:new();

----------------------------------------------------------------------

function AchievementGoalLeaderboard:new( achievement, template  )

   local goal  = Base.new( self, achievement, template );

   return goal;

end

----------------------------------------------------------------------

function AchievementGoalLeaderboard:activate( reset )

   Base.activate( self, reset );

   if not self:isCompleted() then
      EventMgr:addListener(self, self.onLeaderboard,		"weekly-reward" );
   end

end

----------------------------------------------------------------------

function AchievementGoalLeaderboard:onLeaderboard( event )

   if not self:isCompleted() then

      if event.rank then
         if event.rank < 4 then

            self.progress = self.progress + 1;
            
            if self.progress >= self.template.objective then
               self:_OnCompleted();
            else
               self:_SaveProgress();
            end
         end
      end
      
   end
end
