require('app/data/transaction/data-transaction')
require('app/possession/possession-manager')

----------------------------------------------------------------------

local Base                                   = DataTransaction;
DataTransactionUpdateAchievementProgress     = Base:_new("DataTransactionUpdateAchievementProgress");

----------------------------------------------------------------------

function DataTransactionUpdateAchievementProgress:new( data,  achvId, progress  )

   local task  = Base.new(  self );

   task.achvId       = achvId;
   task.progress     = progress;
   
print( "DataTransactionUpdateAchievementProgress:new", task.achvId, task.progress );

   return task;

end

----------------------------------------------------------------------

function DataTransactionUpdateAchievementProgress:testMe()

   print("DataTransactionUpdateAchievementProgress:testMe()");
   
end

----------------------------------------------------------------------

function DataTransactionUpdateAchievementProgress:buildValues( data )

   local achvProgId = data:createAchievemetProgressId( self.achvId );

print("DataTransactionUpdateAchievementProgress:exec-1", self.achvId, self.progress, achvProgId, data[achvProgId] );

   --Save
   self._values                     = {};
   self._values[achvProgId]         = self.progress;

   return self._values;

end

----------------------------------------------------------------------

function DataTransactionUpdateAchievementProgress:onSuccess( data )

local achvProgId = data:createAchievemetProgressId( self.achvId );
print("DataTransactionUpdateAchievementProgress:onSuccess-1", self.achvId, self.progress, achvProgId, data[achvProgId] );

end

----------------------------------------------------------------------
