require('app/server/tango')

----------------------------------------------------------------------

local Base      = TangoServer;
PossessionTask  = Base:new();

----------------------------------------------------------------------

function PossessionTask:new( callObj, callSuccess, callFailure, params )

   local task           = Base.new(self);

   task.callObj         = callObj;
   task.callExec        = callExec;
   task.callSuccess     = callSuccess;
   task.callFailure     = callFailure;   
   task.params          = params;

   return task;

end

----------------------------------------------------------------------

function PossessionTask:exec()

end

----------------------------------------------------------------------

function PossessionTask:canMerge( task )
   return false;
end

----------------------------------------------------------------------

function PossessionTask:merge( task )
   return false;
end

----------------------------------------------------------------------

function PossessionTask:onSuccess( possessions, ... )

   self:callCallback( self.callObj, self.callSuccess, self.params, possessions, ... );
                                   
end

----------------------------------------------------------------------

function PossessionTask:onFailure( outDated, ... )

   self:callCallback( self.callObj, self.callFailure, self.params, outDated, ... );
                                   
end

----------------------------------------------------------------------
