
require('app/achievement/goal/achievement-goal-coins');

----------------------------------------------------------------------

local achievement =

{
   
   id       = "achv-coin",
   name     = "AchievementCoins",
   rank     =
   {
      --1
      {
         reward   = { gem = 10   },
         goal     =
         {
            factory     = AchievementGoalCoins,
            cumulative  = true,
            objective   =  50000,
            description =  "Collect 50,000 Coins",
            title       =  "The Collector",
            icon        = "resources/UI/achievement/achv_CoinsCollected.png",
            rewardTxt   =  "10",
         }
      },
      {
         reward   = { gem = 25   },
         goal     =
         {
            factory     = AchievementGoalCoins,
            cumulative  = true,
            objective   = 250000,
            description = "Collect 250,000 Coins",
            title       =  "The Collector",
            icon        = "resources/UI/achievement/achv_CoinsCollected.png",
            rewardTxt   =  "25",
         }
      },
      {
         reward   = { gem = 100   },
         goal     =
         {
            factory     = AchievementGoalCoins,
            cumulative  = true,
            objective   = 2000000,
            description = "Collect 2,000,000 Coins",
            title       = "The Collector",
            icon        = "resources/UI/achievement/achv_CoinsCollected.png",
            rewardTxt   =  "100",
         }
      },
      {
         reward   = { gem = 0   },
         goal     =
         {
            factory     = AchievementGoalCoins,
            cumulative  = true,
            objective   = -1,
            description = "Achievement Completed!",
            title       = "The Collector",
            icon        = "resources/UI/achievement/achv_CoinsCollected.png",
            rewardTxt   =  "-",
         }
      },
   }
};


return achievement;

----------------------------------------------------------------------
