
require('app/achievement/goal/achievement-goal-video');

----------------------------------------------------------------------

local achievement =

{
   
   id       = "achv-video",
   name     = "AchievementVideo",
   rank     =
   {
      --1
      {
         reward   = { gem = 5   },
         goal     =
         {
            factory        = AchievementGoalVideo,
            cumulative     = true,
            objective      = 15,
            description    = "Watch 15 Videos",
            title          = "Film Critic",
            icon           = "resources/UI/achievement/achv_WatchVideos.png",
            rewardTxt      =  "5",
         }
      },
      {
         reward   = { gem = 10   },
         goal     =
         {
            factory        = AchievementGoalVideo,
            cumulative     = true,
            objective      = 75,
            description    = "Watch 75 Videos",
            title          = "Film Critic",
            icon           = "resources/UI/achievement/achv_WatchVideos.png",
            rewardTxt      =  "10",
         }
      },
      {
         reward   = { gem = 25   },
         goal     =
         {
            factory        = AchievementGoalVideo,
            cumulative     = true,
            objective      = 250,
            description    = "Watch 250 Videos",
            title          = "Film Critic",
            icon           = "resources/UI/achievement/achv_WatchVideos.png",
            rewardTxt      =  "25",
         }
      },
      {
         reward   = { gem = 0   },
         goal     =
         {
            factory     = AchievementGoalVideo,
            cumulative  = true,
            objective   = -1,
            description = "Achievement Completed!",
            title       = "Film Critic",
            icon        = "resources/UI/achievement/achv_WatchVideos.png",
            rewardTxt   =  "-",
         }
      },
   }
};


return achievement;

----------------------------------------------------------------------