require('app/template/boss-vehicles/gunship/boss_gunship_common')

local healthBarTemplates = {}

-- MAIN factory function
function getGunshipHealthbarTemplate(size)

   if not healthBarTemplates[size] then

      -- NOTE: Size doesn't actually do anything for now.

      local HEALTHBAR = Template.extent(TEMPLATE_BOSS_GUNSHIP_HEALTHBAR)

      HEALTHBAR.offset		= { TEMPLATE_BOSS_GUNSHIP_HEALTHBAR.offset[1]*BOSS_GUNSHIP_SIZE_WIDTH_K,
                                    TEMPLATE_BOSS_GUNSHIP_HEALTHBAR.offset[2]*BOSS_GUNSHIP_SIZE_HEIGHT_K, }

      healthBarTemplates[size] = HEALTHBAR
   end

   return healthBarTemplates[size]
end
