require('app/template/template');
require('app/template/explosions/vehicle_explosion')
require('app/template/enemy-vehicles/stats_template')

local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_2 =
{
	width          = 128,
	height         = 256,
	texture        = "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel02.png",
	offset         = {0, 0},
};

local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_3			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_2);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_4			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_3);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_5			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_4);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_6			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_5);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_7			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_6);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_8			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_7);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_9			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_8);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_10			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_9);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_11			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_10);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_12			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_11);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_13			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_12);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_14			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_13);
local TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_15			= Template.extent(TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_14);

TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_3["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel03.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_4["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel04.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_5["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel05.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_6["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel06.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_7["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel07.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_8["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel08.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_9["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel09.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_10["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel10.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_11["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel11.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_12["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel12.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_13["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel13.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_14["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel14.png";
TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_15["texture"]	= "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Armor/Sandrail_ArmorLevel15.png";

TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_LIST =
{
	nil,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_2,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_4,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_5,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_6,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_7,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_8,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_9,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_10,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_11,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_12,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_13,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_14,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_15,
};

----------------------------------------------------------------------

TEMPLATE_BASE_BOUNTY_SANDRAIL_PAINT_LIST =
{
	"resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Black_ArmorLevel01.png",
	"resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Blue_ArmorLevel01.png",
	"resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Red_ArmorLevel01.png",
	"resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Green_ArmorLevel01.png",
	"resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Pink_ArmorLevel01.png",
	"resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Teal_ArmorLevel01.png",
};

----------------------------------------------------------------------

TEMPLATE_BASE_BOUNTY_VEHICLE_SANDRAIL =
{
   type              = "bounty",
   layer             = 3,
   useLevelSpeed     = true,
   speedMax          = { 300 ,   -125     },
   speedMaxRnd       = {   0 ,    025     },
   avatarSpeedK      =  0.20,
   avatarSpeedKRnd   =  0.05,
   avatarImpulseMinY =  200,
   avatarImpulseMaxY =  300,
   texture           = TEMPLATE_BASE_BOUNTY_SANDRAIL_PAINT_LIST[1],
	splitProp			= true;
   width             = 128,
   height            = 256,
   collisionWidth    = 100,
   collisionHeight   = 200,
   mass              = 150*1000,
   score             = TEMPLATE_BASE_SCORE["Pickup"]["A"],
   hitPoints         = TEMPLATE_BASE_HP["Pickup"]["A"],
   avatarHitDamage   = { 1/12, 2/12, 3/12, 4/12, 5/12, 6/12, 7/12, 8/12, 9./12, 10/12, 11/12, 12/12 },
   damageToAvatar    = TEMPLATE_BASE_RAM_DMG["Group_1"]["A"],
   drop              = { 1, 1 },
	dropSpeedK        = { 2, 4 },
   specialDrop       = { 1, 1 },
   specialDropOdds   = 1.00,
   specialDropIndex  = { PICKUP_BOUNTY_INDEX },
	picOffset			= { 0, 0 },
	tangoId				= nil,
	offScreenInvc		= true,
   damageTypeSound   = {
                     {start={
                              "AutoSkid1",},
                              },
                     {start={
                              "HTTCollision1",},
                              },
                     {},};
   explosion      = TEMPLATE_VEHICLE_EXPLOSION.medium,
	armor				= TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_LIST[1],
   shadow         =
   {
      layer          = 1,
      width          = 128,
      height         = 256,
      avatarSpeedK   = 0,
      texture        = "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Shadow.png",
      offset         = {15,-15},
      color          = {1,1,1,0.5},
   },
   healthBar      =
   {
      template    =
      {
         layer          = 2,
         texture        = "resources/square.png",
         width          = 72,
         height         = 12,
         colorFull      = { 0, 1, 0, 0.35 },
         colorHalf      = { 1, 1, 0, 0.35 },
         colorEmpty     = { 1, 0, 0, 0.35 },
      },
      offset      = { 0, -140 },
   },
};
