require("app/template/template");
require("game/entity/powerup/powerupDash");

local consumable_headStart =
{
   type              = "powerup_speed_burst",
   name              = "Head Start",
   desc              = "Start your game with a powerful speed Boost",
   cost              = {gem=1},
   quantity          = 1,
   duration          = 0,
   
   tplPowerup        = {
                           type           = "powerup_speed_burst",
                           moreTimeScalar = 1.50,
                           duration       = 6,
                           warningDuration= 1.5,
                           warningCount   = 2,
                           warningColor   = { 1, 1, 0, 1.00 },
                           warningScale   = 2.00,
                           disableBoostPickup = true,
                           texture        = "resources/Powerup/Effect_Boost.png",
                           offset         = { 0, -10 },
                           width          = 382/1.25,
                           height         = 613/1.25,
                          -- color          = { 55/255, 219/255, 255/255, 1.00 },
                           massBurst      = 5000,
                           speedBurst     = 3000,
                           layer          = 1,
                           invicible      = true;
                           factory        = PowerupDash;
                           sounds         = {start={
                                                   "BoostPickup1",
                                                   },},
                           tplProjectile  =
                           {
                              speedBurst        = true,
                              damage            = 10000000,
                              invicible         = true,
                              speed             =  { 0, 2000 },
                              width             = 382/1.25*2,
                              height            = 613/1.25*2,
                              color             = { 1, 1, 0, 1.00 },
                              texture           = "resources/Powerup/Effect_Boost.png",
                           },
                        },
};

return consumable_headStart;
