require("app/template/template");

local drone_barricade_proj_texture =
{
	--indexed by rarity
	projectile =
	{
      {
         width             = 175,
         height            = 99,
         collisionWidth    = 192,
         collisionHeight   = 99,
         texture				= "resources/Vehicle/Drones/DroneBarricade/blast_yellow.png",
         hitMarker			=
         {
            texture        = "resources/Explosion/Lazer_Explosions/LaserDrone_Explosion_Yellow.png",
         },
      },
      {
         width             = 175,
         height            = 99,
         collisionWidth    = 192,
         collisionHeight   = 99,
         texture				= "resources/Vehicle/Drones/DroneBarricade/blast_red.png",
         hitMarker			=
         {
            texture        = "resources/Explosion/Lazer_Explosions/LaserDrone_Explosion_Red.png",
         },
      },
      {
         width             = 240,
         height            = 99,
         collisionWidth    = 256,
         collisionHeight   = 99,
         texture				= "resources/Vehicle/Drones/DroneBarricade/blast_green.png",
         hitMarker			=
         {
            texture        = "resources/Explosion/Lazer_Explosions/LaserDrone_Explosion_Green.png",
         },
      },
      {
         width             = 240,
         height            = 99,
         collisionWidth    = 256,
         collisionHeight   = 99,
         texture				= "resources/Vehicle/Drones/DroneBarricade/blast_blue.png",
         hitMarker			=
         {
            texture        = "resources/Explosion/Lazer_Explosions/LaserDrone_Explosion_Blue.png",
         },
      },
      {
         width             = 272,
         height            = 99,
         collisionWidth    = 288,
         collisionHeight   = 99,
         texture				= "resources/Vehicle/Drones/DroneBarricade/blast_purple.png",
         hitMarker			=
         {
            texture        = "resources/Explosion/Lazer_Explosions/LaserDrone_Explosion_Purple.png",
         },
      },
	},
   
	--indexed by rarity
	beam	=
	{
      {
         texture="resources/Vehicle/Drones/DroneBarricade/beam_yellow.png",
         offset= {0, 20},
      },
      {
         texture="resources/Vehicle/Drones/DroneBarricade/beam_red.png",
         offset= {0, 25},
      },
      {
         texture="resources/Vehicle/Drones/DroneBarricade/beam_green.png",
         offset= {0, 30},
      },
      {
         texture="resources/Vehicle/Drones/DroneBarricade/beam_blue.png",
         offset= {0, 35},
      },
      {
         texture="resources/Vehicle/Drones/DroneBarricade/beam_purple.png",
         offset= {0, 40},
      },
	},
   
	--indexed by rarity
	muzzleGlow	=
	{
      {
         animId="charging_mvc_yellow",
         offset= {0, 25},
      },
      {
         animId="charging_mvc_red",
         offset= {0, 30},
      },
      {
         animId="charging_mvc_green",
         offset= {0, 35},
      },
      {
         animId="charging_mvc_blue",
         offset= {0, 40},
      },
      {
         animId="charging_mvc_purple",
         offset= {0, 45},
      },
	},
   
   --indexed by rarity
   maxLifeTime =
   {
      5/30, 8.5/30, 8.5/30, 12/30, 12/30,
   },
   
   --charge time indexed by level
   chargeThreshold =
   {
      25, 24, 23, 22, 21,
      20, 19, 18, 17, 16,
      15, 14, 13, 12, 11,
   },
   
};

return drone_barricade_proj_texture;