require("app/template/template");

--indexed by rarity then level
local drone_gun_proj_texture =
{
	--projectile textures indexed by rarity then level
	texture =
	{
		{
			"resources/Vehicle/BulletEffects/Bullet_Level01.png",
			"resources/Vehicle/BulletEffects/Bullet_Level02.png",
			"resources/Vehicle/BulletEffects/Bullet_Level03.png",
			"resources/Vehicle/BulletEffects/Bullet_Level04.png",
			"resources/Vehicle/BulletEffects/Bullet_Level05.png",
			"resources/Vehicle/BulletEffects/Bullet_Level06.png",
			"resources/Vehicle/BulletEffects/Bullet_Level07.png",
			"resources/Vehicle/BulletEffects/Bullet_Level08.png",
			"resources/Vehicle/BulletEffects/Bullet_Level09.png",
			"resources/Vehicle/BulletEffects/Bullet_Level10.png",
			"resources/Vehicle/BulletEffects/Bullet_Level11.png",
			"resources/Vehicle/BulletEffects/Bullet_Level12.png",
			"resources/Vehicle/BulletEffects/Bullet_Level13.png",
			"resources/Vehicle/BulletEffects/Bullet_Level14.png",
			"resources/Vehicle/BulletEffects/Bullet_Level15.png",
		},
		{
			"resources/Vehicle/BulletEffects/Bullet_Level16.png",
			"resources/Vehicle/BulletEffects/Bullet_Level17.png",
			"resources/Vehicle/BulletEffects/Bullet_Level18.png",
			"resources/Vehicle/BulletEffects/Bullet_Level19.png",
			"resources/Vehicle/BulletEffects/Bullet_Level20.png",
			"resources/Vehicle/BulletEffects/Bullet_Level21.png",
			"resources/Vehicle/BulletEffects/Bullet_Level22.png",
			"resources/Vehicle/BulletEffects/Bullet_Level23.png",
			"resources/Vehicle/BulletEffects/Bullet_Level24.png",
			"resources/Vehicle/BulletEffects/Bullet_Level25.png",
			"resources/Vehicle/BulletEffects/Bullet_Level26.png",
			"resources/Vehicle/BulletEffects/Bullet_Level27.png",
			"resources/Vehicle/BulletEffects/Bullet_Level28.png",
			"resources/Vehicle/BulletEffects/Bullet_Level29.png",
			"resources/Vehicle/BulletEffects/Bullet_Level30.png",
		},
		{
			"resources/Vehicle/BulletEffects/Bullet_Level31.png",
			"resources/Vehicle/BulletEffects/Bullet_Level32.png",
			"resources/Vehicle/BulletEffects/Bullet_Level33.png",
			"resources/Vehicle/BulletEffects/Bullet_Level34.png",
			"resources/Vehicle/BulletEffects/Bullet_Level35.png",
			"resources/Vehicle/BulletEffects/Bullet_Level36.png",
			"resources/Vehicle/BulletEffects/Bullet_Level37.png",
			"resources/Vehicle/BulletEffects/Bullet_Level38.png",
			"resources/Vehicle/BulletEffects/Bullet_Level39.png",
			"resources/Vehicle/BulletEffects/Bullet_Level40.png",
			"resources/Vehicle/BulletEffects/Bullet_Level41.png",
			"resources/Vehicle/BulletEffects/Bullet_Level42.png",
			"resources/Vehicle/BulletEffects/Bullet_Level43.png",
			"resources/Vehicle/BulletEffects/Bullet_Level44.png",
			"resources/Vehicle/BulletEffects/Bullet_Level45.png",
		},
		{
			"resources/Vehicle/BulletEffects/Bullet_Level46.png",
			"resources/Vehicle/BulletEffects/Bullet_Level47.png",
			"resources/Vehicle/BulletEffects/Bullet_Level48.png",
			"resources/Vehicle/BulletEffects/Bullet_Level49.png",
			"resources/Vehicle/BulletEffects/Bullet_Level50.png",
			"resources/Vehicle/BulletEffects/Bullet_Level51.png",
			"resources/Vehicle/BulletEffects/Bullet_Level52.png",
			"resources/Vehicle/BulletEffects/Bullet_Level53.png",
			"resources/Vehicle/BulletEffects/Bullet_Level54.png",
			"resources/Vehicle/BulletEffects/Bullet_Level55.png",
			"resources/Vehicle/BulletEffects/Bullet_Level56.png",
			"resources/Vehicle/BulletEffects/Bullet_Level57.png",
			"resources/Vehicle/BulletEffects/Bullet_Level58.png",
			"resources/Vehicle/BulletEffects/Bullet_Level59.png",
			"resources/Vehicle/BulletEffects/Bullet_Level60.png",
		},
		{
			"resources/Vehicle/BulletEffects/Bullet_Level61.png",
			"resources/Vehicle/BulletEffects/Bullet_Level62.png",
			"resources/Vehicle/BulletEffects/Bullet_Level63.png",
			"resources/Vehicle/BulletEffects/Bullet_Level64.png",
			"resources/Vehicle/BulletEffects/Bullet_Level65.png",
			"resources/Vehicle/BulletEffects/Bullet_Level66.png",
			"resources/Vehicle/BulletEffects/Bullet_Level67.png",
			"resources/Vehicle/BulletEffects/Bullet_Level68.png",
			"resources/Vehicle/BulletEffects/Bullet_Level69.png",
			"resources/Vehicle/BulletEffects/Bullet_Level70.png",
			"resources/Vehicle/BulletEffects/Bullet_Level71.png",
			"resources/Vehicle/BulletEffects/Bullet_Level72.png",
			"resources/Vehicle/BulletEffects/Bullet_Level73.png",
			"resources/Vehicle/BulletEffects/Bullet_Level74.png",
			"resources/Vehicle/BulletEffects/Bullet_Level75.png",
		},
	},
	--indexed by level
	shootDelay =
	{
		20/30,
		20/30,
		20/30,
		20/30,
		20/30,
		15/30,
		15/30,
		15/30,
		15/30,
		15/30,
		10/30,
		10/30,
		10/30,
		10/30,
		0.0,
	},
	--indexed by level
	bulletCount =
	{
		3, 4, 5, 6, 7, 3, 4, 5, 6, 7, 3, 4, 5, 6, 6
	},
};

return drone_gun_proj_texture;