local V2_SCORE_K  = 1.5;
local V2_HP_K     = 1.5;


TEMPLATE_BASE_RAM_DMG =
{
	Group_1 =
	{
		A = {25,		75		},
		B = {50,		150	},
		C = {100,	300	},
	},

	Group_2 =
	{
		A = {200,	600	},
		B = {400,   1200	},
		C = {800,	2400	},
	},
	
	Group_3 =
	{
		A = {1600,     4800	},
		B = {3200,     9600	},
		C = {6400,     19200	},
	},
	
	Group_4 =
	{
		A = {1600,     4800	},
		B = {3200,     9600	},
		C = {6400,     19200	},
	},
};

----------------------------------------------------------------------

TEMPLATE_BASE_SHOT_DMG =
{
	Group_1 =
	{
		A = 25,
		B = 50,
		C = 100,
	},

	Group_2 =
	{
		A = 200,
		B = 400,
		C = 800,
	},
	
	Group_3 =
	{
		A = 1600,
		B = 3200,
		C = 6400,
	},
	
	Group_4 =
	{
		A = 1600,
		B = 3200,
		C = 6400,
	},
};

----------------------------------------------------------------------

local SHOOTER_HP_K = 1.5;

----------------------------------------------------------------------

TEMPLATE_BASE_HP =
{
	Muscle =
	{
		A = 100,
		B = 900,
		C = 2500,
	},

	Wagon =
	{
		A = 300,
		B = 1300,
		C = 3300,
	},
	
	Bus =
	{
		A = 500,
		B = 1700,
		C = 4100,
	},
	
	Pickup =
	{
		A = 0700*SHOOTER_HP_K,
		B = 2100*SHOOTER_HP_K,
		C = 4900*SHOOTER_HP_K,
	},
	
	Sedan =
	{
		A = 5700,
		B = 12100,
		C = 24900,
	},

	Fullsize =
	{
		A = 7300,
		B = 15300,
		C = 31300,
	},
	
	TowTruck =
	{
		A = 8900,
		B = 18500,
		C = 37700,
	},
	
	Dualie =
	{
		A = 10500*SHOOTER_HP_K,
		B = 21700*SHOOTER_HP_K,
		C = 44100*SHOOTER_HP_K,
	},

	Jeep =
	{
		A = 50500,
		B = 101700,
		C = 204100,
	},

	APC =
	{
		A = 63300,
		B = 127300,
		C = 255300,
	},
	
	Launcher =
	{
		A = 76100,
		B = 152900,
		C = 306500,
	},
	
	Halftrack =
	{
		A = 088900*SHOOTER_HP_K,
		B = 178500*SHOOTER_HP_K,
		C = 357700*SHOOTER_HP_K,
	},
	
	Muscle_V2 =
	{
		A = 50500*V2_HP_K,
		B = 101700*V2_HP_K,
		C = 204100*V2_HP_K,
	},

	Wagon_V2 =
	{
		A = 63300*V2_HP_K,
		B = 127300*V2_HP_K,
		C = 255300*V2_HP_K,
	},
	
	Bus_V2 =
	{
		A = 76100*V2_HP_K,
		B = 152900*V2_HP_K,
		C = 306500*V2_HP_K,
	},
	
	Pickup_V2 =
	{
		A = 088900*SHOOTER_HP_K*V2_HP_K,
		B = 178500*SHOOTER_HP_K*V2_HP_K,
		C = 357700*SHOOTER_HP_K*V2_HP_K,
	},
};

----------------------------------------------------------------------

TEMPLATE_BASE_SCORE =
{
	Muscle =
	{
		A = 10,
		B = 55,
		C = 125,
	},

	Wagon =
	{
		A = 20,
		B = 70,
		C = 150,
	},
	
	Bus =
	{
		A = 30,
		B = 85,
		C = 175,
	},
	
	Pickup =
	{
		A = 40,
		B = 100,
		C = 200,
	},
	Sedan =
	{
		A = 250,
		B = 500,
		C = 1000,
	},

	Fullsize =
	{
		A = 300,
		B = 600,
		C = 1200,
	},
	
	TowTruck =
	{
		A = 350,
		B = 700,
		C = 1400,
	},
	
	Dualie =
	{
		A = 400,
		B = 800,
		C = 1600,
	},

	Jeep =
	{
		A = 2000,
		B = 4000,
		C = 8000,
	},

	APC =
	{
		A = 2400,
		B = 4800,
		C = 9600,
	},
	
	Launcher =
	{
		A = 2800,
		B = 5600,
		C =11200,
	},
	
	Halftrack =
	{
		A = 3200,
		B = 6400,
		C =12800,
	},

	Muscle_V2 =
	{
		A = 2000*V2_SCORE_K,
		B = 4000*V2_SCORE_K,
		C = 8000*V2_SCORE_K,
	},

	Wagon_V2 =
	{
		A = 2400*V2_SCORE_K,
		B = 4800*V2_SCORE_K,
		C = 9600*V2_SCORE_K,
	},
	
	Bus_V2 =
	{
		A = 2800*V2_SCORE_K,
		B = 5600*V2_SCORE_K,
		C =11200*V2_SCORE_K,
	},
	
	Pickup_V2 =
	{
		A = 3200*V2_SCORE_K,
		B = 6400*V2_SCORE_K,
		C =12800*V2_SCORE_K,
	},
};

----------------------------------------------------------------------