local FREEWAY_MULTIPLIER_BASE =
{
   --1X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 1.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 30/30,
            scale    = 1.00,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --2X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.10,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.10,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --3X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.20,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.20,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --4X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --5X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --6X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --7X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --8X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --9X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --10X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
};

local ICE_MULTIPLIER_BASE =
{
   --1X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.7, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 1.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 30/30,
            scale    = 1.00,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --2X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.10,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.10,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --3X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.20,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.20,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --4X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --5X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --6X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --7X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --8X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --9X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --10X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
};

local SAND_MULTIPLIER_BASE =
{
   --1X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 1.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 30/30,
            scale    = 1.00,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --2X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.10,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.10,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --3X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.20,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.20,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --4X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --5X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --6X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --7X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --8X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --9X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --10X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
};

local DIRT_MULTIPLIER_BASE =
{
   --1X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 1.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 30/30,
            scale    = 1.00,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --2X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.10,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.10,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --3X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.20,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.20,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --4X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --5X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --6X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --7X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --8X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --9X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --10X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
};

local SNOW_MULTIPLIER_BASE =
{
   --1X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.7, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 1.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 30/30,
            scale    = 1.00,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --2X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.10,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.10,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --3X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.20,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.20,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --4X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --5X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --6X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --7X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --8X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --9X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --10X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 10,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 1.0 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
};

----------------------------------------------------------------------

MULTIPLIER_FLYOUT_TEMPLATES =
{
   freewayV1   = FREEWAY_MULTIPLIER_BASE,
   iceV1       = ICE_MULTIPLIER_BASE,
   sandV1      = SAND_MULTIPLIER_BASE,
   freewayV2   = FREEWAY_MULTIPLIER_BASE,
   iceV2       = ICE_MULTIPLIER_BASE,
   sandV2      = SAND_MULTIPLIER_BASE,
   dirtV2      = DIRT_MULTIPLIER_BASE,
   snowV2      = SNOW_MULTIPLIER_BASE,
};

----------------------------------------------------------------------
----------------------------------------------------------------------

local FREEWAY_SCORE_BASE =
{
   --1X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 1.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 30/30,
            scale    = 1.00,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --2X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.10,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.10,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --3X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.20,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.20,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --4X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --5X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --6X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --7X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --8X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --9X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --10X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
};

local ICE_SCORE_BASE =
{
   --1X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.7, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 1.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 30/30,
            scale    = 1.00,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --2X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.10,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.10,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --3X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.20,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.20,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --4X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --5X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --6X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --7X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --8X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --9X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --10X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
};

local SAND_SCORE_BASE =
{
   --1X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 1.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 30/30,
            scale    = 1.00,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --2X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.10,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.10,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --3X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.20,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.20,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --4X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --5X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --6X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --7X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --8X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --9X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --10X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
};

local DIRT_SCORE_BASE =
{
   --1X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 1, 1, 1, 0.7 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 1.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 30/30,
            scale    = 1.00,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --2X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.10,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.10,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --3X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.20,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.20,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --4X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --5X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --6X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --7X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --8X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --9X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --10X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 1, 0.0, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
};

local SNOW_SCORE_BASE =
{
   --1X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.7, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 1.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 30/30,
            scale    = 1.00,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --2X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.10,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.10,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --3X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.20,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.20,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --4X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --5X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --6X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --7X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --8X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --9X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
   --10X
   {  speed          =  { 0 , 400 },
      speedRnd       =  { 0 , 150 },
      duration       =  1.5,
      avatarSpeedK   =  0.0,
      text           =
      {
         font        = "resources/font/TangoLatin.otf",
         size        = 16,
         letters     = "xX0123456789",
      },
      color          = { 0.0, 0.30, 0.70, 0.85 },
      keys           =
      {
         {
            time     = 0/30,
            scale    = 0,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 4/30,
            scale    = 2.00,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 8/30,
            scale    = 1.30,
            alpha    = 1,
            speed    = 000,
         },
         {
            time     = 38/30,
            scale    = 1.30,
            alpha    = 0,
            speed    = 300,
         },
      }
   },
};

----------------------------------------------------------------------

SCORE_FLYOUT_TEMPLATES =
{
   freewayV1   = FREEWAY_SCORE_BASE,
   iceV1       = ICE_SCORE_BASE,
   sandV1      = SAND_SCORE_BASE,
   freewayV2   = FREEWAY_SCORE_BASE,
   iceV2       = ICE_SCORE_BASE,
   sandV2      = SAND_SCORE_BASE,
   dirtV2      = DIRT_SCORE_BASE,
   snowV2      = SNOW_SCORE_BASE,
}

----------------------------------------------------------------------
----------------------------------------------------------------------

local MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT =
{
   dropShadow		= true,
   speed          =  { 0 , 400 },
   speedRnd       =  { 0 , 150 },
   duration       =  3.0,
   avatarSpeedK   =  0.0,
   text           =
   {
      font        = "resources/font/TangoLatin.otf",
      size        = 32,
      letters     = "xX0123456789",
   },
   color          = { 1, 1, 1, 1 },

   keys           =
   {
      {
         time     = 0/30,
         scale    = 0,
         alpha    = 1,
         speed    = 000,
      },
      {
         time     = 10/30,
         scale    = 1.20*0.75,
         alpha    = 1,
         speed    = 000,
      },
      {
         time     = 15/30,
         scale    = 0.75,
         alpha    = 1,
         speed    = 000,
      },
      {
         time     = 60/30,
         scale    = 0.75,
         alpha    = 0,
         speed    = 600,
      },
      {
         time     = 90/30,
         scale    = 0.75,
         alpha    = 0,
         speed    = 600,
      },
   },
   
};

----------------------------------------------------------------------

MULTIPLIER_FLYOUT_BOSS_TEMPLATES =
{
   freewayV1 =
   {
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   iceV1 =
   {
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   sandV1 =
   {
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   freewayV2 =
   {
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   iceV2 =
   {
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   sandV2 =
   {
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   dirtV2 =
   {
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   snowV2 =
   {
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      MULTIPLIER_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
}

----------------------------------------------------------------------
----------------------------------------------------------------------

local SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT =
{
   dropShadow		= true,
   speed          =  { 0 , 400 },
   speedRnd       =  { 0 , 150 },
   duration       =  3.0,
   avatarSpeedK   =  0.0,
   text           =
   {
      font        = "resources/font/TangoLatin.otf",
      size        = 32,
      letters     = "xX0123456789",
   },
   color          = { 0.0, 1, 0.5, 1.0 },
   keys           =
   {
      {
         time     = 0/30,
         scale    = 0,
         alpha    = 1,
         speed    = 000,
      },
      {
         time     = 10/30,
         scale    = 1.20,
         alpha    = 1,
         speed    = 000,
      },
      {
         time     = 15/30,
         scale    = 1.00,
         alpha    = 1,
         speed    = 000,
      },
      {
         time     = 60/30,
         scale    = 1.00,
         alpha    = 0,
         speed    = 600,
      },
      {
         time     = 90/30,
         scale    = 1.00,
         alpha    = 0,
         speed    = 600,
      },
   },
   
};

----------------------------------------------------------------------

SCORE_FLYOUT_BOSS_TEMPLATES =
{
   freewayV1 =
   {
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   iceV1 =
   {
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   sandV1 =
   {
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   freewayV2 =
   {
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   iceV2 =
   {
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   sandV2 =
   {
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   dirtV2 =
   {
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
   snowV2 =
   {
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --1X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --2X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --3X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --4X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --5X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --6X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --7X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --8X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --9X
      SCORE_FLYOUT_BOSS_TEMPLATES_ENTRY_DEFAULT, --10X
   },
}
