require("app/template/store/cost");
require("game/entity/powerup/powerup");

local    COST_K   = 5;

local TEMPLATE_PICKUP_1_LVL_0=
{
   type              = "wrench",
   value             = 25,
   pickableDelay     = 0.25,
   speed             =  { -250,    200      },
   speedRnd          =  {  500,    200      },
   accel             =  {   0,    -1500     },
   spin              =  -10,
   spinRnd           =   20,
   texture           = "resources/Pickup/Pickup_Wrench.png",
   width             = 233/2,
   height            = 105/2,
   sounds            = {start={"PickupWrench",},},
};

local TEMPLATE_PICKUP_1_LVL_1    = Template.extent(TEMPLATE_PICKUP_1_LVL_0);
local TEMPLATE_PICKUP_1_LVL_2    = Template.extent(TEMPLATE_PICKUP_1_LVL_1);
local TEMPLATE_PICKUP_1_LVL_3    = Template.extent(TEMPLATE_PICKUP_1_LVL_2);
local TEMPLATE_PICKUP_1_LVL_4    = Template.extent(TEMPLATE_PICKUP_1_LVL_3);
local TEMPLATE_PICKUP_1_LVL_5    = Template.extent(TEMPLATE_PICKUP_1_LVL_4);
local TEMPLATE_PICKUP_1_LVL_6    = Template.extent(TEMPLATE_PICKUP_1_LVL_5);
local TEMPLATE_PICKUP_1_LVL_7    = Template.extent(TEMPLATE_PICKUP_1_LVL_6);
local TEMPLATE_PICKUP_1_LVL_8    = Template.extent(TEMPLATE_PICKUP_1_LVL_7);
local TEMPLATE_PICKUP_1_LVL_9    = Template.extent(TEMPLATE_PICKUP_1_LVL_8);
local TEMPLATE_PICKUP_1_LVL_10   = Template.extent(TEMPLATE_PICKUP_1_LVL_9);
local TEMPLATE_PICKUP_1_LVL_11   = Template.extent(TEMPLATE_PICKUP_1_LVL_10);
local TEMPLATE_PICKUP_1_LVL_12   = Template.extent(TEMPLATE_PICKUP_1_LVL_11);
local TEMPLATE_PICKUP_1_LVL_13   = Template.extent(TEMPLATE_PICKUP_1_LVL_12);
local TEMPLATE_PICKUP_1_LVL_14   = Template.extent(TEMPLATE_PICKUP_1_LVL_13);
local TEMPLATE_PICKUP_1_LVL_15   = Template.extent(TEMPLATE_PICKUP_1_LVL_14);

TEMPLATE_PICKUP_1_LVL_1["cost"]           = { gold = COST_K*TEMPLATE_BASE_COST_01  };
TEMPLATE_PICKUP_1_LVL_1["value"]          = 25;

TEMPLATE_PICKUP_1_LVL_2["cost"]           = { gold = COST_K*TEMPLATE_BASE_COST_02  };
TEMPLATE_PICKUP_1_LVL_2["value"]          = 30;

TEMPLATE_PICKUP_1_LVL_3["cost"]           = { gold = COST_K*TEMPLATE_BASE_COST_03  };
TEMPLATE_PICKUP_1_LVL_3["value"]          = 35;

TEMPLATE_PICKUP_1_LVL_4["cost"]           = { gold = COST_K*TEMPLATE_BASE_COST_04  };
TEMPLATE_PICKUP_1_LVL_4["value"]          = 40;

TEMPLATE_PICKUP_1_LVL_5["cost"]           = { gold = COST_K*TEMPLATE_BASE_COST_05  };
TEMPLATE_PICKUP_1_LVL_5["value"]          = 45;

TEMPLATE_PICKUP_1_LVL_6["cost"]           = { gold = COST_K*TEMPLATE_BASE_COST_06  };
TEMPLATE_PICKUP_1_LVL_6["value"]          = 50;

TEMPLATE_PICKUP_1_LVL_7["cost"]           = { gold = COST_K*TEMPLATE_BASE_COST_07  };
TEMPLATE_PICKUP_1_LVL_7["value"]          = 55;

TEMPLATE_PICKUP_1_LVL_8["cost"]           = { gold = COST_K*TEMPLATE_BASE_COST_08  };
TEMPLATE_PICKUP_1_LVL_8["value"]          = 60;

TEMPLATE_PICKUP_1_LVL_9["cost"]           = { gold = COST_K*TEMPLATE_BASE_COST_09  };
TEMPLATE_PICKUP_1_LVL_9["value"]          = 65;

TEMPLATE_PICKUP_1_LVL_10["cost"]          = { gold = COST_K*TEMPLATE_BASE_COST_10  };
TEMPLATE_PICKUP_1_LVL_10["value"]         = 70;

TEMPLATE_PICKUP_1_LVL_11["cost"]          = { gold = COST_K*TEMPLATE_BASE_COST_11  };
TEMPLATE_PICKUP_1_LVL_11["value"]         = 75;

TEMPLATE_PICKUP_1_LVL_12["cost"]          = { gold = COST_K*TEMPLATE_BASE_COST_12  };
TEMPLATE_PICKUP_1_LVL_12["value"]         = 80;

TEMPLATE_PICKUP_1_LVL_13["cost"]          = { gold = COST_K*TEMPLATE_BASE_COST_13  };
TEMPLATE_PICKUP_1_LVL_13["value"]         = 85;

TEMPLATE_PICKUP_1_LVL_14["cost"]          = { gold = COST_K*TEMPLATE_BASE_COST_14  };
TEMPLATE_PICKUP_1_LVL_14["value"]         = 90;

TEMPLATE_PICKUP_1_LVL_15["cost"]          = { gold = COST_K*TEMPLATE_BASE_COST_15  };
TEMPLATE_PICKUP_1_LVL_15["value"]         = 100;

TEMPLATE_PICKUP_WRENCH_1 =
{
   version = 30,
   
   level   =
   {
      TEMPLATE_PICKUP_1_LVL_1,
      TEMPLATE_PICKUP_1_LVL_2,
      TEMPLATE_PICKUP_1_LVL_3,
      TEMPLATE_PICKUP_1_LVL_4,
      TEMPLATE_PICKUP_1_LVL_5,
      TEMPLATE_PICKUP_1_LVL_6,
      TEMPLATE_PICKUP_1_LVL_7,
      TEMPLATE_PICKUP_1_LVL_8,
      TEMPLATE_PICKUP_1_LVL_9,
      TEMPLATE_PICKUP_1_LVL_10,
      TEMPLATE_PICKUP_1_LVL_11,
      TEMPLATE_PICKUP_1_LVL_12,
      TEMPLATE_PICKUP_1_LVL_13,
      TEMPLATE_PICKUP_1_LVL_14,
      TEMPLATE_PICKUP_1_LVL_15,
   }
};