require('app/template/template');

local WIDTH_SCALE		= 1.00;
local HEIGHT_SCALE	= 1.00;

local TEMPLATE_PLAYER_VEHICLE_4_PAINT_BASE =
{
	layer             = 3,
	splitProp			= true;
   width             = 128*WIDTH_SCALE,
   height            = 256*HEIGHT_SCALE,
};

local TEMPLATE_PLAYER_VEHICLE_4_PAINT_A      = Template.extent( TEMPLATE_PLAYER_VEHICLE_4_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_4_PAINT_B      = Template.extent( TEMPLATE_PLAYER_VEHICLE_4_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_4_PAINT_C      = Template.extent( TEMPLATE_PLAYER_VEHICLE_4_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_4_PAINT_D      = Template.extent( TEMPLATE_PLAYER_VEHICLE_4_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_4_PAINT_E      = Template.extent( TEMPLATE_PLAYER_VEHICLE_4_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_4_PAINT_F      = Template.extent( TEMPLATE_PLAYER_VEHICLE_4_PAINT_BASE );

TEMPLATE_PLAYER_VEHICLE_4_PAINT_A["cost"]    = { gold =  000,   gem   = 000  };
TEMPLATE_PLAYER_VEHICLE_4_PAINT_A["texture"] = "resources/Vehicle/PlayerVehicle_LazerCarV2/LazerCarV2_Silver.png";
TEMPLATE_PLAYER_VEHICLE_4_PAINT_B["cost"]    = LASERCAR_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_4_PAINT_B["texture"] = "resources/Vehicle/PlayerVehicle_LazerCarV2/LazerCarV2_Black.png";
TEMPLATE_PLAYER_VEHICLE_4_PAINT_C["cost"]    = LASERCAR_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_4_PAINT_C["texture"] = "resources/Vehicle/PlayerVehicle_LazerCarV2/LazerCarV2_Blue.png";
TEMPLATE_PLAYER_VEHICLE_4_PAINT_D["cost"]    = LASERCAR_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_4_PAINT_D["texture"] = "resources/Vehicle/PlayerVehicle_LazerCarV2/LazerCarV2_Orange.png";
TEMPLATE_PLAYER_VEHICLE_4_PAINT_E["cost"]    = LASERCAR_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_4_PAINT_E["texture"] = "resources/Vehicle/PlayerVehicle_LazerCarV2/LazerCarV2_Yellow.png";
TEMPLATE_PLAYER_VEHICLE_4_PAINT_F["cost"]    = LASERCAR_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_4_PAINT_F["texture"] = "resources/Vehicle/PlayerVehicle_LazerCarV2/LazerCarV2_Red.png";

TEMPLATE_PLAYER_VEHICLE_LASERCAR_MK2_PAINT =
{
   version = 19,
   
   variant   =
   {
      TEMPLATE_PLAYER_VEHICLE_4_PAINT_A,
      TEMPLATE_PLAYER_VEHICLE_4_PAINT_B,
      TEMPLATE_PLAYER_VEHICLE_4_PAINT_C,
      TEMPLATE_PLAYER_VEHICLE_4_PAINT_D,
      TEMPLATE_PLAYER_VEHICLE_4_PAINT_E,
      TEMPLATE_PLAYER_VEHICLE_4_PAINT_F,
   }
};