require('app/template/template');

local WIDTH_SCALE		= 0.95;
local HEIGHT_SCALE	= 1.00;
local COST_K         = 20;

local TEMPLATE_PLAYER_VEHICLE_3_PAINT_BASE =
{
	splitProp			= true;
   width             = 128*WIDTH_SCALE,
   height            = 256*HEIGHT_SCALE,
};

local TEMPLATE_PLAYER_VEHICLE_3_PAINT_A      = Template.extent( TEMPLATE_PLAYER_VEHICLE_3_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_3_PAINT_B      = Template.extent( TEMPLATE_PLAYER_VEHICLE_3_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_3_PAINT_C      = Template.extent( TEMPLATE_PLAYER_VEHICLE_3_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_3_PAINT_D      = Template.extent( TEMPLATE_PLAYER_VEHICLE_3_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_3_PAINT_E      = Template.extent( TEMPLATE_PLAYER_VEHICLE_3_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_3_PAINT_F      = Template.extent( TEMPLATE_PLAYER_VEHICLE_3_PAINT_BASE );

TEMPLATE_PLAYER_VEHICLE_3_PAINT_A["cost"]    = { gold =  000,   gem   = 000  };
TEMPLATE_PLAYER_VEHICLE_3_PAINT_A["texture"] = "resources/Vehicle/PlayerVehicle_MissileCar_V2/MissilecarV2_Blue_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_3_PAINT_B["cost"]    = MISSILECAR_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_3_PAINT_B["texture"] = "resources/Vehicle/PlayerVehicle_MissileCar_V2/MissilecarV2_Black_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_3_PAINT_C["cost"]    = MISSILECAR_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_3_PAINT_C["texture"] = "resources/Vehicle/PlayerVehicle_MissileCar_V2/MissilecarV2_Red_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_3_PAINT_D["cost"]    = MISSILECAR_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_3_PAINT_D["texture"] = "resources/Vehicle/PlayerVehicle_MissileCar_V2/MissilecarV2_Silver_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_3_PAINT_E["cost"]    = MISSILECAR_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_3_PAINT_E["texture"] = "resources/Vehicle/PlayerVehicle_MissileCar_V2/MissilecarV2_Green_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_3_PAINT_F["cost"]    = MISSILECAR_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_3_PAINT_F["texture"] = "resources/Vehicle/PlayerVehicle_MissileCar_V2/MissilecarV2_Yellow_ArmorLevel01.png";

TEMPLATE_PLAYER_VEHICLE_MISSILECAR_MK2_PAINT =
{
   version = 19,
   
   variant   =
   {
      TEMPLATE_PLAYER_VEHICLE_3_PAINT_A,
      TEMPLATE_PLAYER_VEHICLE_3_PAINT_B,
      TEMPLATE_PLAYER_VEHICLE_3_PAINT_C,
      TEMPLATE_PLAYER_VEHICLE_3_PAINT_D,
      TEMPLATE_PLAYER_VEHICLE_3_PAINT_E,
      TEMPLATE_PLAYER_VEHICLE_3_PAINT_F,
   }
};