require('app/template/template');

local WIDTH_SCALE		= 0.95;
local HEIGHT_SCALE	= 1.05;

local TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE =
{
	splitProp			= true;
   width             = 128*WIDTH_SCALE,
   height            = 256*HEIGHT_SCALE,
};

local COST_K       = 15;

local TEMPLATE_PLAYER_VEHICLE_2_PAINT_A      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_2_PAINT_B      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_2_PAINT_C      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_2_PAINT_D      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_2_PAINT_E      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_2_PAINT_F      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );

TEMPLATE_PLAYER_VEHICLE_2_PAINT_A["cost"]    = { gold = 000,   gem  = 000  };
TEMPLATE_PLAYER_VEHICLE_2_PAINT_A["texture"] = "resources/Vehicle/PlayerVehicle_MagnetCar_V2/MagnetCar_Base_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_2_PAINT_B["cost"]    = SANDRAIL_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_2_PAINT_B["texture"] = "resources/Vehicle/PlayerVehicle_MagnetCar_V2/MagnetCar_Black_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_2_PAINT_C["cost"]    = SANDRAIL_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_2_PAINT_C["texture"] = "resources/Vehicle/PlayerVehicle_MagnetCar_V2/MagnetCar_Red_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_2_PAINT_D["cost"]    = SANDRAIL_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_2_PAINT_D["texture"] = "resources/Vehicle/PlayerVehicle_MagnetCar_V2/MagnetCar_Yellow_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_2_PAINT_E["cost"]    = SANDRAIL_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_2_PAINT_E["texture"] = "resources/Vehicle/PlayerVehicle_MagnetCar_V2/MagnetCar_Purple_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_2_PAINT_F["cost"]    = SANDRAIL_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_2_PAINT_F["texture"] = "resources/Vehicle/PlayerVehicle_MagnetCar_V2/MagnetCar_Teal_ArmorLevel01.png";

TEMPLATE_PLAYER_VEHICLE_SANDRAIL_MK2_PAINT =
{
   version = 19,
   
   variant   =
   {
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_A,
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_B,
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_C,
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_D,
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_E,
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_F,
   }
};