require("app/template/store/cost");
require('app/template/template');
require("app/template/player-levels/stats_template");

local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_0 =
{
	layer             = 3,
	
   width             = 128,
   height            = 256,
};

local COST_K         = 4.0;
   
   
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_1    = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_0);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_2    = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_1);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_3    = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_2);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_4    = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_3);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_5    = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_4);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_6    = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_5);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_7    = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_6);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_8    = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_7);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_9    = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_8);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_10   = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_9);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_11   = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_10);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_12   = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_11);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_13   = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_12);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_14   = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_13);
local TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_15   = Template.extent(TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_14);

TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_1["cost"]        = { gold = COST_K*TEMPLATE_BASE_COST_01  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_1["hitPoints"]   = TEMPLATE_PLAYER_BASE_HP["lasercar"][1];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_2["cost"]        = { gold = COST_K*TEMPLATE_BASE_COST_02  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_2["hitPoints"]   = TEMPLATE_PLAYER_BASE_HP["lasercar"][2];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_2["texture"]     = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel02.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_3["cost"]        = { gold = COST_K*TEMPLATE_BASE_COST_03  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_3["hitPoints"]   = TEMPLATE_PLAYER_BASE_HP["lasercar"][3];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_3["texture"]     = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel03.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_4["cost"]        = { gold = COST_K*TEMPLATE_BASE_COST_04  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_4["hitPoints"]   = TEMPLATE_PLAYER_BASE_HP["lasercar"][4];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_4["texture"]     = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel04.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_5["cost"]        = { gold = COST_K*TEMPLATE_BASE_COST_05  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_5["hitPoints"]   = TEMPLATE_PLAYER_BASE_HP["lasercar"][5];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_5["texture"]     = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel05.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_6["cost"]        = { gold = COST_K*TEMPLATE_BASE_COST_06  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_6["hitPoints"]   = TEMPLATE_PLAYER_BASE_HP["lasercar"][6];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_6["texture"]     = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel06.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_7["cost"]        = { gold = COST_K*TEMPLATE_BASE_COST_07  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_7["hitPoints"]   = TEMPLATE_PLAYER_BASE_HP["lasercar"][7];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_7["texture"]     = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel07.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_8["cost"]        = { gold = COST_K*TEMPLATE_BASE_COST_08  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_8["hitPoints"]   = TEMPLATE_PLAYER_BASE_HP["lasercar"][8];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_8["texture"]     = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel08.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_9["cost"]        = { gold = COST_K*TEMPLATE_BASE_COST_09  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_9["hitPoints"]   = TEMPLATE_PLAYER_BASE_HP["lasercar"][9];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_9["texture"]     = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel09.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_10["cost"]       = { gold = COST_K*TEMPLATE_BASE_COST_10  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_10["hitPoints"]  = TEMPLATE_PLAYER_BASE_HP["lasercar"][10];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_10["texture"]    = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel10.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_11["cost"]       = { gold = COST_K*TEMPLATE_BASE_COST_11  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_11["hitPoints"]  = TEMPLATE_PLAYER_BASE_HP["lasercar"][11];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_11["texture"]    = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel11.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_12["cost"]       = { gold = COST_K*TEMPLATE_BASE_COST_12  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_12["hitPoints"]  = TEMPLATE_PLAYER_BASE_HP["lasercar"][12];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_12["texture"]    = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel12.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_13["cost"]       = { gold = COST_K*TEMPLATE_BASE_COST_13  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_13["hitPoints"]  = TEMPLATE_PLAYER_BASE_HP["lasercar"][13];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_13["texture"]    = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel13.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_14["cost"]       = { gold = COST_K*TEMPLATE_BASE_COST_14  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_14["hitPoints"]  = TEMPLATE_PLAYER_BASE_HP["lasercar"][14];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_14["texture"]    = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel14.png";
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_15["cost"]       = { gold = COST_K*TEMPLATE_BASE_COST_15  };
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_15["hitPoints"]  = TEMPLATE_PLAYER_BASE_HP["lasercar"][15];
TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_15["texture"]    = "resources/Vehicle/PlayerVehicle_LazerCar/LazerCar_Armor/LazerCar_ArmorLevel15.png";

TEMPLATE_PLAYER_VEHICLE_LASERCAR_ARMOR =
{
   version = 19,
   
   level   =
   {
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_1,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_2,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_3,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_4,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_5,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_6,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_7,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_8,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_9,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_10,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_11,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_12,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_13,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_14,
      TEMPLATE_PLAYER_VEHICLE_4_ARMOR_LVL_15,
   }
};