require('app/template/template');

local WIDTH_SCALE		= 0.95;
local HEIGHT_SCALE	= 1.00;

local TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE =
{
	splitProp			= true;
   width             = 128*WIDTH_SCALE,
   height            = 256*HEIGHT_SCALE,
};

local COST_K       = 2;

local TEMPLATE_PLAYER_VEHICLE_2_PAINT_A      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_2_PAINT_B      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_2_PAINT_C      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_2_PAINT_D      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_2_PAINT_E      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_2_PAINT_F      = Template.extent( TEMPLATE_PLAYER_VEHICLE_2_PAINT_BASE );

TEMPLATE_PLAYER_VEHICLE_2_PAINT_A["cost"]    = { gold = 000,   gem  = 000  };
TEMPLATE_PLAYER_VEHICLE_2_PAINT_A["texture"] = "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Black_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_2_PAINT_B["cost"]    = SANDRAIL_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_2_PAINT_B["texture"] = "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Blue_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_2_PAINT_C["cost"]    = SANDRAIL_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_2_PAINT_C["texture"] = "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Red_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_2_PAINT_D["cost"]    = SANDRAIL_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_2_PAINT_D["texture"] = "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Green_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_2_PAINT_E["cost"]    = SANDRAIL_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_2_PAINT_E["texture"] = "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Pink_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_2_PAINT_F["cost"]    = SANDRAIL_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_2_PAINT_F["texture"] = "resources/Vehicle/PlayerVehicle_Sandrail/Sandrail_Teal_ArmorLevel01.png";

TEMPLATE_PLAYER_VEHICLE_SANDRAIL_PAINT =
{
   version = 19,
   
   variant   =
   {
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_A,
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_B,
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_C,
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_D,
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_E,
      TEMPLATE_PLAYER_VEHICLE_2_PAINT_F,
   }
};