require('app/template/template');

local WIDTH_SCALE		= 0.90;
local HEIGHT_SCALE	= 0.95;
local COST_K         = 1;

local TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE =
{
	splitProp			= true;
   width             = 128*WIDTH_SCALE,
   height            = 256*HEIGHT_SCALE,
};

local TEMPLATE_PLAYER_VEHICLE_1_PAINT_A      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_1_PAINT_B      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_1_PAINT_C      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_1_PAINT_D      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_1_PAINT_E      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_1_PAINT_F      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );

TEMPLATE_PLAYER_VEHICLE_1_PAINT_A["cost"]    = { gold =  000,   gem   = 000  };
TEMPLATE_PLAYER_VEHICLE_1_PAINT_A["texture"] = "resources/Vehicle/Player_SportsCar/Sportscar_Blue_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_1_PAINT_B["cost"]    = SPORTS_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_1_PAINT_B["texture"] = "resources/Vehicle/Player_SportsCar/Sportscar_Black_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_1_PAINT_C["cost"]    = SPORTS_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_1_PAINT_C["texture"] = "resources/Vehicle/Player_SportsCar/Sportscar_Red_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_1_PAINT_D["cost"]    = SPORTS_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_1_PAINT_D["texture"] = "resources/Vehicle/Player_SportsCar/Sportscar_Silver_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_1_PAINT_E["cost"]    = SPORTS_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_1_PAINT_E["texture"] = "resources/Vehicle/Player_SportsCar/Sportscar_Pink_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_1_PAINT_F["cost"]    = SPORTS_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_1_PAINT_F["texture"] = "resources/Vehicle/Player_SportsCar/Sportscar_Yellow_ArmorLevel01.png";

TEMPLATE_PLAYER_VEHICLE_SPORTS_PAINT =
{
   version = 19,
   
   variant   =
   {
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_A,
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_B,
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_C,
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_D,
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_E,
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_F,
   }
};