local EXPLOSION         =
{
   texture        = "resources/Explosion/Explosion_04.png",
   width          = 100,
   height         = 100,
   growth         = { 10, 10 };
   duration       = 1,
   spin           = 360,
   avatarSpeedK   =  0.00,
   sounds       = {start={"PlayerDeath",},},
};


TEMPLATE_PLAYER_VEHICLE_SPORTS =
{
   version           = 2,
 
   cost              = SPORTS_UNLOCK_COST,
   
   speed             = { 0   ,  2*350 },
   speedMin          = { 000 ,  2*200 },
   speedMax          = { 300 ,  2*500 },
   accel             = { 0   ,  2*100 },
   width             = 2*64,
   height            = 2*128,
   collisionWidth    = 2*50    * 0.90,
   collisionHeight   = 2*100   * 0.90,
   mass              = 150000,
   explosion         = EXPLOSION,

	sideweaponOffset	= { 0,		0		},
   turretOffset      = { 0,      -30	},
   shadow         =
   {
      layer          = 1,
      width          = 128,
      height         = 256,
      avatarSpeedK   = 0,
      texture        = "resources/Vehicle/Player_SportsCar/Sportscar_Shadow.png",
      offset         = {15,-15},
      color          = {1,1,1,0.5},
   },
	shieldVFX			=
	{
		{
			layer          = 3,
			width          = 256,
			height         = 256,
			avatarSpeedK   = 0,
			texture        = "resources/Powerup/Effect_Shield.png",
			offset         = {0, 0},
			rotOffset		= 0,
			color          = {1,1,1, 0.9},
		},
		{
			layer          = 3,
			width          = 288,
			height         = 288,
			avatarSpeedK   = 0,
			texture        = "resources/Powerup/Effect_Shield.png",
			offset         = {0, 0},
			rotOffset		= -90,
			color          = {1,1,1, 0.9},
		},
		{
			layer          = 3,
			width          = 320,
			height         = 320,
			avatarSpeedK   = 0,
			texture        = "resources/Powerup/Effect_Shield.png",
			offset         = {0, 0},
			rotOffset		= 90,
			color          = {1,1,1, 0.9},
		},
	},
};