----------------------------------------------------------------------
require('game/game-scenario/game-scenario-barricade');
require('app/template/barricade/barricade_01');
require('app/template/barricade/barricade_02');
require('app/template/barricade/barricade_03');
----------------------------------------------------------------------

TEMPLATE_SCENARIO_BARRICADE_D04_01 =
{
   {
      factory = GameScenarioBarricade,
      waitNoVehicle = true,
      barricades =
      {
         {
            lane     = 1,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 1,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
      }
   },
   {
      factory = GameScenarioBarricade,
      waitNoVehicle = true,
      barricades =
      {
         {
            lane     = 1,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
      }
   },
   {
      factory = GameScenarioBarricade,
      waitNoVehicle = true,
      barricades =
      {
         {
            lane     = 1,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 1,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
      }
   },

   
   {
      factory = GameScenarioBarricade,
      waitNoVehicle = true,
      barricades =
      {
         {
            lane     = 2,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 1,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
      }
   },

   {
      factory = GameScenarioBarricade,
      waitNoVehicle = true,
      barricades =
      {
         {
            lane     = 1,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
      }
   },
   {
      factory = GameScenarioBarricade,
      waitNoVehicle = true,
      barricades =
      {
         {
            lane     = 2,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 1,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
      }
   },
   {
      factory        = GameScenarioBarricade,
      waitNoVehicle  = true,
      barricades =
      {
         {
            lane     = 1,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
      }
   },
   {
      factory        = GameScenarioBarricade,
      waitNoVehicle  = true,
      barricades =
      {
         {
            lane     = 1,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 1,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
      }
   },
   {
      factory        = GameScenarioBarricade,
      waitNoVehicle  = true,
      barricades =
      {
         {
            lane     = 1,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 1,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
      }
   },
   {
      factory        = GameScenarioBarricade,
      waitNoVehicle  = true,
      barricades =
      {
         {
            lane     = 1,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 1,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 1500,
            template = TEMPLATE_BARRICADE_01,
         },
      }
   },
   {
      factory = GameScenarioBarricade,
      waitNoVehicle = true,
      
      barricades =
      {
         {
            lane     = 1,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 300,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 600,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 900,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 2400,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 4,
            deltaY   = 2500,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 3,
            deltaY   = 2600,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 2,
            deltaY   = 2700,
            template = TEMPLATE_BARRICADE_02,
         },

      }
   },
   {
      factory = GameScenarioBarricade,
      waitNoVehicle = true,
      
      barricades =
      {
         {
            lane     = 5,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 300,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 600,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 900,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 1,
            deltaY   = 2400,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 2,
            deltaY   = 2500,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 3,
            deltaY   = 2600,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 4,
            deltaY   = 2700,
            template = TEMPLATE_BARRICADE_02,
         },

      }
   },
   {
      factory = GameScenarioBarricade,
      waitNoVehicle = true,
      
      barricades =
      {
         {
            lane     = 1,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 300,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 600,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 900,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 2400,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 4,
            deltaY   = 2500,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 3,
            deltaY   = 2600,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 2,
            deltaY   = 2700,
            template = TEMPLATE_BARRICADE_02,
         },
         
      }
   },
   {
      factory = GameScenarioBarricade,
      waitNoVehicle = true,
      
      barricades =
      {
         {
            lane     = 5,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 300,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 600,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 1,
            deltaY   = 900,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 1,
            deltaY   = 2400,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 2,
            deltaY   = 2500,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 3,
            deltaY   = 2600,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 4,
            deltaY   = 2700,
            template = TEMPLATE_BARRICADE_02,
         },
         
      }
   },
   {
      factory = GameScenarioBarricade,
   
      waitNoVehicle = true,
      
      barricades =
      {
         {
            lane     = 1,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 300,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 600,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 900,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 5,
            deltaY   = 2400,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 4,
            deltaY   = 2500,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 3,
            deltaY   = 2600,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 1,
            deltaY   = 2700,
            template = TEMPLATE_BARRICADE_02,
         },
      }
   },
   {
      factory = GameScenarioBarricade,
      waitNoVehicle = true,
      
      barricades =
      {
         {
            lane     = 5,
            deltaY   = 000,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 4,
            deltaY   = 300,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 3,
            deltaY   = 600,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 2,
            deltaY   = 900,
            template = TEMPLATE_BARRICADE_01,
         },
         {
            lane     = 1,
            deltaY   = 2400,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 2,
            deltaY   = 2500,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 3,
            deltaY   = 2600,
            template = TEMPLATE_BARRICADE_02,
         },
         {
            lane     = 4,
            deltaY   = 2700,
            template = TEMPLATE_BARRICADE_02,
         },
      }
   },
};

----------------------------------------------------------------------
