require("engine/object/object")

local function newFunc(self, options)

   Debug.assertType(options, {"table", "userdata"}, "Request.new -> options");

   Debug.assertType(options.priority, {"nil", "number"}, "Request.new -> options.priority");
   Debug.assertType(options.callHandler, {"nil", "table", "userdata"}, "Request.new -> options.callHandler");
   Debug.assertType(options.successFunc, {"nil", "function"}, "Request.new -> options.successFunc");
   Debug.assertType(options.failureFunc, {"nil", "function"}, "Request.new -> options.failureFunc");

   self.typeName = Request.typeName;
   self._priority = options.priority or Request.PRIORITY_NORMAL;
   self._callHandler = options.callHandler;
   self._successFunc = options.successFunc;
   self._failureFunc = options.failureFunc;

end

Request = createClass(newFunc);
Request.typeName = "Request";

Request.PRIORITY_LOW    = 0;
Request.PRIORITY_NORMAL = 1;
Request.PRIORITY_HIGH   = 2;
