require("engine/network/request")


local function newFunc(self, options)

   Debug.assertType(options, {"table", "userdata"}, "TangoRequest.new -> options");

   Debug.assertType(options.requestClass, {"table", "userdata"}, "TangoRequest.new -> options.requestClass");
   Debug.assertType(options.requestData, "table", "TangoRequest.new -> options.requestData");
   Debug.assertType(options.successFunc, {"nil", "function"}, "TangoRequest.new -> options.successFunc");
   Debug.assertType(options.failureFunc, {"nil", "function"}, "TangoRequest.new -> options.failureFunc");

   self.typeName = TangoRequest.typeName;
   self.requestClass = options.requestClass;
   self.requestData = options.requestData;

end


TangoRequest = createClass(newFunc, Request);
TangoRequest.typeName = "TangoRequest";
