
ShaderMgr =
{
   shaders = {};
};

----------------------------------------------------------------

function FShaderMgr:getShader( fontName, size, letters )

   local id    = fontName..size;
   local font  = self.fonts[id];

   if font == nil then

      font = MOAIFont.new ()
      
      font.oldPreloadGlyph = font.preloadGlyphs;
      font.preloadGlyphs   = 
         function (  self, letters, size )
            self:oldPreloadGlyph( letters, size or self._size, DPI );
         end

      font:load( fontName  );
      
      font:setCache( MOAIGlyphCache.new () )
      font:setReader( MOAIFreeTypeFontReader.new () )
      font:setDefaultSize( size, DPI );
      font._size = size;

      self.fonts[id] = font;

   end
   
   if font then
      font:preloadGlyphs( letters, size );
   end

   return font;

end

----------------------------------------------------------------
