
-------------------------------------------------------------------------------------

function delay( time, callback, ... )

   if (time or -1) < 0 then

      callback(...);

   else

      local timer = MOAITimer.new();
      local thread = MOAICoroutine.new();

      -- lua 5.2
      --	local arg = table.pack(...);

      local arg = {...};

      timer:setSpan( time );
      timer:setListener( MOAITimer.EVENT_TIMER_END_SPAN,
         function ()
            timer:stop( );
            timer = nil;
            thread:run(callback, unpack(arg));
            -- lua 5.2
            --			thread:run(callback, table.unpack(arg));
         end
      );
      timer:start();

   end

end

-------------------------------------------------------------------------------------
