require("app/profiler/profiler-manager");

------------------------------------------------------------------

FlashMgr = 
{
   sheetMap    = {};
   flashBundle = require("flash/resource-bundle");
};

------------------------------------------------------------------

function FlashMgr:getTextureSheet( luaFile, imgFile, fps )

   Debug.assert(fps == 30, "Make sure you only use 30 fps.");

   local id = luaFile..imgFile..fps;

   if self.sheetMap[id] == nil then
   
      ProfilerMgr:beginMemSnapshot("FlashBundleCreation");
      self.sheetMap[id] = self.flashBundle.new(luaFile, imgFile, fps);
      ProfilerMgr:endMemSnapshot("FlashBundleCreation");
      
      print("CREATING A NEW FLASHBUNDLE: " .. luaFile .. " - " .. imgFile .. " - " .. fps);

   end

   return self.sheetMap[id];

end

------------------------------------------------------------------


