require('game/entity/entity');

----------------------------------------------------------------------

local Base     = Entity;
DistanceMarker = Base:new();

----------------------------------------------------------------------

function DistanceMarker:new( game, layer, template,  x, y, a, owner, ownerOffset )

   local e = Base.new(self, game, layer, template, x, y, a, owner, ownerOffset );

   return e;

end

----------------------------------------------------------------------

function DistanceMarker:reset( x, y, a, owner, ownerOffset )

   Base.reset( self, x, y, a );
   
   self.owner        = owner;
   self.ownerOffset  = ownerOffset;
   self.damageOffset = 0;
   
   self:hide();

end


----------------------------------------------------------------------

function  DistanceMarker:update( dt, avatarSpeedY )

   Base.update(dt, avatarSpeedY);

end

----------------------------------------------------------------------