require('app/template/scenario/scenario-barricade-d01');
require('app/template/scenario/scenario-barricade-d02');
require('app/template/scenario/scenario-barricade-d03');
require('app/template/scenario/scenario-barricade-d04');
require('app/template/scenario/scenario-daily');
require('app/template/scenario/scenario-boss');
require('app/template/scenario/scenario-missile-d01');
require('app/template/scenario/scenario-missile-d02');
require('app/template/scenario/scenario-missile-d03');
require('app/template/scenario/scenario-missile-d04');

local daily  = TEMPLATE_SCENARIO_DAILY;
local boss	 = TEMPLATE_SCENARIO_BOSS;
local bar01  = TEMPLATE_SCENARIO_BARRICADE_D01_01;
local bar02  = TEMPLATE_SCENARIO_BARRICADE_D02_01;
local bar03  = TEMPLATE_SCENARIO_BARRICADE_D03_01;
local bar04  = TEMPLATE_SCENARIO_BARRICADE_D04_01;

local mis01  = TEMPLATE_SCENARIO_MISSILE_D01_01;
local mis02  = TEMPLATE_SCENARIO_MISSILE_D02_01;
local mis03  = TEMPLATE_SCENARIO_MISSILE_D03_01;
local mis04  = TEMPLATE_SCENARIO_MISSILE_D04_01;

MAP01_SCENARIO_CHART =
{
   {
      duration    = 15,
   },
   {
      duration    = 30,
      template    = { bar01,    bar01,    mis01,    mis01,    daily,		boss	},
      odds        = { 1.000,    1.000,    1.000,    1.000,    2.000,		0.000	},
   },
   {
      duration    = 45,
      template    = { bar01,    bar02,    mis01,    mis02,    daily,		boss	},
      odds        = { 1.000,    1.000,    1.000,    1.000,    3.000,		2.000	},
   },
   {
      duration    = 60,
      template    = { bar02,    bar02,    mis02,    mis02,    daily,		boss	},
      odds        = { 1.000,    1.000,    1.000,    1.000,    4.000,		4.000	},
   },
   {
      duration    = 75,
      template    = { bar02,    bar03,    mis02,    mis03,    daily,		boss	},
      odds        = { 1.000,    1.000,    1.000,    1.000,    5.000,		8.000	},
   },
   {
      duration    = 90,
      template    = { bar03,    bar03,    mis03,    mis03,    daily,		boss	},
      odds        = { 1.000,    1.000,    1.000,    1.000,    6.000,	  16.000	},
   },
   {
      duration    = 105,
      template    = { bar03,    bar04,    mis03,    mis04,    daily,		boss	},
      odds        = { 1.000,    1.000,    1.000,    1.000,    7.000,	 32.000	},
   },
   {
      duration    = 1200000,
      template    = { bar04,    bar04,    mis04,    mis04,    daily,		boss	},
      odds        = { 1.000,    1.000,    1.000,    1.000,    8.000,		0.000	},
   },
  
};