require('engine/mission/mission-goal')

----------------------------------------------------------------------

local Base = MissionGoal;

MissionGoalTutorial = Base:new();

----------------------------------------------------------------------

function MissionGoalTutorial:new( mission, index, template  )

   local goal  = Base.new( self, mission, index,  template );

   return goal;

end

----------------------------------------------------------------------

function MissionGoalTutorial:activate()

   Base.activate( self );
   
   EventMgr:addListener( self, self.onTutorialCompleted , "tutorial-completed" );


   if App.data:getValue("tutorialDone") == TUTORIAL_DONE_NUMBER then
      
      self:onTutorialCompleted( {}, "tutorial-completed" );
            
   end
end

----------------------------------------------------------------------

function MissionGoalTutorial:onTutorialCompleted( event, type )

   self.cumulativeScore = -1;

   self:_OnCompleted();

end

----------------------------------------------------------------------