----------------------------------------------------------------
require('flash/flash-manager')
require('state/state')
require('ui/ui-button/ui-button-image')
require('ui/ui-image')
require('ui/ui-text-box')
require('ui/ui-anim')
----------------------------------------------------------------

local DELAY_SPLASH_MIN_TIME   = 5.0;

----------------------------------------------------------------

local Base         = State;
local DelayToState = Base:new();

----------------------------------------------------------------

function  DelayToState:onLoad(  )

   Base.onLoad( self );

   self.IS_POPUP     = true;

end

----------------------------------------------------------------

function  DelayToState:onFocus( delayTime )

   Base.onFocus( self );

   self.delayTime    = delayTime    or DELAY_SPLASH_MIN_TIME;
   self.startTime    = MOAISim.getDeviceTime ();

end

----------------------------------------------------------------

function  DelayToState:onUpdate( dt )

   Base.onUpdate( self, dt );

	if ( MOAISim.getDeviceTime () - self.startTime ) > self.delayTime then

      StateMgr:pop(  );

	end
end

----------------------------------------------------------------

return DelayToState
