require('app/achievement/goal/achievement-goal')

----------------------------------------------------------------------

local Base = AchievementGoal;

AchievementGoalBossKill = Base:new();

----------------------------------------------------------------------

function AchievementGoalBossKill:new( achievement, template  )

   local goal  = Base.new( self, achievement, template );

   return goal;

end

----------------------------------------------------------------------

function AchievementGoalBossKill:activate( reset )

   Base.activate( self, reset );

   if not self:isCompleted() then
      EventMgr:addListener(self, self.onBossKill,		"boss-kill" );
   end

end

----------------------------------------------------------------------

function AchievementGoalBossKill:onBossKill( event )

   if not self:isCompleted() then

      -- print("AchievementGoalBossKill:onBossKill-2" );

      self.progress = self.progress + 1;

      -- print("AchievementGoalBossKill:onBossKill-3", self.progress, self.template.objective );

      if self.progress >= self.template.objective then
         self:_OnCompleted();
      end

   end
end
