require('app/achievement/goal/achievement-goal')

----------------------------------------------------------------------

local Base = AchievementGoal;

AchievementGoalBounty = Base:new();

----------------------------------------------------------------------

function AchievementGoalBounty:new( achievement, template  )

   local goal  = Base.new( self, achievement, template );

   return goal;

end

----------------------------------------------------------------------

function AchievementGoalBounty:activate( reset )

   Base.activate( self, reset );

   if not self:isCompleted() then
         EventMgr:addListener( self, self.onBounty, "bounty-collected");
   end

end

----------------------------------------------------------------------

function AchievementGoalBounty:onBounty( event )

   if not self:isCompleted() then

      -- print("AchievementGoalBounty:onBounty-2");

      self.progress = self.progress + 1;

      -- print("AchievementGoalBounty:onBounty-3", self.progress, self.template.objective );

      if self.progress >= self.template.objective then
         self:_OnCompleted();
      end

   end
end
