require('app/achievement/goal/achievement-goal')

----------------------------------------------------------------------

local Base = AchievementGoal;

AchievementGoalGhost = Base:new();

----------------------------------------------------------------------

function AchievementGoalGhost:new( achievement, template  )

   local goal  = Base.new( self, achievement, template );

   return goal;

end

----------------------------------------------------------------------

function AchievementGoalGhost:activate( reset )

   Base.activate( self, reset );

   if not self:isCompleted() then
      EventMgr:addListener(self, self.onPassGhost,		"pass-ghost" );
   end

end

----------------------------------------------------------------------

function AchievementGoalGhost:onPassGhost( event )



   if not self:isCompleted() then

      self.progress = self.progress + 1;

      -- print("AchievementGoalGhost:onPassGhost", self.progress);

      if self.progress >= self.template.objective then
         self:_OnCompleted();
      end

   end
end
