require('app/achievement/goal/achievement-goal')

----------------------------------------------------------------------

local Base = AchievementGoal;

AchievementGoalInvite = Base:new();

----------------------------------------------------------------------

function AchievementGoalInvite:new( achievement, template  )

   local goal  = Base.new( self, achievement, template );

   return goal;

end

----------------------------------------------------------------------

function AchievementGoalInvite:activate( reset )

   Base.activate( self, reset );

   if not self:isCompleted() then

      EventMgr:addListener( self, self.onInvite , "invite-tango-friend-success" );

   end

end

----------------------------------------------------------------------

function AchievementGoalInvite:onInvite( event )

   if not self:isCompleted() then

      self.progress = self.progress + ( event.count or 1 );

      if self.progress >= self.template.objective then
         self:_OnCompleted();
      else
         self:_SaveProgress();
      end
      
   end
end
