require('app/achievement/goal/achievement-goal')

----------------------------------------------------------------------

local Base = AchievementGoal;

AchievementGoalVideo = Base:new();

----------------------------------------------------------------------

function AchievementGoalVideo:new( achievement, template  )

   local goal  = Base.new( self, achievement, template );

   return goal;

end

----------------------------------------------------------------------

function AchievementGoalVideo:activate( reset )

   Base.activate( self, reset );

   if not self:isCompleted() then

      EventMgr:addListener(self, self.onVideo,  "video-key" );
      EventMgr:addListener(self, self.onVideo,  "video-gold" );

   end

end

----------------------------------------------------------------------

function AchievementGoalVideo:onVideo( event )

   if not self:isCompleted() then

      self.progress = self.progress + 1;

      if self.progress >= self.template.objective then
         self:_OnCompleted();
      else
         self:_SaveProgress();
      end
      
   end
end
