require('app/data/transaction/data-transaction')
require('app/possession/possession-manager')

----------------------------------------------------------------------

local Base                          = DataTransaction;
DataTransactionUpdateMissionGoal    = Base:_new("DataTransactionUpdateMissionGoal");

----------------------------------------------------------------------

function DataTransactionUpdateMissionGoal:new( data,  missionIndex, goalIndex, progress  )


   local task  = Base.new(  self );
   --save the cost and reward here in case we tweak and the user retry the transaction
   task.missionIndex    = missionIndex;
   task.goalIndex       = goalIndex;
   task.progress        = progress;
   
print( "DataTransactionUpdateMissionGoal:new", task.missionIndex, task.goalIndex, task.progress );

   return task;

end

----------------------------------------------------------------------

function DataTransactionUpdateMissionGoal:testMe()

   print("DataTransactionUpdateMissionGoal:testMe()");
   
end

----------------------------------------------------------------------

function DataTransactionUpdateMissionGoal:buildValues( data )

   print("DataTransactionUpdateMissionGoal:exec-1", self.missionIndex, data:getMissionIndex() );
   
   --In case more than 1 person is changing this, we want to make sure the player wont "regress"
   if self.missionIndex >= data:getMissionIndex() then

      local goalId      = data:createMissionGoalProgressId( self.goalIndex );

      --Save
      self._values                     = {};
      self._values["missionIndex"]     = self.missionIndex;
      self._values[goalId]             = self.progress;
      
   print("DataTransactionUpdateMissionGoal:exec-2", goalId, self._values[goalId],  data:getValue(goalId));
   
      return self._values;

   end
end

----------------------------------------------------------------------

function DataTransactionUpdateMissionGoal:onSuccess( data)
end

----------------------------------------------------------------------
