
-- MOAITangoSdk

MOAITangoSdk = {}

function MOAITangoSdk:isAuthenticated()
   return false
end

function MOAITangoSdk:tangoIsInstalled()
   return false
end

function MOAITangoSdk:tangoHasSdkSupport()
   return false
end

function MOAITangoSdk:installTango()
   
end

function MOAITangoSdk:getServerTime()
   return nil
end

-- MOAITangoContact

Debug.assert(not MOAITangoContact)

MOAITangoContact = {}
MOAITangoContact.__index = MOAITangoContact

function MOAITangoContact.new()
   local self = setmetatable({}, MOAITangoContact)

   self._firstName = ""
   self._lastName = ""
   self._accountID = 0
   self._carIndex = 0
   self._paintIndex = 0
   self._armorUpgrade = 0
   self._photoURL = ""
   self._platformSupported = false
   self._flags = 0
   self._appInstalled = false

   return self
end

function MOAITangoContact:getFirstName()
   return self._firstName
end

function MOAITangoContact:getLastName()
   return self._lastName
end

function MOAITangoContact:setFirstName(name)
   self._firstName = name
end

function MOAITangoContact:setLastName(name)
   self._lastName = name
end

function MOAITangoContact:setAccountId(id)
   self._accountID = id
end

function MOAITangoContact:getAccountId()
   return self._accountID
end

function MOAITangoContact:setCarIndex(index)
   self._carIndex = index
end

function MOAITangoContact:getCarIndex()
   return self._carIndex
end

function MOAITangoContact:setPaintIndex(paintIndex)
   self._paintIndex = paintIndex
end

function MOAITangoContact:getPaintIndex()
   return self._paintIndex
end

function MOAITangoContact:setArmorUpgrade(armor)
   self._armorUpgrade = armor
end

function MOAITangoContact:getArmorUpgrade()
   return self._armorUpgrade
end

function MOAITangoContact:setPhotoUrl(url)
   self._photoURL = url
end

function MOAITangoContact:getPhotoUrl()
   return self._photoURL
end

function MOAITangoContact:hasPhotoUrl()
   return self._photoURL ~= nil and self._photoURL ~= ""
end

function MOAITangoContact:isPlatformSupported()
   return self._platformSupported
end

function MOAITangoContact:setPlatformSupported(supported)
   self._platformSupported = supported
end

function MOAITangoContact:getFlags()
   return self._flags
end

function MOAITangoContact:setFlags(flags)
   self._flags = flags
end

function MOAITangoContact:isAppInstalled()
   return self._appInstalled
end

function MOAITangoContact:setAppInstalled(installed)
   self._appInstalled = installed
end

Debug.assert(MOAITangoContact)
Debug.assert(MOAITangoContact.setFirstName)
