
require('app/achievement/goal/achievement-goal-bounty');

----------------------------------------------------------------------

local achievement =

{
   
   id       = "achv-bounty",
   name     = "AchievementBounty",
   rank     =
   {
      --1
      {
         reward   = { gem = 10   },
         goal     =
         {
            factory     = AchievementGoalBounty,
            cumulative  = true,
            objective   = 10,
            description = "Collect 10 Bounties!",
            title       = "Bounty Hunter",
            icon        = "resources/UI/achievement/achv_Bounty.png",
            rewardTxt   =  "10",
         }
      },
      {
         reward   = { gem = 25   },
         goal     =
         {
            factory     = AchievementGoalBounty,
            cumulative  = true,
            objective   = 50,
            description = "Collect 50 Bounties!",
            title       = "Bounty Hunter",
            icon        = "resources/UI/achievement/achv_Bounty.png",
            rewardTxt   =  "25",
         }
      },
      {
         reward   = { gem = 100   },
         goal     =
         {
            factory     = AchievementGoalBounty,
            cumulative  = true,
            objective   =  250,
            description = "Collect 250 Bounties!",
            title       = "Bounty Hunter",
            icon        = "resources/UI/achievement/achv_Bounty.png",
            rewardTxt   =  "100",
         }
      },
      {
         reward   = { gem = 0   },
         goal     =
         {
            factory     = AchievementGoalBounty,
            cumulative  = true,
            objective   = -1,
            description = "Achievement Completed!",
            title       = "Bounty Hunter",
            icon        = "resources/UI/achievement/achv_Bounty.png",
            rewardTxt   =  "-",
         }
      },
   }
};


return achievement;

----------------------------------------------------------------------