
require('app/achievement/goal/achievement-goal-distance');

----------------------------------------------------------------------

local achievement =

{
   
   id       = "achv-distance",
   name     = "AchievementMilestones",
   rank     =
   {
      --1
      {
         reward   = { gem = 10   },
         goal     =
         {
            factory     = AchievementGoalDistance,
            cumulative  = true,
            objective   =  1000000,
            description = "Drive as many meters in Road Riot as the width of the Atlantic Ocean!",
            title       = "Globetrotter",
            icon        = "resources/UI/achievement/achv_Milestones.png",
            rewardTxt   =  "10",
         }
      },
      {
         reward   = { gem = 25   },
         goal     =
         {
            factory     = AchievementGoalDistance,
            cumulative  = true,
            objective   = 7000000,
            description = "Drive as many meters in Road Riot as the circumference of the Earth!",
            title       = "Globetrotter",
            icon        = "resources/UI/achievement/achv_Milestones.png",
            rewardTxt   =  "25",
         }
      },
      {
         reward   = { gem = 100   },
         goal     =
         {
            factory     = AchievementGoalDistance,
            cumulative  = true,
            objective   = 70000000,
            description = "Drive as many meters in Road Riot as the distance from the Earth and the Moon!",
            title       = "Globetrotter",
            icon        = "resources/UI/achievement/achv_Milestones.png",
            rewardTxt   =  "100",
         }
      },
      {
         reward   = { gem = 0   },
         goal     =
         {
            factory     = AchievementGoalDistance,
            cumulative  = true,
            objective   = -1,
            description = "Achievement Completed!",
            title       = "Globetrotter",
            icon        = "resources/UI/achievement/achv_Milestones.png",
            rewardTxt   =  "-",
         }
      },
   }
};


return achievement;

----------------------------------------------------------------------