
require('app/achievement/goal/achievement-goal-gift');

----------------------------------------------------------------------

local achievement =

{
   
   id       = "achv-gift",
   name     = "AchievementGift",
   rank     =
   {
      --1
      {
         reward   = { gem = 1   },
         goal     =
         {
            factory     = AchievementGoalGift,
            cumulative  = true,
            objective   = 5;
            description = "Send 5 gifts to friends!",
            title       = "The Philanthropist",
            icon        = "resources/UI/achievement/achv_GiftsSent.png",
            rewardTxt   =  "1",
         }
      },
      {
         reward   = { gem = 5   },
         goal     =
         {
            factory     = AchievementGoalGift,
            cumulative  = true,
            objective   = 15,
            description = "Send 15 gifts to friends!",
            title       = "The Philanthropist",
            icon        = "resources/UI/achievement/achv_GiftsSent.png",
            rewardTxt   =  "5",
         }
      },
      {
         reward   = { gem = 10   },
         goal     =
         {
            factory     = AchievementGoalGift,
            cumulative  = true,
            objective   =  25,
            description = "Send 25 gifts to friends!",
            title       = "The Philanthropist",
            icon        = "resources/UI/achievement/achv_GiftsSent.png",
            rewardTxt   =  "10",
         }
      },
      {
         reward   = { gem = 0   },
         goal     =
         {
            factory     = AchievementGoalGift,
            cumulative  = true,
            objective   = -1,
            description = "Achievement Completed!",
            title       = "The Philanthropist",
            icon        = "resources/UI/achievement/achv_GiftsSent.png",
            rewardTxt   =  "-",
         }
      },
   }
};


return achievement;

----------------------------------------------------------------------