
require('app/achievement/goal/achievement-goal-avoid-hazards');

----------------------------------------------------------------------

local achievement =

{
   
   id       = "achv-hazard",
   name     = "AchievementAvoidHazard",
   rank     =
   {
      --1
      {
         reward   = { gem = 10   },
         goal     =
         {
            factory     = AchievementGoalAvoidHazard,
            cumulative  = true,
            objective   = 12500,
            description = "Avoid 12,500 road hazards!",
            title       = "Defensive Driving",
            icon        = "resources/UI/achievement/achv_AvoidHazards.png",
            rewardTxt   = "10",
         }
      },
      {
         reward   = { gem = 25   },
         goal     =
         {
            factory     = AchievementGoalAvoidHazard,
            cumulative  = true,
            objective   = 50000,
            description = "Avoid 50,000 road hazards!",
            title       = "Defensive Driving",
            icon        = "resources/UI/achievement/achv_AvoidHazards.png",
            rewardTxt   = "25",
         }
      },
      {
         reward   = { gem = 100   },
         goal     =
         {
            factory     = AchievementGoalAvoidHazard,
            cumulative  = true,
            objective   =  250000,
            description = "Avoid 250,000 road hazards",
            title       = "Defensive Driving",
            icon        = "resources/UI/achievement/achv_AvoidHazards.png",
            rewardTxt   = "100",
         }
      },
      {
         reward   = { gem = 0   },
         goal     =
         {
            factory     = AchievementGoalAvoidHazard,
            cumulative  = true,
            objective   = -1,
            description = "Achievement Completed!",
            title       = "Defensive Driving",
            icon        = "resources/UI/achievement/achv_AvoidHazards.png",
            rewardTxt   = "-",
         }
      },
   }
};


return achievement;

----------------------------------------------------------------------