
require('app/achievement/goal/achievement-goal-invite');

----------------------------------------------------------------------

local achievement =

{
   
   id       = "achv-invite",
   name     = "AchievementInvite",
   rank     =
   {
      --1
      {
         reward   = { gem = 1   },
         goal     =
         {
            factory     = AchievementGoalInvite,
            cumulative  = true,
            objective   = 1,
            description = "Invite 1 Friend",
            title       = "Popularity Contest",
            icon        = "resources/UI/achievement/achv_InviteFriends.png",
            rewardTxt   =  "1",
         }
      },
      {
         reward   = { gem = 5   },
         goal     =
         {
            factory     = AchievementGoalInvite,
            cumulative  = true,
            objective   = 5,
            description = "Invite 5 Friends",
            title       = "Popularity Contest",
            icon        = "resources/UI/achievement/achv_InviteFriends.png",
            rewardTxt   =  "5",
         }
      },
      {
         reward   = { gem = 10   },
         goal     =
         {
            factory     = AchievementGoalInvite,
            cumulative  = true,
            objective   = 10,
            description = "Invite 10 Friends",
            title       = "Popularity Contest",
            icon        = "resources/UI/achievement/achv_InviteFriends.png",
            rewardTxt   =  "10",
         }
      },
      {
         reward   = { gem = 0   },
         goal     =
         {
            factory     = AchievementGoalInvite,
            cumulative  = true,
            objective   = -1,
            description = "Achievement Completed!",
            title       = "Popularity Contest",
            icon        = "resources/UI/achievement/achv_InviteFriends.png",
            rewardTxt   =  "-",
         }
      },
   }
};


return achievement;

----------------------------------------------------------------------