
require('app/achievement/goal/achievement-goal-kill');

----------------------------------------------------------------------

local achievement =

{
   
   id       = "achv-kill",
   name     = "AchievementKills",
   rank     =
   {
      --1
      {
         reward   = { gem = 10   },
         goal     =
         {
            factory     = AchievementGoalKill,
            cumulative  = true,
            objective   = 25000,
            description = "Destroy 25,000 Enemies",
            title       = "Road Warrior",
            icon        = "resources/UI/achievement/achv_TotalKills.png",
            rewardTxt   =  "10",
         }
      },
      {
         reward   = { gem = 25   },
         goal     =
         {
            factory     = AchievementGoalKill,
            cumulative  = true,
            objective   = 125000,
            description = "Destroy 125,000 Enemies",
            title       = "Road Warrior",
            icon        = "resources/UI/achievement/achv_TotalKills.png",
            rewardTxt   =  "25",
         }
      },
      {
         reward   = { gem = 100   },
         goal     =
         {
            factory     = AchievementGoalKill,
            cumulative  = true,
            objective   = 1000000,
            description = "Destroy 1,000,000 Enemies",
            title       = "Road Warrior",
            icon        = "resources/UI/achievement/achv_TotalKills.png",
            rewardTxt   =  "100",
         }
      },
      {
         reward   = { gem = 0   },
         goal     =
         {
            factory     = AchievementGoalKill,
            cumulative  = true,
            objective   = -1,
            description = "Achievement Completed!",
            title       = "Road Warrior",
            icon        = "resources/UI/achievement/achv_TotalKills.png",
            rewardTxt   =  "-",
         }
      },
   }
};


return achievement;

----------------------------------------------------------------------
