
require('app/achievement/goal/achievement-goal-leaderboard');

----------------------------------------------------------------------

local achievement =

{
   
   id       = "achv-podium",
   name     = "AchievementLeaderboard",
   rank     =
   {
      --1
      {
         reward   = { gem = 10   },
         goal     =
         {
            factory     = AchievementGoalLeaderboard,
            cumulative  = true,
            objective   = 3,
            description = "Rank in the Top 3 on the weekly leaderboard 3 times!",
            title       = "Winner's Circle",
            icon        = "resources/UI/achievement/achv_Weekly.png",
            rewardTxt   =  "10",
         }
      },
      {
         reward   = { gem = 25   },
         goal     =
         {
            factory     = AchievementGoalLeaderboard,
            cumulative  = true,
            objective   = 10,
            description = "Rank in the Top 3 on the weekly leaderboard 10 times!",
            title       = "Winner's Circle",
            icon        = "resources/UI/achievement/achv_Weekly.png",
            rewardTxt   =  "25",
         }
      },
      {
         reward   = { gem = 100   },
         goal     =
         {
            factory     = AchievementGoalLeaderboard,
            cumulative  = true,
            objective   = 30,
            description = "Rank in the Top 3 on the weekly leaderboard 30 times!",
            title       = "Winner's Circle",
            icon        = "resources/UI/achievement/achv_Weekly.png",
            rewardTxt   =  "100",
         }
      },
      {
         reward   = { gem = 0   },
         goal     =
         {
            factory     = AchievementGoalLeaderboard,
            cumulative  = true,
            objective   = -1,
            description = "Achievement Completed!",
            title       = "Winner's Circle",
            icon        = "resources/UI/achievement/achv_Weekly.png",
            rewardTxt   =  "-",
         }
      },
   }
};


return achievement;

----------------------------------------------------------------------
