
require('app/achievement/goal/achievement-goal-score');

----------------------------------------------------------------------

local achievement =

{
   
   id       = "achv-score",
   name     = "AchievementScore",
   rank     =
   {
      --1
      {
         reward   = { gem = 10   },
         goal     =
         {
            factory     = AchievementGoalScore,
            cumulative  = false,
            objective   = 100000,
            description = "Beat a score of 100,000",
            title       = "Professional Driver",
            icon        = "resources/UI/achievement/achv_HighScore.png",
            rewardTxt   =  "10",
         }
      },
      {
         reward   = { gem = 25   },
         goal     =
         {
            factory     = AchievementGoalScore,
            cumulative  = false,
            objective   = 1000000,
            description = "Beat a score of 1,000,000",
            title       = "Professional Driver",
            icon        = "resources/UI/achievement/achv_HighScore.png",
            rewardTxt   =  "25",
         }
      },
      {
         reward   = { gem = 100   },
         goal     =
         {
            factory     = AchievementGoalScore,
            cumulative  = false,
            objective   = 10000000,
            description = "Beat a score of 10,000,000",
            title       = "Professional Driver",
            icon        = "resources/UI/achievement/achv_HighScore.png",
            rewardTxt   =  "100",
         }
      },
      {
         reward   = { gem = 0   },
         goal     =
         {
            factory     = AchievementGoalScore,
            cumulative  = true,
            objective   = -1,
            description = "Achievement Completed!",
            title       = "Professional Driver",
            icon        = "resources/UI/achievement/achv_HighScore.png",
            rewardTxt   =  "-",
         }
      },
   }
};


return achievement;

----------------------------------------------------------------------