
require('app/achievement/goal/achievement-goal-boss-kill');

----------------------------------------------------------------------

local achievement =

{
   
   id       = "achv-tank",
   name     = "AchievementTankKill",
   rank     =
   {
      --1
      {
         reward   = { gem = 10   },
         goal     =
         {
            factory     = AchievementGoalBossKill,
            cumulative  = true,
            objective   = 100,
            description = "Destroy 100 Bosses",
            title       = "Like a Boss",
            icon        = "resources/UI/achievement/achv_TankBoss.png",
            rewardTxt   =  "10",
         }
      },
      {
         reward   = { gem = 25   },
         goal     =
         {
            factory     = AchievementGoalBossKill,
            cumulative  = true,
            objective   =  500,
            description = "Destroy 500 Bosses",
            title       = "Like a Boss",
            icon        = "resources/UI/achievement/achv_TankBoss.png",
            rewardTxt   =  "25",
         }
      },
      {
         reward   = { gem = 100   },
         goal     =
         {
            factory     = AchievementGoalBossKill,
            cumulative  = true,
            objective   = 2500,
            description = "Destroy 2,500 Bosses",
            title       = "Like a Boss",
            icon        = "resources/UI/achievement/achv_TankBoss.png",
            rewardTxt   =  "100",
         }
      },
      {
         reward   = { gem = 0   },
         goal     =
         {
            factory     = AchievementGoalBossKill,
            cumulative  = true,
            objective   = -1,
            description = "Achievement Completed!",
            title       = "Like a Boss",
            icon        = "resources/UI/achievement/achv_TankBoss.png",
            rewardTxt   =  "-",
         }
      },
   }
};


return achievement;

----------------------------------------------------------------------
