require('app/template/boss-vehicles/gunship/boss_gunship_common')

local collisionTemplates = {}

function getGunshipCollisionObjectTemplate(size)
   local key = size
   
   if not collisionTemplates[key] then

      local COLLISION = {
	 {
	    delta = { 000, 000 },
	    size  = { 120, 360 }
	 },
	 {
	    delta = { 120, 050 },
	    size  = { 134, 254 }
	 },
	 {
	    delta = {-120, 050 },
	    size  = { 134, 254 }
	 }
      }

      for i=1,#COLLISION do
	 COLLISION[i].delta[1] = COLLISION[i].delta[1]*BOSS_GUNSHIP_SIZE_WIDTH_K;
	 COLLISION[i].delta[2] = COLLISION[i].delta[2]*BOSS_GUNSHIP_SIZE_HEIGHT_K;
	 COLLISION[i].size[1] = COLLISION[i].size[1]*BOSS_GUNSHIP_SIZE_WIDTH_K;
	 COLLISION[i].size[2] = COLLISION[i].size[2]*BOSS_GUNSHIP_SIZE_HEIGHT_K;
      end

      collisionTemplates[key] = COLLISION
   end

   return collisionTemplates[key]
end
