require('app/template/boss-vehicles/gunship/boss_gunship_common')

local shadowTemplates = {}

-- MAIN factory function
function getGunshipShadowTemplate(size)
   if not shadowTemplates[size] then

      -- NOTE: Size doesn't actually do anything for now.

      local SHADOW = Template.extent(TEMPLATE_BOSS_GUNSHIP_SHADOW)

      SHADOW.width  = TEMPLATE_BOSS_GUNSHIP_SHADOW.width*BOSS_GUNSHIP_SIZE_WIDTH_K
      SHADOW.height = TEMPLATE_BOSS_GUNSHIP_SHADOW.height*BOSS_GUNSHIP_SIZE_HEIGHT_K
      SHADOW.offset = { TEMPLATE_BOSS_GUNSHIP_SHADOW.offset[1]*BOSS_GUNSHIP_SIZE_WIDTH_K,
                        TEMPLATE_BOSS_GUNSHIP_SHADOW.offset[2]*BOSS_GUNSHIP_SIZE_HEIGHT_K, }

      shadowTemplates[size] = SHADOW
   end

   return shadowTemplates[size]
end
