require('app/template/boss-vehicles/tank/boss_tank_common')

local shadowTemplates = {}

-- MAIN factory function
function getTankShadowTemplate(size)
   if not shadowTemplates[size] then

      -- NOTE: Size doesn't actually do anything for now.

      local SHADOW = Template.extent(TEMPLATE_BOSS_TANK_SHADOW)

      SHADOW.width  = TEMPLATE_BOSS_TANK_SHADOW.width*BOSS_TANK_SIZE_WIDTH_K
      SHADOW.height = TEMPLATE_BOSS_TANK_SHADOW.height*BOSS_TANK_SIZE_HEIGHT_K
      SHADOW.offset = { TEMPLATE_BOSS_TANK_SHADOW.offset[1]*BOSS_TANK_SIZE_WIDTH_K,
                        TEMPLATE_BOSS_TANK_SHADOW.offset[2]*BOSS_TANK_SIZE_HEIGHT_K, }

      shadowTemplates[size] = SHADOW
   end

   return shadowTemplates[size]
end
