require("app/template/template");
require("game/entity/powerup/powerup");

----------------------------------------------------------------------
----------------------------------------------------------------------

local consumable_doubleScore =
{
   type              = "powerup_double_score",
   name              = "Double Score",
   desc              = "Doubles the points of every enemy killed",
   cost              = {gem=5},
   reviveReapply     = true,
   quantity          = 1,
   duration          = 0,

   tplPowerup        =  {
                           factory        = Powerup,
                           type           = "powerup_double_score",
                           duration       = 100000,
                           multiplier     = 2,
                           layer          = 2,
                           blend          = "add",
                           texture        = "resources/Powerup/Effect_ScoreMult.png",
                           color          = { 1, 1, 0, 0.30 },
                           offsetX        =   0,
                           offsetY        =   0,
                           width          = 370,
                           height         = 370,
                           spin           = -130,
                           sounds         = {
                                             start={"DoublePointsPickup",},
                                             loop={"2xScoreLoop",},
                                            },
                        },

};

return consumable_doubleScore;
