require("app/template/template");
require("game/entity/powerup/powerup");

----------------------------------------------------------------------
----------------------------------------------------------------------

local consumable_powerTime =
{
   type              = "powerup_powertime",
   name              = "Power Time",
   desc              = "Increase the duration of all power ups collected",
   cost              = {gem=5},
   reviveReapply     = true,
   quantity          = 1,
   duration          = 0,

   tplPowerup        =  {
                           factory        = Powerup,
                           type           = "powerup_powertime",
                           duration       = 100000,
                           layer          = 1,
                        },
};

return consumable_powerTime;
