require("app/template/template");

local drone_laser_proj_texture =
{
	--indexed by rarity
	projectile =
	{
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Bolt_Yellow.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Bolt_Red.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Bolt_Green.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Bolt_Blue.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Bolt_Violet.png",
	},
	--indexed by rarity
	beamCount	=
	{
		2,
		3,
		4,
		5,
		6,
	},
	--indexed by rarity
	beamOffset	=
	{
		{
			{ 0, 40, 45 },
			{ 0, 40, -45 },
		},
		{
			{ 0, 40, 45 },
			{ 0, 40, 0 },
			{ 0, 40, -45 },
		},
		{
			{ 0, 40, 45 },
			{ 0, 40, 15 },
			{ 0, 40, -15 },
			{ 0, 40, -45 },
		},
		{
			{ 0, 40, 45 },
			{ 0, 40, 22.5 },
			{ 0, 40, 0 },
			{ 0, 40, -22.5 },
			{ 0, 40, -45 },
		},
		{
			{ 0, 40, 45 },
			{ 0, 40, 27 },
			{ 0, 40, 9 },
			{ 0, 40, -9 },
			{ 0, 40, -27 },
			{ 0, 40, -45 },
		},
	},
	--indexed by level
	beamMajorDuration	=
	{
		2.0,
		2.5,
		3.0,
		3.5,
		4.0,
		4.5,
		5.0,
		5.5,
		6.0,
		6.5,
		7.0,
		7.5,
		8.0,
		8.5,
		10.0,
	},
	--indexed by rarity
	beamMajorWidth	=
	{
		128,
		160,
		192,
		224,
		256,
	},
	--indexed by rarity
	beamMinor	=
	{
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Beam_Yellow.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Beam_Red.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Beam_Green.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Beam_Blue.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Beam_Violet.png",
	},
	--indexed by rarity
	beamMajor	=
	{
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_BeamL_Yellow.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_BeamL_Red.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_BeamL_Green.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_BeamL_Blue.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_BeamL_Violet.png",
	},
	--indexed by rarity
	muzzleFlash	=
	{
		"resources/Vehicle/Drones/DroneRocket/DroneRocket_MuzzleFlash.png",
		"resources/Vehicle/Drones/DroneRocket/DroneRocket_MuzzleFlash.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_MuzzleFlash_Green.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_MuzzleFlash_Blue.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_MuzzleFlash_Violet.png",
	},
	--indexed by rarity
	muzzleFlashScale	=
	{
		{3, 3},
		{4, 4},
		{5, 5},
		{6, 6},
		{7, 7},
	},
	--indexed by rarity
	impact =
	{
		"resources/Explosion/Lazer_Explosions/LaserDrone_Explosion_Yellow.png",
		"resources/Explosion/Lazer_Explosions/LaserDrone_Explosion_Red.png",
		"resources/Explosion/Lazer_Explosions/LaserDrone_Explosion_Green.png",
		"resources/Explosion/Lazer_Explosions/LaserDrone_Explosion_Blue.png",
		"resources/Explosion/Lazer_Explosions/LaserDrone_Explosion_Purple.png",
	},
	--indexed by rarity
	glow =
	{
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Glow_Yellow.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Glow_Red.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Glow_Green.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Glow_Blue.png",
		"resources/Vehicle/Drones/DroneLaser/DroneLaser_Glow_Violet.png",
	},
};

return drone_laser_proj_texture;