require('app/template/explosions/vehicle_explosion')
require("app/template/enemy-vehicles/stats_template")



TEMPLATE_ENEMY_ARMOR_TRUCK_A =
{
   type              = "armor_truck_a",
   layer             = 3,
   speed             =  { 0 ,    150 },
   speedRnd          =  { 0 ,    000 },
   speedMax          = { 300 ,   -125     },
   speedMaxRnd       = {   0 ,    025     },
   avatarSpeedK      =  0.20,
   avatarSpeedKRnd   =  0.00,
   avatarImpulseMinY =  250,
   avatarImpulseMaxY =  400,
   texture           = "resources/Vehicle/Enemy_ArmoredTruck/ArmoredTruck.png",
	splitProp			= false;
   width             = 128,
   height            = 285,
   collisionWidth    = 110,
   collisionHeight   = 280,
   dropIndex         = { PICKUP_COIN_10_INDEX,     PICKUP_COIN_INDEX,    PICKUP_WRENCH_INDEX,   PICKUP_COIN_INDEX,
                         PICKUP_COIN_INDEX,        PICKUP_WRENCH_INDEX,  PICKUP_COIN_INDEX,     PICKUP_COIN_INDEX },
   drop              = { 9, 12 },
   --joehack special drop chance for armored truck
   --specialDrop       = { 1, 1 },
   --specialDropOdds   = 1,
  -- specialDropIndex  = { PICKUP_MYSTERY_INDEX },
  -- specialAdditive   = true;
   dropSpeedK        = { 2, 2  },
   mass              = 1500000,
   score             = 1000,
   hitPoints         = 1000,
   avatarHitDamage   = { 1/24,2/24,3/24,4/24,5/24,6/24,7/24,8/24,9/24,10/24,11/24,12/24,13/24,14/24,15/24 },
   damageToAvatar    = { 25, 75 },
   onHitSound        = {start={"BulletImpact2",},},
   damageTypeSound   = {
                     {start={
                              "AutoSkid1",},
                              },
                     {start={
                              "HTTCollision1",},
                              },
                     {},};
   explosion      = TEMPLATE_VEHICLE_EXPLOSION.medium,
   shadow         =
   {
      layer          = 1,
      width          = 128,
      height         = 285,
      avatarSpeedK   = 0,
      texture        = "resources/Vehicle/Enemy_ArmoredTruck/ArmoredTruck_Shadow.png",
      offset         = {20,-20},
      color          = {1,1,1,0.5},
   },
   healthBar      =
   {
      template    =
      {
         layer          = 2,
         texture        = "resources/square.png",
         width          = 72,
         height         = 12,
         colorFull      = { 0, 1, 0, 0.35 },
         colorHalf      = { 1, 1, 0, 0.35 },
         colorEmpty     = { 1, 0, 0, 0.35 },
      },
      offset      = { 0, -148 },
   },
};