require('app/template/explosions/vehicle_explosion')
require("app/template/enemy-vehicles/stats_template")



TEMPLATE_ENEMY_FUEL_TRUCK_A =
{
   type              = "fuel_truck_a",
   layer             = 3,
   speed             =  { 0 , 200 },
   speedRnd          =  { 0 , 000 },
   speedMax          = { 300 ,   -125     },
   speedMaxRnd       = {   0 ,    025     },
   avatarSpeedK      =  0.35,
   avatarSpeedKRnd   =  0.00,
   avatarImpulseMinY =  250,
   avatarImpulseMaxY =  400,
   texture           = "resources/Vehicle/FuelTruck_Enemy/Fueltruck_Enemy_Fire.png",
	splitProp			= true;
   width             = 128,
   height            = 359,
   collisionWidth    = 115,
   collisionHeight   = 350,
   drop              = { 3, 4 },
   dropSpeedK        = { 2, 3 },
   mass              = 3000000,
   score             = 10,
   hitPoints         = 50,
   avatarHitDamage   = { 1/24,2/24,3/24,4/24,5/24,6/24,7/24,8/24,9/24,10/24,11/24,12/24,13/24,14/24,15/24 },
   damageToAvatar    = { 25, 75 },
   damageTypeSound   = {
                     {start={
                              "AutoSkid1",},
                              },
                     {start={
                              "HTTCollision1",},
                              },
                     {},};
   explosion      = TEMPLATE_VEHICLE_EXPLOSION.fuelTruck,
   shadow         =
   {
      layer          = 1,
      width          = 128,
      height         = 359,
      avatarSpeedK   = 0,
      texture        = "resources/Vehicle/FuelTruck_Enemy/Fueltruck_Shadow.png",
      offset         = {20,-20},
      color          = {1,1,1,0.5},
   },
   healthBar      =
   {
      template    =
      {
         layer          = 2,
         texture        = "resources/square.png",
         width          = 72,
         height         = 12,
         colorFull      = { 0, 1, 0, 0.35 },
         colorHalf      = { 1, 1, 0, 0.35 },
         colorEmpty     = { 1, 0, 0, 0.35 },
      },
      offset      = { 0, -190 },
   },
};