

TEMPLATE_VEHICLE_EXPLOSION        =
{
   small = 
   {
      texture        = "resources/Explosion/Explosion_04.png",
      sounds       = {start={
                           "Explosion1",
                           "Explosion2",
                           "Explosion3",
                           },
                        },
      width          = 100,
      height         = 100,
      avatarSpeedK   = 0.25,
      angleRnd       = 360,
      growth         = { 08, 08 };
      growthRnd      = { 04, 04 };
      duration       = 0.33,
      fadeStart      = 0.07,
      spin           = 180,
      spinRnd        =  90,
      color          = { 0.90, 0.75, 0.00, 1.0 },
      colorRnd       = { 0.10, 0.25, 0.00, 0.0 },
      --[[
      flashAnim      =
      {
         priority    = 10,
         flashId     = "resources/flash-resource-bundle/Drone_Effects",
         animId      = "Explosion",
         offset      = {0, 0},
         rotOffset   = 0,
         scale       = {0.5, 0.5},
         fps         = 30,
         speed       = 1,
         attrLink    = "location-only",
      },
      ]]
   },
   medium = 
   {
      texture        = "resources/Explosion/Explosion_04.png",
      sounds       = {start={
                           "Explosion1",
                           "Explosion2",
                           "Explosion3",
                           },
                        },
      width          = 150,
      height         = 150,
      avatarSpeedK   = 0.25,
      angleRnd       = 360,
      growth         = { 08, 08 };
      growthRnd      = { 04, 04 };
      duration       = 0.33,
      fadeStart      = 0.07,
      spin           = 180,
      spinRnd        =  90,
      color          = { 0.90, 0.75, 0.00, 1.0 },
      colorRnd       = { 0.10, 0.25, 0.00, 0.0 },
      --[[
      flashAnim      =
      {
         priority    = 10,
         flashId     = "resources/flash-resource-bundle/Drone_Effects",
         animId      = "Explosion",
         offset      = {0, 0},
         rotOffset   = 0,
         scale       = {0.5, 0.5},
         fps         = 30,
         speed       = 1,
         attrLink    = "location-only",
      },
      ]]
   },
   bus =
   {
      texture        = "resources/Explosion/Explosion_04.png",
      sounds       = {start={
         "Explosion1",
         "Explosion2",
         "Explosion3",
      },
      },
      width          = 200,
      height         = 200,
      avatarSpeedK   = 0.25,
      angleRnd       = 360,
      growth         = { 07, 07 };
      growthRnd      = { 02, 02 };
      duration       = 0.33,
      fadeStart      = 0.03,
      spin           = 180,
      spinRnd        =  90,
      color          = { 0.90, 0.75, 0.00, 1.0 },
      colorRnd       = { 0.10, 0.25, 0.00, 0.0 },
      --[[
      flashAnim      =
      {
         priority    = 10,
         flashId     = "resources/flash-resource-bundle/Drone_Effects",
         animId      = "Explosion",
         offset      = {0, 0},
         rotOffset   = 0,
         scale       = {1, 1},
         fps         = 30,
         speed       = 1,
         attrLink    = "location-only",
      },
      ]]
   },
   fuelTruck =
   {
      texture        = "resources/Explosion/Explosion_04.png",
      sounds       = {start={
                           "LargeExplosion1",
                           },
                        },
      width          = 300,
      height         = 300,
      avatarSpeedK   = 0.25,
      angleRnd       = 360,
      growth         = { 08, 08 };
      growthRnd      = { 04, 04 };
      duration       = 0.33,
      fadeStart      = 0.07,
      spin           = 180,
      spinRnd        =  90,
      color          = { 1.00, 1.00, 0.00, 1.0 },
      colorRnd       = { 0.00, 0.00, 0.00, 0.0 },
      damage         =
      {
         start       = 0,
         stop        = 0.20,
         vehicleVal  = 500000,
         avatarVal   = 0,
      },
      --[[
      flashAnim      =
      {
         priority    = 10,
         flashId     = "resources/flash-resource-bundle/Drone_Effects",
         animId      = "Explosion",
         offset      = {0, 0},
         rotOffset   = 0,
         scale       = {1, 1},
         fps         = 30,
         speed       = 1,
         attrLink    = "location-only",
      }
      ]]
   }
}