require("game/entity/powerup/powerup");

local TEMPLATE_PICKUP_BOUNTY_LVL =
{
   type              = "bounty",
   value             = 1,
   pickableDelay     = 0.25,
   speed             =  { -350,    200      },
   speedRnd          =  {  700,    100      },
   accel             =  {   0,    -1500     },
   spin              = -180,
   spinRnd           = 20,
   texture           = "resources/Vehicle/Icon_GhostRider_PortraitReticle.png",
   width             = 136,
   height            = 136,
	tangoId				= nil,

	tplPowerup			=
	{
		layer          = 1,
		width          = 300,
		height         = 316,
		texture        = "resources/Pickup/MysteryToken_YellowRays_Ingame.png",
		blend          = "add",
		duration       = 0.25,
		spin           = 360,
		growth         = { 20, 20 };
		avatarSpeedK   =  0.00,
		color          = { 1.0, 1.0, 1.0, 0.5 },
      sounds            = {start={"PickupWrench",},},
	},
  
  element1				=
  {
		speed             = { 0, 0 },
		speedRnd          = { 0, 0 },
		accel             = { 0, 0 },
		spin              = 0,
		spinRnd           = 0,
		texture           = "resources/UI/PlayerPortrait.png",
		width             = 64,
		height            = 64,
		offset				= {-3, 3},
		priority				= 5,
  },
  
  element2				=
  {
		speed             = { 0, 0 },
		speedRnd          = { 0, 0 },
		accel             = { 0, 0 },
		spin              = 180,
		spinRnd           = 20,
		texture           = "resources/Pickup/MysteryToken_YellowRays_Ingame.png",
		width             = 300,
		height            = 316,
		offset				= {-3, 3},
		blend					= "add",
  },
};

----------------------------------------------------------------------

TEMPLATE_PICKUP_BOUNTY =
{
   version = 1,
   
   level   =
   {
      TEMPLATE_PICKUP_BOUNTY_LVL,
   }
};