local TEMPLATE_PICKUP_LVL_0 =
{
   type              = "currency",
   value             = 1,
   pickableDelay     = 0.25,
   speed             =  { -175,    100      },
   speedRnd          =  {  350,    200      },
   accel             =  {   0,    -1500     },
   spin              =  0,
   spinRnd           =  0,
   texture           = "resources/Pickup/Pickup_Coin_10.png",
   width             = 70,
   height            = 70,
   sounds            = {start={
                              "CoinPickup1",
                              "CoinPickup2",
                              },},
};

local TEMPLATE_PICKUP_LVL_1      = Template.extent(TEMPLATE_PICKUP_LVL_0);
local TEMPLATE_PICKUP_LVL_2      = Template.extent(TEMPLATE_PICKUP_LVL_1);
local TEMPLATE_PICKUP_LVL_3      = Template.extent(TEMPLATE_PICKUP_LVL_2);
local TEMPLATE_PICKUP_LVL_4      = Template.extent(TEMPLATE_PICKUP_LVL_3);
local TEMPLATE_PICKUP_LVL_5      = Template.extent(TEMPLATE_PICKUP_LVL_4);
local TEMPLATE_PICKUP_LVL_6      = Template.extent(TEMPLATE_PICKUP_LVL_5);
local TEMPLATE_PICKUP_LVL_7      = Template.extent(TEMPLATE_PICKUP_LVL_6);
local TEMPLATE_PICKUP_LVL_8      = Template.extent(TEMPLATE_PICKUP_LVL_7);
local TEMPLATE_PICKUP_LVL_9      = Template.extent(TEMPLATE_PICKUP_LVL_8);
local TEMPLATE_PICKUP_LVL_10     = Template.extent(TEMPLATE_PICKUP_LVL_9);

TEMPLATE_PICKUP_LVL_1["cost"]    = PICKUP_DOUBLE_COIN_COST[1];
TEMPLATE_PICKUP_LVL_1["value"]   = 10;
TEMPLATE_PICKUP_LVL_2["cost"]    = PICKUP_DOUBLE_COIN_COST[2];
TEMPLATE_PICKUP_LVL_2["value"]   = 20;
TEMPLATE_PICKUP_LVL_3["cost"]    = PICKUP_DOUBLE_COIN_COST[3];
TEMPLATE_PICKUP_LVL_3["value"]   = 30;
TEMPLATE_PICKUP_LVL_4["cost"]    = PICKUP_DOUBLE_COIN_COST[4];
TEMPLATE_PICKUP_LVL_4["value"]   = 40;
TEMPLATE_PICKUP_LVL_5["cost"]    = PICKUP_DOUBLE_COIN_COST[5];
TEMPLATE_PICKUP_LVL_5["value"]   = 50;
TEMPLATE_PICKUP_LVL_6["cost"]    = PICKUP_DOUBLE_COIN_COST[6];
TEMPLATE_PICKUP_LVL_6["value"]   = 60;
TEMPLATE_PICKUP_LVL_7["cost"]    = PICKUP_DOUBLE_COIN_COST[7];
TEMPLATE_PICKUP_LVL_7["value"]   = 70;
TEMPLATE_PICKUP_LVL_8["cost"]    = PICKUP_DOUBLE_COIN_COST[8];
TEMPLATE_PICKUP_LVL_8["value"]   = 80;
TEMPLATE_PICKUP_LVL_9["cost"]    = PICKUP_DOUBLE_COIN_COST[9];
TEMPLATE_PICKUP_LVL_9["value"]   = 90;
TEMPLATE_PICKUP_LVL_10["cost"]   = PICKUP_DOUBLE_COIN_COST[10];
TEMPLATE_PICKUP_LVL_10["value"]  = 100;

TEMPLATE_PICKUP_COIN_10 =
{
   version = 1,
   
   level   =
   {
      TEMPLATE_PICKUP_LVL_1,
      TEMPLATE_PICKUP_LVL_2,
    --  TEMPLATE_PICKUP_LVL_3,
    --  TEMPLATE_PICKUP_LVL_4,
    --  TEMPLATE_PICKUP_LVL_5,
    --  TEMPLATE_PICKUP_LVL_6,
    --  TEMPLATE_PICKUP_LVL_7,
    --  TEMPLATE_PICKUP_LVL_8,
    --  TEMPLATE_PICKUP_LVL_9,
    --  TEMPLATE_PICKUP_LVL_10,
   }
}