require("app/template/template")

local MAX_PLAYER_LEVEL								= 1000; --There is a copy in App Data
local FRIENDS_BOARD_UNLOCK_LEVEL             = 03; --Only used when Leagues are enabled
local DAILY_UNLOCK_LEVEL							= 07;
local REVIVE_UNLOCK_LEVEL							= 06;
local BOUNTY_UNLOCK_LEVEL							= 06;
local MISSION_UNLOCK_LEVEL                          = 05;
local CONSUMABLE_UNLOCK_LEVEL                       = 08;
local MYSTERY_UNLOCK_LEVEL                          = 11;
local LEAGUE_UNLOCK_LEVEL							= 09;
local BOSS_UNLOCK_LEVEL								= 12;
local ACHV_UNLOCK_LEVEL								= 10;
local VEHC_2_UNLOCK_LEVEL							= 15;
local VEHC_3_UNLOCK_LEVEL							= 30;
local VEHC_4_UNLOCK_LEVEL							= 45;
local VEHC_5_UNLOCK_LEVEL							= 60;
local VEHC_6_UNLOCK_LEVEL							= 75;
local VEHC_7_UNLOCK_LEVEL							= 75;
local VEHC_8_UNLOCK_LEVEL							= 75;
local VEHC_9_UNLOCK_LEVEL							= 75;
local VEHC_10_UNLOCK_LEVEL							= 75;

----------------------------------------------------------------------

TEMPLATE_PLAYER_LEVEL								= {};

for i=1,MAX_PLAYER_LEVEL do

   TEMPLATE_PLAYER_LEVEL[i]                  = {};

   TEMPLATE_PLAYER_LEVEL[i].expRequired      = 0;
   TEMPLATE_PLAYER_LEVEL[i].gemReward        = 0;
   TEMPLATE_PLAYER_LEVEL[i].gemReward        = 0;
   TEMPLATE_PLAYER_LEVEL[i].keyReward        = -1; -- < 0 mean replenish
   TEMPLATE_PLAYER_LEVEL[i].unlockVehc       = 1;
   TEMPLATE_PLAYER_LEVEL[i].unlockMission    = false;
   TEMPLATE_PLAYER_LEVEL[i].unlockDaily      = false;
   TEMPLATE_PLAYER_LEVEL[i].unlockLeague     = false;
   TEMPLATE_PLAYER_LEVEL[i].unlockBounty     = false;
   TEMPLATE_PLAYER_LEVEL[i].unlockRevive     = false;
   TEMPLATE_PLAYER_LEVEL[i].unlockConsumable = false;
   TEMPLATE_PLAYER_LEVEL[i].unlockMystery    = false;
   TEMPLATE_PLAYER_LEVEL[i].unlockBoss       = false;
   TEMPLATE_PLAYER_LEVEL[i].unlockDrones     = false;
   TEMPLATE_PLAYER_LEVEL[i].unlockFriends    = false;
   TEMPLATE_PLAYER_LEVEL[i].unlockScoreBonus = i;

end

----------------------------------------------------------------------

-- XP Total Required
TEMPLATE_PLAYER_LEVEL[02].expRequired 			 =0000001;
TEMPLATE_PLAYER_LEVEL[03].expRequired 			 =0000500;
TEMPLATE_PLAYER_LEVEL[04].expRequired 			 =0001000;
TEMPLATE_PLAYER_LEVEL[05].expRequired 			 =0002000;
TEMPLATE_PLAYER_LEVEL[06].expRequired 			 =0003500;
TEMPLATE_PLAYER_LEVEL[07].expRequired 			 =0006000;
TEMPLATE_PLAYER_LEVEL[08].expRequired 			 =0010000;
TEMPLATE_PLAYER_LEVEL[09].expRequired 			 =0015000;
TEMPLATE_PLAYER_LEVEL[10].expRequired 			 =0021000;
TEMPLATE_PLAYER_LEVEL[11].expRequired 			 =0029000;
TEMPLATE_PLAYER_LEVEL[12].expRequired 			 =0039000;
TEMPLATE_PLAYER_LEVEL[13].expRequired 			 =0041000;
TEMPLATE_PLAYER_LEVEL[14].expRequired 			 =0055000;
TEMPLATE_PLAYER_LEVEL[15].expRequired 			 =0070000;
TEMPLATE_PLAYER_LEVEL[16].expRequired 			 =0085000;
TEMPLATE_PLAYER_LEVEL[17].expRequired 			 =0101000;
TEMPLATE_PLAYER_LEVEL[18].expRequired 			 =0109700;
TEMPLATE_PLAYER_LEVEL[19].expRequired 			 =0118700;
TEMPLATE_PLAYER_LEVEL[20].expRequired 			 =0149100;
TEMPLATE_PLAYER_LEVEL[21].expRequired 			 =0150500;
TEMPLATE_PLAYER_LEVEL[22].expRequired 			 =0171100;
TEMPLATE_PLAYER_LEVEL[23].expRequired 			 =0197900;
TEMPLATE_PLAYER_LEVEL[24].expRequired 			 =0211000;
TEMPLATE_PLAYER_LEVEL[25].expRequired 			 =0224500;
TEMPLATE_PLAYER_LEVEL[26].expRequired 			 =0256800;
TEMPLATE_PLAYER_LEVEL[27].expRequired 			 =0285200;
TEMPLATE_PLAYER_LEVEL[28].expRequired 			 =0301400;
TEMPLATE_PLAYER_LEVEL[29].expRequired 			 =0340700;
TEMPLATE_PLAYER_LEVEL[30].expRequired 			 =0359000;
TEMPLATE_PLAYER_LEVEL[31].expRequired 			 =0377800;
TEMPLATE_PLAYER_LEVEL[32].expRequired 			 =0423600;
TEMPLATE_PLAYER_LEVEL[33].expRequired 			 =0444800;
TEMPLATE_PLAYER_LEVEL[34].expRequired 			 =0466500;
TEMPLATE_PLAYER_LEVEL[35].expRequired 			 =0488800;
TEMPLATE_PLAYER_LEVEL[36].expRequired 			 =0543500;
TEMPLATE_PLAYER_LEVEL[37].expRequired 			 =0587300;
TEMPLATE_PLAYER_LEVEL[38].expRequired 			 =0633300;
TEMPLATE_PLAYER_LEVEL[39].expRequired 			 =0681600;
TEMPLATE_PLAYER_LEVEL[40].expRequired 			 =0775400;
TEMPLATE_PLAYER_LEVEL[41].expRequired 			 =0831700;
TEMPLATE_PLAYER_LEVEL[42].expRequired 			 =0921300;
TEMPLATE_PLAYER_LEVEL[43].expRequired 			 =1020300;
TEMPLATE_PLAYER_LEVEL[44].expRequired 			 =1192300;
TEMPLATE_PLAYER_LEVEL[45].expRequired 			 =1320000;
TEMPLATE_PLAYER_LEVEL[46].expRequired 			 =1461600;
TEMPLATE_PLAYER_LEVEL[47].expRequired 			 =1554100;
TEMPLATE_PLAYER_LEVEL[48].expRequired 			 =1737200;
TEMPLATE_PLAYER_LEVEL[49].expRequired 			 =1842700;
TEMPLATE_PLAYER_LEVEL[50].expRequired 			 =1952300;
TEMPLATE_PLAYER_LEVEL[51].expRequired 			 =2152200;
TEMPLATE_PLAYER_LEVEL[52].expRequired 			 =2293500;
TEMPLATE_PLAYER_LEVEL[53].expRequired 			 =2329000;
TEMPLATE_PLAYER_LEVEL[54].expRequired 			 =2366300;
TEMPLATE_PLAYER_LEVEL[55].expRequired 			 =2405100;
TEMPLATE_PLAYER_LEVEL[56].expRequired 			 =2445500;
TEMPLATE_PLAYER_LEVEL[57].expRequired 			 =2605800;
TEMPLATE_PLAYER_LEVEL[58].expRequired 			 =2651000;
TEMPLATE_PLAYER_LEVEL[59].expRequired 			 =2697700;
TEMPLATE_PLAYER_LEVEL[60].expRequired 			 =2745600;
TEMPLATE_PLAYER_LEVEL[61].expRequired 			 =2794800;
TEMPLATE_PLAYER_LEVEL[62].expRequired 			 =5064000;
TEMPLATE_PLAYER_LEVEL[63].expRequired 			 =5200100;
TEMPLATE_PLAYER_LEVEL[64].expRequired 			 =5336200;
TEMPLATE_PLAYER_LEVEL[65].expRequired 			 =5472300;
TEMPLATE_PLAYER_LEVEL[66].expRequired 			 =5608400;
TEMPLATE_PLAYER_LEVEL[67].expRequired 			 =5994200;
TEMPLATE_PLAYER_LEVEL[68].expRequired 			 =6136300;
TEMPLATE_PLAYER_LEVEL[69].expRequired 			 =6278300;
TEMPLATE_PLAYER_LEVEL[70].expRequired 			 =6420300;
TEMPLATE_PLAYER_LEVEL[71].expRequired 			 =6562300;
TEMPLATE_PLAYER_LEVEL[72].expRequired 			 =6983700;
TEMPLATE_PLAYER_LEVEL[73].expRequired 			 =7131600;
TEMPLATE_PLAYER_LEVEL[74].expRequired 			 =7279600;
TEMPLATE_PLAYER_LEVEL[75].expRequired 			 =7427500;
TEMPLATE_PLAYER_LEVEL[76].expRequired 			 =7575500;
TEMPLATE_PLAYER_LEVEL[77].expRequired 			 =8032300;
TEMPLATE_PLAYER_LEVEL[78].expRequired 			 =8186200;
TEMPLATE_PLAYER_LEVEL[79].expRequired 			 =8340100;
TEMPLATE_PLAYER_LEVEL[80].expRequired 			 =8493900;
TEMPLATE_PLAYER_LEVEL[81].expRequired 			 =8647800;
TEMPLATE_PLAYER_LEVEL[82].expRequired 			 =8801600;
TEMPLATE_PLAYER_LEVEL[83].expRequired 			 =9299900;
TEMPLATE_PLAYER_LEVEL[84].expRequired 			 =9459700;
TEMPLATE_PLAYER_LEVEL[85].expRequired 			 =9619500;
TEMPLATE_PLAYER_LEVEL[86].expRequired 			 =9779200;
TEMPLATE_PLAYER_LEVEL[87].expRequired 			 =9939000;
TEMPLATE_PLAYER_LEVEL[88].expRequired 			 =10098800;
TEMPLATE_PLAYER_LEVEL[89].expRequired 			 =10638500;
TEMPLATE_PLAYER_LEVEL[90].expRequired 			 =10804200;
TEMPLATE_PLAYER_LEVEL[91].expRequired 			 =10969900;
TEMPLATE_PLAYER_LEVEL[92].expRequired 			 =11135600;
TEMPLATE_PLAYER_LEVEL[93].expRequired 			 =11301300;
TEMPLATE_PLAYER_LEVEL[94].expRequired 			 =11467000;
TEMPLATE_PLAYER_LEVEL[95].expRequired 			 =12048100;
TEMPLATE_PLAYER_LEVEL[96].expRequired 			 =12219700;
TEMPLATE_PLAYER_LEVEL[97].expRequired 			 =12391300;
TEMPLATE_PLAYER_LEVEL[98].expRequired 			 =12562900;
TEMPLATE_PLAYER_LEVEL[99].expRequired 			 =12734600;
TEMPLATE_PLAYER_LEVEL[100].expRequired 			 =12906200;
TEMPLATE_PLAYER_LEVEL[101].expRequired 			 =13555757;
TEMPLATE_PLAYER_LEVEL[102].expRequired 			 =13761125;
TEMPLATE_PLAYER_LEVEL[103].expRequired 			 =13967103;
TEMPLATE_PLAYER_LEVEL[104].expRequired 			 =14173790;
TEMPLATE_PLAYER_LEVEL[105].expRequired 			 =14381188;
TEMPLATE_PLAYER_LEVEL[106].expRequired 			 =15075663;
TEMPLATE_PLAYER_LEVEL[107].expRequired 			 =15291526;
TEMPLATE_PLAYER_LEVEL[108].expRequired 			 =15508021;
TEMPLATE_PLAYER_LEVEL[109].expRequired 			 =15725250;
TEMPLATE_PLAYER_LEVEL[110].expRequired 			 =15943314;
TEMPLATE_PLAYER_LEVEL[111].expRequired 			 =16683435;
TEMPLATE_PLAYER_LEVEL[112].expRequired 			 =16909926;
TEMPLATE_PLAYER_LEVEL[113].expRequired 			 =17137278;
TEMPLATE_PLAYER_LEVEL[114].expRequired 			 =17365387;
TEMPLATE_PLAYER_LEVEL[115].expRequired 			 =17594151;
TEMPLATE_PLAYER_LEVEL[116].expRequired 			 =18380746;
TEMPLATE_PLAYER_LEVEL[117].expRequired 			 =18618307;
TEMPLATE_PLAYER_LEVEL[118].expRequired 			 =18856650;
TEMPLATE_PLAYER_LEVEL[119].expRequired 			 =19095671;
TEMPLATE_PLAYER_LEVEL[120].expRequired 			 =19335576;
TEMPLATE_PLAYER_LEVEL[121].expRequired 			 =20169473;
TEMPLATE_PLAYER_LEVEL[122].expRequired 			 =20418239;
TEMPLATE_PLAYER_LEVEL[123].expRequired 			 =20667809;
TEMPLATE_PLAYER_LEVEL[124].expRequired 			 =20918185;
TEMPLATE_PLAYER_LEVEL[125].expRequired 			 =21169365;
TEMPLATE_PLAYER_LEVEL[126].expRequired 			 =22051393;
TEMPLATE_PLAYER_LEVEL[127].expRequired 			 =22311599;
TEMPLATE_PLAYER_LEVEL[128].expRequired 			 =22572634;
TEMPLATE_PLAYER_LEVEL[129].expRequired 			 =22834497;
TEMPLATE_PLAYER_LEVEL[130].expRequired 			 =23097294;
TEMPLATE_PLAYER_LEVEL[131].expRequired 			 =24028281;
TEMPLATE_PLAYER_LEVEL[132].expRequired 			 =24300164;
TEMPLATE_PLAYER_LEVEL[133].expRequired 			 =24572899;
TEMPLATE_PLAYER_LEVEL[134].expRequired 			 =24846593;
TEMPLATE_PLAYER_LEVEL[135].expRequired 			 =25121032;
TEMPLATE_PLAYER_LEVEL[136].expRequired 			 =26101806;
TEMPLATE_PLAYER_LEVEL[137].expRequired 			 =26385602;
TEMPLATE_PLAYER_LEVEL[138].expRequired 			 =26670382;
TEMPLATE_PLAYER_LEVEL[139].expRequired 			 =26955929;
TEMPLATE_PLAYER_LEVEL[140].expRequired 			 =27242460;
TEMPLATE_PLAYER_LEVEL[141].expRequired 			 =28273850;
TEMPLATE_PLAYER_LEVEL[142].expRequired 			 =28569904;
TEMPLATE_PLAYER_LEVEL[143].expRequired 			 =28866749;
TEMPLATE_PLAYER_LEVEL[144].expRequired 			 =29164602;
TEMPLATE_PLAYER_LEVEL[145].expRequired 			 =29463354;
TEMPLATE_PLAYER_LEVEL[146].expRequired 			 =30546188;
TEMPLATE_PLAYER_LEVEL[147].expRequired 			 =30854629;
TEMPLATE_PLAYER_LEVEL[148].expRequired 			 =31163993;
TEMPLATE_PLAYER_LEVEL[149].expRequired 			 =31474170;
TEMPLATE_PLAYER_LEVEL[150].expRequired 			 =31785380;
TEMPLATE_PLAYER_LEVEL[151].expRequired 			 =32920597;
TEMPLATE_PLAYER_LEVEL[152].expRequired 			 =33241661;
TEMPLATE_PLAYER_LEVEL[153].expRequired 			 =33563671;
TEMPLATE_PLAYER_LEVEL[154].expRequired 			 =33886629;
TEMPLATE_PLAYER_LEVEL[155].expRequired 			 =34210533;
TEMPLATE_PLAYER_LEVEL[156].expRequired 			 =35398741;
TEMPLATE_PLAYER_LEVEL[157].expRequired 			 =35732664;
TEMPLATE_PLAYER_LEVEL[158].expRequired 			 =36067558;
TEMPLATE_PLAYER_LEVEL[159].expRequired 			 =36403533;
TEMPLATE_PLAYER_LEVEL[160].expRequired 			 =36740368;
TEMPLATE_PLAYER_LEVEL[161].expRequired 			 =37982505;
TEMPLATE_PLAYER_LEVEL[162].expRequired 			 =38329524;
TEMPLATE_PLAYER_LEVEL[163].expRequired 			 =38677650;
TEMPLATE_PLAYER_LEVEL[164].expRequired 			 =39026657;
TEMPLATE_PLAYER_LEVEL[165].expRequired 			 =39376771;
TEMPLATE_PLAYER_LEVEL[166].expRequired 			 =40673666;
TEMPLATE_PLAYER_LEVEL[167].expRequired 			 =41034130;
TEMPLATE_PLAYER_LEVEL[168].expRequired 			 =41395499;
TEMPLATE_PLAYER_LEVEL[169].expRequired 			 =41758000;
TEMPLATE_PLAYER_LEVEL[170].expRequired 			 =42121404;
TEMPLATE_PLAYER_LEVEL[171].expRequired 			 =43473999;
TEMPLATE_PLAYER_LEVEL[172].expRequired 			 =43847918;
TEMPLATE_PLAYER_LEVEL[173].expRequired 			 =44222994;
TEMPLATE_PLAYER_LEVEL[174].expRequired 			 =44599111;
TEMPLATE_PLAYER_LEVEL[175].expRequired 			 =44976270;
TEMPLATE_PLAYER_LEVEL[176].expRequired 			 =46385165;
TEMPLATE_PLAYER_LEVEL[177].expRequired 			 =46773005;
TEMPLATE_PLAYER_LEVEL[178].expRequired 			 =47161910;
TEMPLATE_PLAYER_LEVEL[179].expRequired 			 =47551880;
TEMPLATE_PLAYER_LEVEL[180].expRequired 			 =47942916;
TEMPLATE_PLAYER_LEVEL[181].expRequired 			 =49409053;
TEMPLATE_PLAYER_LEVEL[182].expRequired 			 =49810936;
TEMPLATE_PLAYER_LEVEL[183].expRequired 			 =50213907;
TEMPLATE_PLAYER_LEVEL[184].expRequired 			 =50618083;
TEMPLATE_PLAYER_LEVEL[185].expRequired 			 =51023232;
TEMPLATE_PLAYER_LEVEL[186].expRequired 			 =52547440;
TEMPLATE_PLAYER_LEVEL[187].expRequired 			 =52963719;
TEMPLATE_PLAYER_LEVEL[188].expRequired 			 =53380992;
TEMPLATE_PLAYER_LEVEL[189].expRequired 			 =53799378;
TEMPLATE_PLAYER_LEVEL[190].expRequired 			 =54218876;
TEMPLATE_PLAYER_LEVEL[191].expRequired 			 =55802102;
TEMPLATE_PLAYER_LEVEL[192].expRequired 			 =56232778;
TEMPLATE_PLAYER_LEVEL[193].expRequired 			 =56664708;
TEMPLATE_PLAYER_LEVEL[194].expRequired 			 =57097656;
TEMPLATE_PLAYER_LEVEL[195].expRequired 			 =57531859;
TEMPLATE_PLAYER_LEVEL[196].expRequired 			 =59174694;
TEMPLATE_PLAYER_LEVEL[197].expRequired 			 =59620241;
TEMPLATE_PLAYER_LEVEL[198].expRequired 			 =60066947;
TEMPLATE_PLAYER_LEVEL[199].expRequired 			 =60514694;
TEMPLATE_PLAYER_LEVEL[200].expRequired 			 =60963720;

local XP_K = 1.010;
for i=201,MAX_PLAYER_LEVEL do
   TEMPLATE_PLAYER_LEVEL[i].expRequired   = math.floor(TEMPLATE_PLAYER_LEVEL[i-1].expRequired*XP_K);
end

----------------------------------------------------------------------

-- Coin Reward
TEMPLATE_PLAYER_LEVEL[2].coinReward				= 100;
TEMPLATE_PLAYER_LEVEL[3].coinReward				= 100;
TEMPLATE_PLAYER_LEVEL[4].coinReward				= 100;
TEMPLATE_PLAYER_LEVEL[5].coinReward				= 0;
TEMPLATE_PLAYER_LEVEL[6].coinReward				= 150;
TEMPLATE_PLAYER_LEVEL[7].coinReward				= 150;
TEMPLATE_PLAYER_LEVEL[8].coinReward				= 150;
TEMPLATE_PLAYER_LEVEL[9].coinReward				= 150;
TEMPLATE_PLAYER_LEVEL[10].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[11].coinReward			= 200;
TEMPLATE_PLAYER_LEVEL[12].coinReward			= 200;
TEMPLATE_PLAYER_LEVEL[13].coinReward			= 200;
TEMPLATE_PLAYER_LEVEL[14].coinReward			= 200;
TEMPLATE_PLAYER_LEVEL[15].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[16].coinReward			= 250;
TEMPLATE_PLAYER_LEVEL[17].coinReward			= 250;
TEMPLATE_PLAYER_LEVEL[18].coinReward			= 250;
TEMPLATE_PLAYER_LEVEL[19].coinReward			= 250;
TEMPLATE_PLAYER_LEVEL[20].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[21].coinReward			= 300;
TEMPLATE_PLAYER_LEVEL[22].coinReward			= 300;
TEMPLATE_PLAYER_LEVEL[23].coinReward			= 300;
TEMPLATE_PLAYER_LEVEL[24].coinReward			= 300;
TEMPLATE_PLAYER_LEVEL[25].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[26].coinReward			= 350;
TEMPLATE_PLAYER_LEVEL[27].coinReward			= 350;
TEMPLATE_PLAYER_LEVEL[28].coinReward			= 350;
TEMPLATE_PLAYER_LEVEL[29].coinReward			= 350;
TEMPLATE_PLAYER_LEVEL[30].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[31].coinReward			= 400;
TEMPLATE_PLAYER_LEVEL[32].coinReward			= 400;
TEMPLATE_PLAYER_LEVEL[33].coinReward			= 400;
TEMPLATE_PLAYER_LEVEL[34].coinReward			= 400;
TEMPLATE_PLAYER_LEVEL[35].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[36].coinReward			= 450;
TEMPLATE_PLAYER_LEVEL[37].coinReward			= 450;
TEMPLATE_PLAYER_LEVEL[38].coinReward			= 450;
TEMPLATE_PLAYER_LEVEL[39].coinReward			= 450;
TEMPLATE_PLAYER_LEVEL[40].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[41].coinReward			= 500;
TEMPLATE_PLAYER_LEVEL[42].coinReward			= 500;
TEMPLATE_PLAYER_LEVEL[43].coinReward			= 500;
TEMPLATE_PLAYER_LEVEL[44].coinReward			= 500;
TEMPLATE_PLAYER_LEVEL[45].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[46].coinReward			= 550;
TEMPLATE_PLAYER_LEVEL[47].coinReward			= 550;
TEMPLATE_PLAYER_LEVEL[48].coinReward			= 550;
TEMPLATE_PLAYER_LEVEL[49].coinReward			= 550;
TEMPLATE_PLAYER_LEVEL[50].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[51].coinReward			= 600;
TEMPLATE_PLAYER_LEVEL[52].coinReward			= 600;
TEMPLATE_PLAYER_LEVEL[53].coinReward			= 600;
TEMPLATE_PLAYER_LEVEL[54].coinReward			= 600;
TEMPLATE_PLAYER_LEVEL[55].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[56].coinReward			= 650;
TEMPLATE_PLAYER_LEVEL[57].coinReward			= 650;
TEMPLATE_PLAYER_LEVEL[58].coinReward			= 650;
TEMPLATE_PLAYER_LEVEL[59].coinReward			= 650;
TEMPLATE_PLAYER_LEVEL[60].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[61].coinReward			= 700;
TEMPLATE_PLAYER_LEVEL[62].coinReward			= 700;
TEMPLATE_PLAYER_LEVEL[63].coinReward			= 700;
TEMPLATE_PLAYER_LEVEL[64].coinReward			= 700;
TEMPLATE_PLAYER_LEVEL[65].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[66].coinReward			= 750;
TEMPLATE_PLAYER_LEVEL[67].coinReward			= 750;
TEMPLATE_PLAYER_LEVEL[68].coinReward			= 750;
TEMPLATE_PLAYER_LEVEL[69].coinReward			= 750;
TEMPLATE_PLAYER_LEVEL[70].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[71].coinReward			= 800;
TEMPLATE_PLAYER_LEVEL[72].coinReward			= 800;
TEMPLATE_PLAYER_LEVEL[73].coinReward			= 800;
TEMPLATE_PLAYER_LEVEL[74].coinReward			= 800;
TEMPLATE_PLAYER_LEVEL[75].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[76].coinReward			= 850;
TEMPLATE_PLAYER_LEVEL[77].coinReward			= 850;
TEMPLATE_PLAYER_LEVEL[78].coinReward			= 850;
TEMPLATE_PLAYER_LEVEL[79].coinReward			= 850;
TEMPLATE_PLAYER_LEVEL[80].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[81].coinReward			= 900;
TEMPLATE_PLAYER_LEVEL[82].coinReward			= 900;
TEMPLATE_PLAYER_LEVEL[83].coinReward			= 900;
TEMPLATE_PLAYER_LEVEL[84].coinReward			= 900;
TEMPLATE_PLAYER_LEVEL[85].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[86].coinReward			= 950;
TEMPLATE_PLAYER_LEVEL[87].coinReward			= 950;
TEMPLATE_PLAYER_LEVEL[88].coinReward			= 950;
TEMPLATE_PLAYER_LEVEL[89].coinReward			= 950;
TEMPLATE_PLAYER_LEVEL[90].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[91].coinReward			= 1000;
TEMPLATE_PLAYER_LEVEL[92].coinReward			= 1000;
TEMPLATE_PLAYER_LEVEL[93].coinReward			= 1000;
TEMPLATE_PLAYER_LEVEL[94].coinReward			= 1000;
TEMPLATE_PLAYER_LEVEL[95].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[96].coinReward			= 1050;
TEMPLATE_PLAYER_LEVEL[97].coinReward			= 1050;
TEMPLATE_PLAYER_LEVEL[98].coinReward			= 1050;
TEMPLATE_PLAYER_LEVEL[99].coinReward			= 1050;
TEMPLATE_PLAYER_LEVEL[100].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[101].coinReward			= 1100;
TEMPLATE_PLAYER_LEVEL[102].coinReward			= 1100;
TEMPLATE_PLAYER_LEVEL[103].coinReward			= 1100;
TEMPLATE_PLAYER_LEVEL[104].coinReward			= 1100;
TEMPLATE_PLAYER_LEVEL[105].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[106].coinReward			= 1150;
TEMPLATE_PLAYER_LEVEL[107].coinReward			= 1150;
TEMPLATE_PLAYER_LEVEL[108].coinReward			= 1150;
TEMPLATE_PLAYER_LEVEL[109].coinReward			= 1150;
TEMPLATE_PLAYER_LEVEL[110].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[111].coinReward			= 1200;
TEMPLATE_PLAYER_LEVEL[112].coinReward			= 1200;
TEMPLATE_PLAYER_LEVEL[113].coinReward			= 1200;
TEMPLATE_PLAYER_LEVEL[114].coinReward			= 1200;
TEMPLATE_PLAYER_LEVEL[115].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[116].coinReward			= 1250;
TEMPLATE_PLAYER_LEVEL[117].coinReward			= 1250;
TEMPLATE_PLAYER_LEVEL[118].coinReward			= 1250;
TEMPLATE_PLAYER_LEVEL[119].coinReward			= 1250;
TEMPLATE_PLAYER_LEVEL[120].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[121].coinReward			= 1300;
TEMPLATE_PLAYER_LEVEL[122].coinReward			= 1300;
TEMPLATE_PLAYER_LEVEL[123].coinReward			= 1300;
TEMPLATE_PLAYER_LEVEL[124].coinReward			= 1300;
TEMPLATE_PLAYER_LEVEL[125].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[126].coinReward			= 1350;
TEMPLATE_PLAYER_LEVEL[127].coinReward			= 1350;
TEMPLATE_PLAYER_LEVEL[128].coinReward			= 1350;
TEMPLATE_PLAYER_LEVEL[129].coinReward			= 1350;
TEMPLATE_PLAYER_LEVEL[130].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[131].coinReward			= 1400;
TEMPLATE_PLAYER_LEVEL[132].coinReward			= 1400;
TEMPLATE_PLAYER_LEVEL[133].coinReward			= 1400;
TEMPLATE_PLAYER_LEVEL[134].coinReward			= 1400;
TEMPLATE_PLAYER_LEVEL[135].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[136].coinReward			= 1450;
TEMPLATE_PLAYER_LEVEL[137].coinReward			= 1450;
TEMPLATE_PLAYER_LEVEL[138].coinReward			= 1450;
TEMPLATE_PLAYER_LEVEL[139].coinReward			= 1450;
TEMPLATE_PLAYER_LEVEL[140].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[141].coinReward			= 1500;
TEMPLATE_PLAYER_LEVEL[142].coinReward			= 1500;
TEMPLATE_PLAYER_LEVEL[143].coinReward			= 1500;
TEMPLATE_PLAYER_LEVEL[144].coinReward			= 1500;
TEMPLATE_PLAYER_LEVEL[145].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[146].coinReward			= 1550;
TEMPLATE_PLAYER_LEVEL[147].coinReward			= 1550;
TEMPLATE_PLAYER_LEVEL[148].coinReward			= 1550;
TEMPLATE_PLAYER_LEVEL[149].coinReward			= 1550;
TEMPLATE_PLAYER_LEVEL[150].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[151].coinReward			= 1600;
TEMPLATE_PLAYER_LEVEL[152].coinReward			= 1600;
TEMPLATE_PLAYER_LEVEL[153].coinReward			= 1600;
TEMPLATE_PLAYER_LEVEL[154].coinReward			= 1600;
TEMPLATE_PLAYER_LEVEL[155].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[156].coinReward			= 1650;
TEMPLATE_PLAYER_LEVEL[157].coinReward			= 1650;
TEMPLATE_PLAYER_LEVEL[158].coinReward			= 1650;
TEMPLATE_PLAYER_LEVEL[159].coinReward			= 1650;
TEMPLATE_PLAYER_LEVEL[160].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[161].coinReward			= 1700;
TEMPLATE_PLAYER_LEVEL[162].coinReward			= 1700;
TEMPLATE_PLAYER_LEVEL[163].coinReward			= 1700;
TEMPLATE_PLAYER_LEVEL[164].coinReward			= 1700;
TEMPLATE_PLAYER_LEVEL[165].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[166].coinReward			= 1750;
TEMPLATE_PLAYER_LEVEL[167].coinReward			= 1750;
TEMPLATE_PLAYER_LEVEL[168].coinReward			= 1750;
TEMPLATE_PLAYER_LEVEL[169].coinReward			= 1750;
TEMPLATE_PLAYER_LEVEL[170].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[171].coinReward			= 1800;
TEMPLATE_PLAYER_LEVEL[172].coinReward			= 1800;
TEMPLATE_PLAYER_LEVEL[173].coinReward			= 1800;
TEMPLATE_PLAYER_LEVEL[174].coinReward			= 1800;
TEMPLATE_PLAYER_LEVEL[175].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[176].coinReward			= 1850;
TEMPLATE_PLAYER_LEVEL[177].coinReward			= 1850;
TEMPLATE_PLAYER_LEVEL[178].coinReward			= 1850;
TEMPLATE_PLAYER_LEVEL[179].coinReward			= 1850;
TEMPLATE_PLAYER_LEVEL[180].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[181].coinReward			= 1900;
TEMPLATE_PLAYER_LEVEL[182].coinReward			= 1900;
TEMPLATE_PLAYER_LEVEL[183].coinReward			= 1900;
TEMPLATE_PLAYER_LEVEL[184].coinReward			= 1900;
TEMPLATE_PLAYER_LEVEL[185].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[186].coinReward			= 1950;
TEMPLATE_PLAYER_LEVEL[187].coinReward			= 1950;
TEMPLATE_PLAYER_LEVEL[188].coinReward			= 1950;
TEMPLATE_PLAYER_LEVEL[189].coinReward			= 1950;
TEMPLATE_PLAYER_LEVEL[190].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[191].coinReward			= 2000;
TEMPLATE_PLAYER_LEVEL[192].coinReward			= 2000;
TEMPLATE_PLAYER_LEVEL[193].coinReward			= 2000;
TEMPLATE_PLAYER_LEVEL[194].coinReward			= 2000;
TEMPLATE_PLAYER_LEVEL[195].coinReward			= 0;
TEMPLATE_PLAYER_LEVEL[196].coinReward			= 2000;
TEMPLATE_PLAYER_LEVEL[197].coinReward			= 2000;
TEMPLATE_PLAYER_LEVEL[198].coinReward			= 2000;
TEMPLATE_PLAYER_LEVEL[199].coinReward			= 2000;
TEMPLATE_PLAYER_LEVEL[200].coinReward			= 0;


for i=201,MAX_PLAYER_LEVEL do

   if i%5 ~= 0 then
      TEMPLATE_PLAYER_LEVEL[i].coinReward = 2000;
   else
      TEMPLATE_PLAYER_LEVEL[i].coinReward = 0;
   end

end

----------------------------------------------------------------------

-- Gem Reward
TEMPLATE_PLAYER_LEVEL[2].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[3].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[4].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[5].gemReward				= 5;
TEMPLATE_PLAYER_LEVEL[6].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[7].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[8].gemReward				= 5;
TEMPLATE_PLAYER_LEVEL[9].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[10].gemReward				= 5;
TEMPLATE_PLAYER_LEVEL[11].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[12].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[13].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[14].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[15].gemReward				= 5;
TEMPLATE_PLAYER_LEVEL[16].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[17].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[18].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[19].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[20].gemReward				= 5;
TEMPLATE_PLAYER_LEVEL[21].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[22].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[23].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[24].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[25].gemReward				= 5;
TEMPLATE_PLAYER_LEVEL[26].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[27].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[28].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[29].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[30].gemReward				= 10;
TEMPLATE_PLAYER_LEVEL[31].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[32].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[33].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[34].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[35].gemReward				= 10;
TEMPLATE_PLAYER_LEVEL[36].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[37].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[38].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[39].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[40].gemReward				= 10;
TEMPLATE_PLAYER_LEVEL[41].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[42].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[43].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[44].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[45].gemReward				= 10;
TEMPLATE_PLAYER_LEVEL[46].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[47].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[48].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[49].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[50].gemReward				= 10;
TEMPLATE_PLAYER_LEVEL[51].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[52].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[53].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[54].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[55].gemReward				= 15;
TEMPLATE_PLAYER_LEVEL[56].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[57].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[58].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[59].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[60].gemReward				= 15;
TEMPLATE_PLAYER_LEVEL[61].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[62].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[63].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[64].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[65].gemReward				= 15;
TEMPLATE_PLAYER_LEVEL[66].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[67].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[68].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[69].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[70].gemReward				= 15;
TEMPLATE_PLAYER_LEVEL[71].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[72].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[73].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[74].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[75].gemReward				= 15;
TEMPLATE_PLAYER_LEVEL[76].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[77].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[78].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[79].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[80].gemReward				= 20;
TEMPLATE_PLAYER_LEVEL[81].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[82].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[83].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[84].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[85].gemReward				= 20;
TEMPLATE_PLAYER_LEVEL[86].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[87].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[88].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[89].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[90].gemReward				= 20;
TEMPLATE_PLAYER_LEVEL[91].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[92].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[93].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[94].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[95].gemReward				= 20;
TEMPLATE_PLAYER_LEVEL[96].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[97].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[98].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[99].gemReward				= 0;
TEMPLATE_PLAYER_LEVEL[100].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[101].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[102].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[103].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[104].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[105].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[106].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[107].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[108].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[109].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[110].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[111].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[112].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[113].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[114].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[115].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[116].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[117].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[118].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[119].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[120].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[121].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[122].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[123].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[124].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[125].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[126].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[127].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[128].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[129].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[130].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[131].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[132].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[133].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[134].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[135].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[136].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[137].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[138].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[139].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[140].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[141].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[142].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[143].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[144].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[145].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[146].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[147].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[148].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[149].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[150].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[151].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[152].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[153].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[154].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[155].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[156].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[157].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[158].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[159].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[160].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[161].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[162].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[163].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[164].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[165].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[166].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[167].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[168].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[169].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[170].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[171].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[172].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[173].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[174].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[175].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[176].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[177].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[178].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[179].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[180].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[181].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[182].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[183].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[184].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[185].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[186].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[187].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[188].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[189].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[190].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[191].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[192].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[193].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[194].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[195].gemReward			= 20;
TEMPLATE_PLAYER_LEVEL[196].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[197].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[198].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[199].gemReward			= 0;
TEMPLATE_PLAYER_LEVEL[200].gemReward			= 20;


for i=201,MAX_PLAYER_LEVEL do

   if i%5 == 0 then
      TEMPLATE_PLAYER_LEVEL[i].gemReward			= 20;
   else
      TEMPLATE_PLAYER_LEVEL[i].gemReward			= 0;
   end

end

----------------------------------------------------------------------

-- Vehicel Unlock
for i=VEHC_2_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockVehc			= 2;
end

for i=VEHC_3_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockVehc			= 3;
end

for i=VEHC_4_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockVehc			= 4;
end

for i=VEHC_5_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockVehc			= 5;
end

for i=VEHC_6_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockVehc			= 6;
end

for i=VEHC_7_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockVehc			= 7;
end

for i=VEHC_8_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockVehc			= 8;
end

for i=VEHC_9_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockVehc			= 9;
end

for i=VEHC_10_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockVehc			= 10;
end

----------------------------------------------------------------------

-- Friends Board Unlock
for i=FRIENDS_BOARD_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
   TEMPLATE_PLAYER_LEVEL[i].unlockFriends		= true;
end

----------------------------------------------------------------------

-- Daily Unlock
for i=DAILY_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockDaily		= true;
end

----------------------------------------------------------------------

-- League Unlock
for i=LEAGUE_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockLeague		= true;
end

----------------------------------------------------------------------

-- Bounty Unlock
for i=BOUNTY_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockBounty		= true;
end

----------------------------------------------------------------------

-- Revive Unlock
for i=REVIVE_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockRevive		= true;
end

----------------------------------------------------------------------

-- Mission Unlock
for i=MISSION_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockMission		= true;
end

----------------------------------------------------------------------

-- Consumable Unlock
for i=CONSUMABLE_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockConsumable	= true;
end

----------------------------------------------------------------------

-- Mystery Unlock
for i=MYSTERY_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
   TEMPLATE_PLAYER_LEVEL[i].unlockMystery		= true;
end

----------------------------------------------------------------------

-- Boss Unlock
for i=BOSS_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
	TEMPLATE_PLAYER_LEVEL[i].unlockBoss			= true;
end

----------------------------------------------------------------------

-- Achievment Unlock
for i=ACHV_UNLOCK_LEVEL, MAX_PLAYER_LEVEL do
   TEMPLATE_PLAYER_LEVEL[i].unlockAchievement= true;
end
