require('app/template/template');

local WIDTH_SCALE		= 0.85;
local HEIGHT_SCALE	= 0.95;

local TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE =
{
	splitProp			= true;
   width             = 128*WIDTH_SCALE,
   height            = 256*HEIGHT_SCALE,
};

local TEMPLATE_PLAYER_VEHICLE_1_PAINT_A      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_1_PAINT_B      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_1_PAINT_C      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_1_PAINT_D      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_1_PAINT_E      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_1_PAINT_F      = Template.extent( TEMPLATE_PLAYER_VEHICLE_1_PAINT_BASE );

TEMPLATE_PLAYER_VEHICLE_1_PAINT_A["cost"]    = { gold =  000,   gem   = 000  };
TEMPLATE_PLAYER_VEHICLE_1_PAINT_A["texture"] = "resources/Vehicle/Player_SportsCar_V2/Sportscar_Base_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_1_PAINT_B["cost"]    = SPORTS_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_1_PAINT_B["texture"] = "resources/Vehicle/Player_SportsCar_V2/Sportscar_Black_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_1_PAINT_C["cost"]    = SPORTS_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_1_PAINT_C["texture"] = "resources/Vehicle/Player_SportsCar_V2/Sportscar_Blue_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_1_PAINT_D["cost"]    = SPORTS_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_1_PAINT_D["texture"] = "resources/Vehicle/Player_SportsCar_V2/Sportscar_Green_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_1_PAINT_E["cost"]    = SPORTS_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_1_PAINT_E["texture"] = "resources/Vehicle/Player_SportsCar_V2/Sportscar_Orange_ArmorLevel01.png";
TEMPLATE_PLAYER_VEHICLE_1_PAINT_F["cost"]    = SPORTS_MK2_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_1_PAINT_F["texture"] = "resources/Vehicle/Player_SportsCar_V2/Sportscar_Yellow_ArmorLevel01.png";

TEMPLATE_PLAYER_VEHICLE_SPORTS_MK2_PAINT =
{
   version = 19,
   
   variant   =
   {
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_A,
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_B,
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_C,
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_D,
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_E,
      TEMPLATE_PLAYER_VEHICLE_1_PAINT_F,
   }
};