require('app/template/template');

local WIDTH_SCALE		= 0.90;
local HEIGHT_SCALE	= 1.05;
local COST_K         = 1;

local TEMPLATE_PLAYER_VEHICLE_PAINT_BASE =
{
	splitProp			= true;
   width             = 128*WIDTH_SCALE,
   height            = 256*HEIGHT_SCALE,
};

local TEMPLATE_PLAYER_VEHICLE_PAINT_A      = Template.extent( TEMPLATE_PLAYER_VEHICLE_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_PAINT_B      = Template.extent( TEMPLATE_PLAYER_VEHICLE_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_PAINT_C      = Template.extent( TEMPLATE_PLAYER_VEHICLE_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_PAINT_D      = Template.extent( TEMPLATE_PLAYER_VEHICLE_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_PAINT_E      = Template.extent( TEMPLATE_PLAYER_VEHICLE_PAINT_BASE );
local TEMPLATE_PLAYER_VEHICLE_PAINT_F      = Template.extent( TEMPLATE_PLAYER_VEHICLE_PAINT_BASE );

TEMPLATE_PLAYER_VEHICLE_PAINT_A["cost"]    = { gold =  000,   gem   = 000  };
TEMPLATE_PLAYER_VEHICLE_PAINT_A["texture"] = "resources/Vehicle/PlayerVehicle_BlastCar/BlastCar_Silver.png";
TEMPLATE_PLAYER_VEHICLE_PAINT_B["cost"]    = NOVACAR_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_PAINT_B["texture"] = "resources/Vehicle/PlayerVehicle_BlastCar/BlastCar_Black.png";
TEMPLATE_PLAYER_VEHICLE_PAINT_C["cost"]    = NOVACAR_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_PAINT_C["texture"] = "resources/Vehicle/PlayerVehicle_BlastCar/BlastCar_Red.png";
TEMPLATE_PLAYER_VEHICLE_PAINT_D["cost"]    = NOVACAR_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_PAINT_D["texture"] = "resources/Vehicle/PlayerVehicle_BlastCar/BlastCar_Green.png";
TEMPLATE_PLAYER_VEHICLE_PAINT_E["cost"]    = NOVACAR_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_PAINT_E["texture"] = "resources/Vehicle/PlayerVehicle_BlastCar/BlastCar_Blue.png";
TEMPLATE_PLAYER_VEHICLE_PAINT_F["cost"]    = NOVACAR_PAINT_COST;
TEMPLATE_PLAYER_VEHICLE_PAINT_F["texture"] = "resources/Vehicle/PlayerVehicle_BlastCar/BlastCar_Orange.png";

TEMPLATE_PLAYER_VEHICLE_NOVACAR_PAINT =
{
   version = 19,
   
   variant   =
   {
      TEMPLATE_PLAYER_VEHICLE_PAINT_A,
      TEMPLATE_PLAYER_VEHICLE_PAINT_B,
      TEMPLATE_PLAYER_VEHICLE_PAINT_C,
      TEMPLATE_PLAYER_VEHICLE_PAINT_D,
      TEMPLATE_PLAYER_VEHICLE_PAINT_E,
      TEMPLATE_PLAYER_VEHICLE_PAINT_F,
   }
};