----------------------------------------------------------------------
require('game/game-scenario/game-scenario-daily');
require('app/template/enemy-vehicles/daily-chopper');
----------------------------------------------------------------------

TEMPLATE_SCENARIO_DAILY =
{
   {
      factory = GameScenarioDaily,
      rail =
      {
         { time = 000/30,   x =  243.182*2,  y = -329.545*-2, a =  -136.345*-1 },
         { time = 120/30,   x =  -286.364*2,  y = 146.182*-2, a =  -136.345*-1 },
      }
   },
   
   {
      factory = GameScenarioDaily,
      rail =
      {
         { time = 000/30,   x =  -243.182*2,  y = -329.545*-2, a =  136.345*-1 },
         { time = 120/30,   x =   286.364*2,  y =  146.182*-2, a =  136.345*-1 },
      }
   },
   
   {
      factory = GameScenarioDaily,
      rail =
      {
         { time = 3*00/30,   x =  295.455*2,  y = -213.636*-2, a =  -114.868*-1 },
         { time = 3*22/30,   x =  83.1505*2,  y = -116.536*-2, a =  -114.868*-1 },
         { time = 3*30/30,   x = -40.7273*2,  y = -79.5455*-2, a =  -205.382*-1 },
         { time = 3*32/30,   x = -21.8*2,     y = -65.6061*-2, a =  -228.011*-1 },
         { time = 3*60/30,   x = 243.182*2,   y = 129.545*-2,  a =  -228.011*-1 },
      }
   },
   
   {
      factory = GameScenarioDaily,
      rail =
      {
         { time = 3*00/30,   x =  -295.455*2,  y = -213.636*-2,    a =  114.868*-1 },
         { time = 3*22/30,   x =  -83.1505*2,  y = -116.536*-2,    a =  114.868*-1 },
         { time = 3*30/30,   x =  40.7273*2,   y = -79.5455*-2,    a =  205.382*-1 },
         { time = 3*32/30,   x =  21.8*2,      y = -65.6061*-2,    a =  228.011*-1 },
         { time = 3*60/30,   x = -243.182*2,   y =  129.545*-2,  a =   228.011*-1 },
      }
   },
   
   {
      factory = GameScenarioDaily,
      rail =
      {
         { time = 00/30,   x = 297.364*2 ,    y = 120.727*-2,     a =  -49.3913*-1 },
         { time = 120/30,  x = -291.273*2 ,   y = -298.727*-2,    a =  -49.3913*-1 },
      }
   },
   
   {
      factory = GameScenarioDaily,
      rail =
      {
         { time = 00/30,   x = -297.364*2 ,     y = 120.727*-2,     a =  49.3913*-1 },
         { time = 120/30,  x = 291.273*2 ,      y = -298.727*-2,      a =  49.3913*-1 },
      }
   },
   
   {
      factory = GameScenarioDaily,
      rail =
      {
         { time = 00/30,  x = -258*2 ,       y = 90*-2,     a =  60*-1 },
         { time = 60/30,  x = -97.2931*2 ,   y = 24.623*-2,  a =  60*-1 },
         { time = 100/30, x = 11.6608*2 ,    y = -48.853*-2, a = 12.8524*-1 },
         { time = 130/30, x = 11.6608*2 ,    y = -48.853*-2, a = -22.5082*-1 },
         { time = 200/30, x = -123*2 ,       y = -373.25*-2, a = -22*-1 },
      }
   },
   
   {
      factory = GameScenarioDaily,
      rail =
      {
         { time = 00/30,  x = 258*2 ,       y =   90*-2,        a =  -60*-1 },
         { time = 60/30,  x = 97.2931*2 ,   y =   24.623*-2,    a =  -60*-1 },
         { time = 100/30, x = -11.6608*2 ,  y =  -48.853*-2,    a =  -12.8524*-1 },
         { time = 130/30, x = -11.6608*2 ,  y =  -48.853*-2,    a =   22.5082*-1 },
         { time = 200/30, x = 123*2 ,       y =  -373.25*-2,    a =   22*-1 },
      }
   }
};

----------------------------------------------------------------------
