----------------------------------------------------------------------
require('game/game-scenario/game-scenario-hazard');
require('game/game-scenario/game-scenario-barricade');
----------------------------------------------------------------------

TEMPLATE_SCENARIO_MISSILE_D04_01 =
{
   {
      factory = GameScenarioHazard,
      hazards =
      {
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 1,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 2,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 3,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0,
            delayRnd       = 0.5,
            lane           = 4,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 1.50,
            delayRnd       = 0,
            lane           = 5,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },


      }
   },
   {
      factory = GameScenarioHazard,
      hazards =
      {
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 1,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 2,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0.00,
            delayRnd       = 0.50,
            lane           = 3,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 1.50,
            delayRnd       = 0.00,
            lane           = 4,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0.00,
            delayRnd       = 0.50,
            lane           = 5,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },


      }
   },
   {
      factory = GameScenarioHazard,
      hazards =
      {
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 1,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0.00,
            delayRnd       = 0.50,
            lane           = 2,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 1.50,
            delayRnd       = 0.00,
            lane           = 3,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0.00,
            delayRnd       = 0.50,
            lane           = 4,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 5,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },


      }
   },
   {
      factory = GameScenarioHazard,
      hazards =
      {
         {
            delay          = 0.00,
            delayRnd       = 0.50,
            lane           = 1,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 1.50,
            delayRnd       = 0.00,
            lane           = 2,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0.00,
            delayRnd       = 0.50,
            lane           = 3,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 4,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 5,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },


      }
   },
   {
      factory = GameScenarioHazard,
      hazards =
      {
         {
            delay          = 1.50,
            delayRnd       = 0.00,
            lane           = 1,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0.00,
            delayRnd       = 0.50,
            lane           = 2,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 3,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 4,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
         {
            delay          = 0,
            delayRnd       = 1.0,
            lane           = 5,
            hazardTpl      = TEMPLATE_MISSILE_TEMPLATES[1],
         },
      }
   },
}

----------------------------------------------------------------------
