----------------------------------------------------------------------
--These need to be define before we require because of dependencies
----------------------------------------------------------------------
MISSION_GOAL_COUNT            = 3;

MAIN_WEAPON_LEVEL_DEFAULT     = 1;
MAIN_WEAPON_LEVEL_MIN         = 1;
MAIN_WEAPON_LEVEL_MAX         = 15;

SIDE_WEAPON_LEVEL_DEFAULT     = 0;
SIDE_WEAPON_LEVEL_MIN         = 1;
SIDE_WEAPON_LEVEL_MAX         = 15;

ARMOR_LEVEL_DEFAULT           = 1;
ARMOR_LEVEL_MIN               = 1;
ARMOR_LEVEL_MAX               = 15;

TURRET_LEVEL_DEFAULT          = 1;
TURRET_LEVEL_MIN              = 1;
TURRET_LEVEL_MAX              = 15;

PICKUP_BOOST_INDEX            =  1;
PICKUP_MAGNET_INDEX           =  2;
PICKUP_DOUBLE_SHOT_INDEX      =  3;
PICKUP_SCORE_K_INDEX          =  4;
PICKUP_WRENCH_INDEX           =  5;
PICKUP_COIN_INDEX             =  6;
PICKUP_COIN_10_INDEX          =  7;
PICKUP_DAILY_INDEX            =  8;
PICKUP_REVIVE_INDEX           =	9;
PICKUP_MYSTERY_INDEX          =	10;
PICKUP_BOUNTY_INDEX				=  11;

----------------------------------------------------------------------

require('app/template/achievement/achievement')
require('app/template/daily/daily-challenge')
require('app/template/mission/mission-pack-01')
require('app/template/pickup/boost')
require('app/template/pickup/revive-boost')
require('app/template/pickup/coin')
require('app/template/pickup/coin-10x')
require('app/template/pickup/daily')
require('app/template/pickup/doubleShot')
require('app/template/pickup/magnet')
require('app/template/pickup/scoreK')
require('app/template/pickup/wrench')
require('app/template/pickup/mystery')
require('app/template/pickup/bounty')
require('app/template/player-vehicle/vehicle-sports')
require('app/template/player-vehicle/vehicle-sports-armor')
require('app/template/player-vehicle/vehicle-sports-main-weapon')
require('app/template/player-vehicle/vehicle-sports-paint')
require('app/template/player-vehicle/vehicle-sports-side-weapon')
require('app/template/player-vehicle/vehicle-sports-turret')
require('app/template/player-vehicle/vehicle-sandrail')
require('app/template/player-vehicle/vehicle-sandrail-armor')
require('app/template/player-vehicle/vehicle-sandrail-main-weapon')
require('app/template/player-vehicle/vehicle-sandrail-paint')
require('app/template/player-vehicle/vehicle-sandrail-side-weapon')
require('app/template/player-vehicle/vehicle-sandrail-turret')
require('app/template/player-vehicle/vehicle-missilecar')
require('app/template/player-vehicle/vehicle-missilecar-armor')
require('app/template/player-vehicle/vehicle-missilecar-main-weapon')
require('app/template/player-vehicle/vehicle-missilecar-paint')
require('app/template/player-vehicle/vehicle-missilecar-side-weapon')
require('app/template/player-vehicle/vehicle-missilecar-turret')
require('app/template/player-vehicle/vehicle-lasercar')
require('app/template/player-vehicle/vehicle-lasercar-armor')
require('app/template/player-vehicle/vehicle-lasercar-main-weapon')
require('app/template/player-vehicle/vehicle-lasercar-paint')
require('app/template/player-vehicle/vehicle-lasercar-side-weapon')
require('app/template/player-vehicle/vehicle-lasercar-turret')
require('app/template/player-vehicle/vehicle-novacar')
require('app/template/player-vehicle/vehicle-novacar-armor')
require('app/template/player-vehicle/vehicle-novacar-main-weapon')
require('app/template/player-vehicle/vehicle-novacar-paint')
require('app/template/player-vehicle/vehicle-novacar-side-weapon')
require('app/template/player-vehicle/vehicle-novacar-turret')
require('app/template/player-vehicle/mk2/vehicle-sports_2')
require('app/template/player-vehicle/mk2/vehicle-sports_2-armor')
require('app/template/player-vehicle/mk2/vehicle-sports_2-main-weapon')
require('app/template/player-vehicle/mk2/vehicle-sports_2-paint')
require('app/template/player-vehicle/mk2/vehicle-sports_2-side-weapon')
require('app/template/player-vehicle/mk2/vehicle-sports_2-turret')
require('app/template/player-vehicle/mk2/vehicle-sandrail_2')
require('app/template/player-vehicle/mk2/vehicle-sandrail_2-armor')
require('app/template/player-vehicle/mk2/vehicle-sandrail_2-main-weapon')
require('app/template/player-vehicle/mk2/vehicle-sandrail_2-paint')
require('app/template/player-vehicle/mk2/vehicle-sandrail_2-side-weapon')
require('app/template/player-vehicle/mk2/vehicle-sandrail_2-turret')
require('app/template/player-vehicle/mk2/vehicle-missilecar_2')
require('app/template/player-vehicle/mk2/vehicle-missilecar_2-armor')
require('app/template/player-vehicle/mk2/vehicle-missilecar_2-main-weapon')
require('app/template/player-vehicle/mk2/vehicle-missilecar_2-paint')
require('app/template/player-vehicle/mk2/vehicle-missilecar_2-side-weapon')
require('app/template/player-vehicle/mk2/vehicle-missilecar_2-turret')
require('app/template/player-vehicle/mk2/vehicle-lasercar_2')
require('app/template/player-vehicle/mk2/vehicle-lasercar_2-armor')
require('app/template/player-vehicle/mk2/vehicle-lasercar_2-main-weapon')
require('app/template/player-vehicle/mk2/vehicle-lasercar_2-paint')
require('app/template/player-vehicle/mk2/vehicle-lasercar_2-side-weapon')
require('app/template/player-vehicle/mk2/vehicle-lasercar_2-turret')
require('app/template/player-vehicle/mk2/vehicle-novacar_2')
require('app/template/player-vehicle/mk2/vehicle-novacar_2-armor')
require('app/template/player-vehicle/mk2/vehicle-novacar_2-main-weapon')
require('app/template/player-vehicle/mk2/vehicle-novacar_2-paint')
require('app/template/player-vehicle/mk2/vehicle-novacar_2-side-weapon')
require('app/template/player-vehicle/mk2/vehicle-novacar_2-turret')
require('app/template/store/store-gem')
require('app/template/store/store-gold')
require('app/template/store/store-key')
require('app/template/store/store-special')
require('app/template/weekly/weekly')
require('app/template/enemy-vehicles/spawn_matrix')
require('app/template/boss-vehicles/tank/boss_tank_creation')
require('app/template/boss-vehicles/gunship/boss_gunship_creation')
require('app/template/boss-vehicles/spawn_list_boss')
require('app/template/player-levels/levels')
require('app/template/bounty/bounty_vehicle_sports');
require('app/template/bounty/bounty_vehicle_sandrail');
require('app/template/bounty/bounty_vehicle_missile');
require('app/template/bounty/bounty_vehicle_laser');
require('app/template/bounty/bounty_vehicle_blast');
require('app/template/bounty/bounty_vehicle_sports_mk2');
require('app/template/bounty/bounty_vehicle_sandrail_mk2');
require('app/template/bounty/bounty_vehicle_missile_mk2');
require('app/template/bounty/bounty_vehicle_laser_mk2');
require('app/template/bounty/bounty_vehicle_blast_mk2');
require('app/template/template')
require('engine/file/fileMgr')

local FILE_VERSION         = 1;

local HACK_USE_NOVACAR		= false;

----------------------------------------------------------------------

--Dont access this list directly... it might be overwritten (from download)
local TEMPLATE_PLAYER_VEHICLE_LIST =
{
   TEMPLATE_PLAYER_VEHICLE_SPORTS,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR,

   TEMPLATE_PLAYER_VEHICLE_SPORTS_MK2,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL_MK2,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR_MK2,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR_MK2,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR_MK2,
};

----------------------------------------------------------------------

--Dont access this list directly... it might be overwritten (from download)
local TEMPLATE_PLAYER_VEHICLE_MAIN_WEAPON_LIST =
{
   TEMPLATE_PLAYER_VEHICLE_SPORTS_MAIN_WEAPON,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL_MAIN_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR_MAIN_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR_MAIN_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR_MAIN_WEAPON,

   TEMPLATE_PLAYER_VEHICLE_SPORTS_MK2_MAIN_WEAPON,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL_MK2_MAIN_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR_MK2_MAIN_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR_MK2_MAIN_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR_MK2_MAIN_WEAPON,
};

----------------------------------------------------------------------

--Dont access this list directly... it might be overwritten (from download)
local TEMPLATE_PLAYER_VEHICLE_SIDE_WEAPON_LIST =
{
   TEMPLATE_PLAYER_VEHICLE_SPORTS_SIDE_WEAPON,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL_SIDE_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR_SIDE_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR_SIDE_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR_SIDE_WEAPON,

   TEMPLATE_PLAYER_VEHICLE_SPORTS_MK2_SIDE_WEAPON,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL_MK2_SIDE_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR_MK2_SIDE_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR_MK2_SIDE_WEAPON,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR_MK2_SIDE_WEAPON,
};

----------------------------------------------------------------------

--Dont access this list directly... it might be overwritten (from download)
local TEMPLATE_PLAYER_VEHICLE_PAINT_LIST =
{
   TEMPLATE_PLAYER_VEHICLE_SPORTS_PAINT,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL_PAINT,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR_PAINT,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR_PAINT,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR_PAINT,

   TEMPLATE_PLAYER_VEHICLE_SPORTS_MK2_PAINT,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL_MK2_PAINT,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR_MK2_PAINT,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR_MK2_PAINT,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR_MK2_PAINT,
};

----------------------------------------------------------------------

--Dont access this list directly... it might be overwritten (from download)
local TEMPLATE_PLAYER_VEHICLE_ARMOR_LIST =
{
   TEMPLATE_PLAYER_VEHICLE_SPORTS_ARMOR,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL_ARMOR,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR_ARMOR,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR_ARMOR,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR_ARMOR,

   TEMPLATE_PLAYER_VEHICLE_SPORTS_MK2_ARMOR,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL_MK2_ARMOR,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR_MK2_ARMOR,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR_MK2_ARMOR,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR_MK2_ARMOR,
};

----------------------------------------------------------------------

--Dont access this list directly... it might be overwritten (from download)
local TEMPLATE_PLAYER_TURRET_LIST =
{
   TEMPLATE_PLAYER_VEHICLE_SPORTS_TURRET,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL_TURRET,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR_TURRET,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR_TURRET,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR_TURRET,

   TEMPLATE_PLAYER_VEHICLE_SPORTS_MK2_TURRET,
   TEMPLATE_PLAYER_VEHICLE_SANDRAIL_MK2_TURRET,
	TEMPLATE_PLAYER_VEHICLE_MISSILECAR_MK2_TURRET,
	TEMPLATE_PLAYER_VEHICLE_LASERCAR_MK2_TURRET,
	TEMPLATE_PLAYER_VEHICLE_NOVACAR_MK2_TURRET,
};

----------------------------------------------------------------------

--Dont access this list directly... it might be overwritten (from download)
local TEMPLATE_PICKUP_LIST =
{
   TEMPLATE_PICKUP_BOOST_1,
   TEMPLATE_PICKUP_MAGNET_1,
   TEMPLATE_PICKUP_DOUBLE_SHOT_1,
   TEMPLATE_PICKUP_SCORE_K_1,
   TEMPLATE_PICKUP_WRENCH_1,
   TEMPLATE_PICKUP_COIN_1,
	TEMPLATE_PICKUP_COIN_10,
   TEMPLATE_PICKUP_DAILY,
	TEMPLATE_PICKUP_REVIVE_1,
   TEMPLATE_PICKUP_MYSTERY,
	TEMPLATE_PICKUP_BOUNTY,
};

----------------------------------------------------------------------

--Dont access this list directly... it might be overwritten (from download)
local TEMPLATE_STORE_GEM_LIST =
{
   TEMPLATE_STORE_GEM_01,
   TEMPLATE_STORE_GEM_02,
   TEMPLATE_STORE_GEM_03,
   TEMPLATE_STORE_GEM_04,
   TEMPLATE_STORE_GEM_05,
   TEMPLATE_STORE_GEM_06,
   TEMPLATE_STORE_GEM_07,
   TEMPLATE_STORE_GEM_08,
   TEMPLATE_STORE_GEM_09,
   TEMPLATE_STORE_GEM_10,
   TEMPLATE_STORE_GEM_11,
   TEMPLATE_STORE_GEM_12,
   TEMPLATE_STORE_GEM_13,
   TEMPLATE_STORE_GEM_14,
   TEMPLATE_STORE_GEM_15,
   TEMPLATE_STORE_GEM_16,
   TEMPLATE_STORE_GEM_17,
   TEMPLATE_STORE_GEM_18,
};

----------------------------------------------------------------------

--Dont access this list directly... it might be overwritten (from download)
local TEMPLATE_STORE_GOLD_LIST =
{
   TEMPLATE_STORE_GOLD_01,
   TEMPLATE_STORE_GOLD_02,
   TEMPLATE_STORE_GOLD_03,
   TEMPLATE_STORE_GOLD_04,
   TEMPLATE_STORE_GOLD_05,
   TEMPLATE_STORE_GOLD_06,
};

----------------------------------------------------------------------

--Dont access this list directly... it might be overwritten (from download)
local TEMPLATE_STORE_KEY_LIST =
{
   TEMPLATE_STORE_KEY_01,
   TEMPLATE_STORE_KEY_02,
   TEMPLATE_STORE_KEY_03,
   TEMPLATE_STORE_KEY_04,
   TEMPLATE_STORE_KEY_05,
   TEMPLATE_STORE_KEY_06,
};

----------------------------------------------------------------------

--Dont access this list directly... it might be overwritten (from download)
local TEMPLATE_STORE_SPECIAL_LIST =
{
   TEMPLATE_STORE_SPECIAL_01,
    TEMPLATE_STORE_SPECIAL_02,
    TEMPLATE_STORE_SPECIAL_03,
    TEMPLATE_STORE_SPECIAL_04,
};


-- print("TEMPLATE_STORE_GEM_LIST", #TEMPLATE_STORE_GEM_LIST);
-- print("TEMPLATE_STORE_GOLD_LIST",#TEMPLATE_STORE_GOLD_LIST);
-- print("TEMPLATE_STORE_KEY_LIST", #TEMPLATE_STORE_KEY_LIST);
-- print("TEMPLATE_STORE_SPECIAL_LIST", #TEMPLATE_STORE_SPECIAL_LIST);

----------------------------------------------------------------------

local TEMPLATE_BOSS_LIST =
{
	TEMPLATE_BOSS_TANK,
	TEMPLATE_BOSS_GUNSHIP
};

----------------------------------------------------------------------

TEMPLATE_BOUNTY_PAINT_LIST =
{
	TEMPLATE_BASE_BOUNTY_SPORTS_PAINT_LIST,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_PAINT_LIST,
	TEMPLATE_BASE_BOUNTY_MISSILE_PAINT_LIST,
	TEMPLATE_BASE_BOUNTY_LASER_PAINT_LIST,
	TEMPLATE_BASE_BOUNTY_BLAST_PAINT_LIST,
	TEMPLATE_BASE_BOUNTY_SPORTS_MK2_PAINT_LIST,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_MK2_PAINT_LIST,
	TEMPLATE_BASE_BOUNTY_MISSILE_MK2_PAINT_LIST,
	TEMPLATE_BASE_BOUNTY_LASER_MK2_PAINT_LIST,
	TEMPLATE_BASE_BOUNTY_BLAST_MK2_PAINT_LIST,
};

----------------------------------------------------------------------

TEMPLATE_BOUNTY_ARMOR_LIST =
{
	TEMPLATE_BASE_BOUNTY_SPORTS_ARMOR_LIST,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_ARMOR_LIST,
	TEMPLATE_BASE_BOUNTY_MISSILE_ARMOR_LIST,
	TEMPLATE_BASE_BOUNTY_LASER_ARMOR_LIST,
	TEMPLATE_BASE_BOUNTY_BLAST_ARMOR_LIST,
	TEMPLATE_BASE_BOUNTY_SPORTS_MK2_ARMOR_LIST,
	TEMPLATE_BASE_BOUNTY_SANDRAIL_MK2_ARMOR_LIST,
	TEMPLATE_BASE_BOUNTY_MISSILE_MK2_ARMOR_LIST,
	TEMPLATE_BASE_BOUNTY_LASER_MK2_ARMOR_LIST,
	TEMPLATE_BASE_BOUNTY_BLAST_MK2_ARMOR_LIST,
};

----------------------------------------------------------------------

TEMPLATE_BOUNTY_VEHICLE_LIST =
{
	TEMPLATE_BASE_BOUNTY_VEHICLE_SPORTS,
	TEMPLATE_BASE_BOUNTY_VEHICLE_SANDRAIL,
	TEMPLATE_BASE_BOUNTY_VEHICLE_MISSILE,
	TEMPLATE_BASE_BOUNTY_VEHICLE_LASER,
	TEMPLATE_BASE_BOUNTY_VEHICLE_BLAST,
	TEMPLATE_BASE_BOUNTY_VEHICLE_SPORTS_MK2,
	TEMPLATE_BASE_BOUNTY_VEHICLE_SANDRAIL_MK2,
	TEMPLATE_BASE_BOUNTY_VEHICLE_MISSILE_MK2,
	TEMPLATE_BASE_BOUNTY_VEHICLE_LASER_MK2,
	TEMPLATE_BASE_BOUNTY_VEHICLE_BLAST_MK2,
};

----------------------------------------------------------------------

local Base = Object;

TemplateMgr =
{
   _templateMap      = {},
};

----------------------------------------------------------------------

function TemplateMgr:init(fileName)

   self.fileName        = fileName;
   self._templateMap    = {};

   self:load();

   --no need to save anything for now
   --self:save();

end

-------------------------------------------------------------------------------------

function TemplateMgr:load()

   -- print("TemplateMgr:load");

   local savedTable = {}; --loadLocalFile( self.fileName ) or {};

   --if savedTable._version == FILE_VERSION then
   --   self._templateMap = savedTable._templateMap or {};
   --else
       self._templateMap = {};
   --end

   self:_loadLocal();

   for k,v in pairs(self._templateMap) do
      Template.fixup(v);
   end


end

-------------------------------------------------------------------------------------

--This will make sure each data has expected default value
function TemplateMgr:_loadLocal()

   for i=1,#TEMPLATE_PLAYER_VEHICLE_LIST do
      self:addLatestPlayerVehicle( i, TEMPLATE_PLAYER_VEHICLE_LIST[i] );
   end

   for i=1,#TEMPLATE_PLAYER_VEHICLE_MAIN_WEAPON_LIST do
      self:addLatestPlayerVehicleMainWeapon( i, TEMPLATE_PLAYER_VEHICLE_MAIN_WEAPON_LIST[i] );
   end

   for i=1,#TEMPLATE_PLAYER_VEHICLE_SIDE_WEAPON_LIST do
      self:addLatestPlayerVehicleSideWeapon( i, TEMPLATE_PLAYER_VEHICLE_SIDE_WEAPON_LIST[i] );
   end

   for i=1,#TEMPLATE_PLAYER_VEHICLE_ARMOR_LIST do
      self:addLatestPlayerVehicleArmor( i, TEMPLATE_PLAYER_VEHICLE_ARMOR_LIST[i] );
   end

   for i=1,#TEMPLATE_PLAYER_VEHICLE_PAINT_LIST do
      self:addLatestPlayerVehiclePaint( i, TEMPLATE_PLAYER_VEHICLE_PAINT_LIST[i] );
   end

   for i=1,#TEMPLATE_PLAYER_TURRET_LIST do
      self:addLatestPlayerTurretWeapon( i, TEMPLATE_PLAYER_TURRET_LIST[i] );
   end

   for i=1,#TEMPLATE_PICKUP_LIST do
      self:addLatestPickup( i, TEMPLATE_PICKUP_LIST[i] );
   end

   for i=1,#TEMPLATE_MISSION_LIST_01 do
      self:addLatestMission( i, TEMPLATE_MISSION_LIST_01[i] );
   end

   self:addLatestAchievement( TEMPLATE_ACHIEVEMENT );

   self:addLatestDailyChallenge( TEMPLATE_DAILY_CHALLENGE );

   for i=1,#TEMPLATE_STORE_GEM_LIST do
      self:addLatestStoreGem( i, TEMPLATE_STORE_GEM_LIST[i] );
   end

   for i=1,#TEMPLATE_STORE_GOLD_LIST do
      self:addLatestStoreGold( i, TEMPLATE_STORE_GOLD_LIST[i] );
   end

   for i=1,#TEMPLATE_STORE_KEY_LIST do
      self:addLatestStoreKey( i, TEMPLATE_STORE_KEY_LIST[i] );
   end

   for i=1,#TEMPLATE_STORE_SPECIAL_LIST do
      self:addLatestStoreSpecial( i, TEMPLATE_STORE_SPECIAL_LIST[i] );
   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:save()

   local savedTable = {};

   savedTable._version     = FILE_VERSION;
   savedTable._templateMap = self._templateMap;

   saveLocalFile( self.fileName, savedTable );

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createPlayerVehicleId( index )

   return "player-vehicle-"..index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestPlayerVehicle( index, tpl )

   local id = self:_createPlayerVehicleId(index);

   self:_addLatest( id, tpl );

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehicleCount( index )

   return #TEMPLATE_PLAYER_VEHICLE_LIST;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehicle( index )

   return self._templateMap[self:_createPlayerVehicleId(index)];

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createPlayerVehicleMainWeaponId( index )

   return "player-vehicle-main-weapon"..index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestPlayerVehicleMainWeapon( index, tpl )

   local id = self:_createPlayerVehicleMainWeaponId(index);

   self:_addLatest( id, tpl );

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehicleMainWeaponCount( index )

   return #TEMPLATE_PLAYER_VEHICLE_MAIN_WEAPON_LIST;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehicleMainWeapon( index )

   return self._templateMap[self:_createPlayerVehicleMainWeaponId(index)];

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createPlayerVehicleSideWeaponId( index )

   return "player-vehicle-side-weapon"..index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestPlayerVehicleSideWeapon( index, tpl )

   local id = self:_createPlayerVehicleSideWeaponId(index);

   self:_addLatest( id, tpl );

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehicleSideWeaponCount( index )

   return #TEMPLATE_PLAYER_VEHICLE_SIDE_WEAPON_LIST;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehicleSideWeapon( index )

   return self._templateMap[self:_createPlayerVehicleSideWeaponId(index)];

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createPlayerVehicleArmorId( index )

   return "player-vehicle-armor"..index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestPlayerVehicleArmor( index, tpl )

   local id = self:_createPlayerVehicleArmorId(index);

   self:_addLatest( id, tpl );

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehicleArmorCount( index )

   return #TEMPLATE_PLAYER_VEHICLE_ARMOR_LIST;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehicleArmor( index )

   return self._templateMap[self:_createPlayerVehicleArmorId(index)];

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createPlayerVehiclePaintId( index )

   return "player-vehicle-paint"..index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestPlayerVehiclePaint( index, tpl )

   local id = self:_createPlayerVehiclePaintId(index);

   self:_addLatest( id, tpl );

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehiclePaintCount( index )

   if TEMPLATE_PLAYER_VEHICLE_PAINT_LIST[index] then
      return #(TEMPLATE_PLAYER_VEHICLE_PAINT_LIST[index].variant);
   else
      return 0;
   end
end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehiclePaint( index )

   return self._templateMap[self:_createPlayerVehiclePaintId(index)];

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerTurretWeaponCount( )

   return #TEMPLATE_PLAYER_TURRET_LIST;

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createPlayerTurretWeaponId( index )

   return "player-turret-" .. index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestPlayerTurretWeapon( index, tpl )

   local id = self:_createPlayerTurretWeaponId(index);

   self:_addLatest( id, tpl );

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehicleTurretWeapon( index )

   return self._templateMap[self:_createPlayerTurretWeaponId(index)];

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createPickupId( index )

   return "pickup-" .. index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPickupCount()

   return #TEMPLATE_PICKUP_LIST;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPickup( index )

   return self._templateMap[self:_createPickupId(index)];

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestPickup( index, tpl )

   local id = self:_createPickupId(index);

   self:_addLatest( id, tpl );

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createAchievementId( )

   return "achievement";

end

-------------------------------------------------------------------------------------

function TemplateMgr:getAchievement()

   return self._templateMap[self:_createAchievementId()];

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestAchievement( tpl )

   local id = self:_createAchievementId();

   -- print("TemplateMgr:addLatestAchievement", id, tpl);

   self:_addLatest( id, tpl );

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createMissionId( index )

   return "mission" .. index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getMission(index)

   return self._templateMap[self:_createMissionId(index)];

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestMission( index, tpl )

   local id = self:_createMissionId(index);

   -- print("TemplateMgr:addLatestMission", id);

   self:_addLatest( id, tpl );

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createDailyChallengeId()

   return "daily-challenge";

end

-------------------------------------------------------------------------------------

function TemplateMgr:getDailyChallenge()

   return self._templateMap[self:_createDailyChallengeId()];

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestDailyChallenge( tpl )

   local id = self:_createDailyChallengeId();

   self:_addLatest( id, tpl );

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createStoreGemId( index )

   return "store-gem" .. index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getStoreGem(index)

   if not Debug.assertType(index, "number", "TemplateMgr:getStoreGem -> index") then
      return;
   end

   local id = self:_createStoreGemId(index);
   if id then
      return self._templateMap[id];
   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestStoreGem( index, tpl )

   Debug.assert(index);
   Debug.assert(tpl);

   if index and tpl then
      local id = self:_createStoreGemId(index);

      if id then
     	 self:_addLatest( id, tpl );
     end
   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createStoreGoldId( index )

   if index then
      return "store-gold" .. index;
   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:getStoreGold(index)

   if index then
      return self._templateMap[self:_createStoreGoldId(index)];
   end
end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestStoreGold( index, tpl )

   if index then

      local id = self:_createStoreGoldId(index);

      -- print("TemplateMgr:addStoreGold", id);

      self:_addLatest( id, tpl );

   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createStoreKeyId( index )

   return "store-key" .. index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getStoreKey(index)

   return self._templateMap[self:_createStoreKeyId(index)];

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestStoreKey( index, tpl )

   local id = self:_createStoreKeyId(index);

   -- print("TemplateMgr:addStoreKey", id);

   self:_addLatest( id, tpl );

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createStoreSpecialId( index )

   return "store-special" .. index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getStoreSpecial( index )

   return self._templateMap[self:_createStoreSpecialId(index)];

end

-------------------------------------------------------------------------------------

function TemplateMgr:addLatestStoreSpecial( index, tpl )

   Debug.assert(index);
   Debug.assert(tpl);

   if index and tpl then
      local id = self:_createStoreSpecialId(index);

      if id then
     	 self:_addLatest( id, tpl );
     end
   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:getWeeklyRewardEntryCount()

	return #TEMPLATE_WEEKLY_REWARD;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getWeeklyRewardAmount( rank )

	return TEMPLATE_WEEKLY_REWARD[rank];

end

-------------------------------------------------------------------------------------

function TemplateMgr:_addLatest( id, tpl )

   if not self._templateMap[id] then

      self._templateMap[id] = tpl;

   elseif ( tpl.version or 0 ) > ( self._templateMap[id].version or 0 ) then

      self._templateMap[id] = tpl;

   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:_createMapId( index )

   return "map-" .. index;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getMap( index )

   return self._templateMap[self:_createMapId(index)];

end

-------------------------------------------------------------------------------------

function TemplateMgr:getStoreGemCount()

   return #TEMPLATE_STORE_GEM_LIST;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getStoreGemId( index )

   if index >=1 and index <= #TEMPLATE_STORE_GEM_LIST then

      local tpl = TEMPLATE_STORE_GEM_LIST[index];

      if MOAIEnvironment.osBrand == "iOS" then
         return tpl.iOsId;
      elseif AmazonBillingProvider == true then
         return tpl.amazonId;
      else
         return tpl.googlePlayId;
      end
   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:getProductById( id )

   if not Debug.assertType(id, {"number", "string"}, "TemplateMgr:getProductById -> id") then
      return nil;
   end

   for _, template in pairs(TEMPLATE_STORE_GEM_LIST) do
      if template and template.id == id then
         return template;
      end
   end

   for _, template in pairs(TEMPLATE_STORE_SPECIAL_LIST) do
      if template and template.id == id then
         return template;
      end
   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:getStoreGemById( id )

   if not Debug.assertType(id, {"number", "string"}, "TemplateMgr:getStoreGemById -> id") then
      return nil;
   end

   for _, tpl in pairs(TEMPLATE_STORE_GEM_LIST) do

      if tpl and id == tpl.id then

         return tpl;

      end

   end

end


-------------------------------------------------------------------------------------

function TemplateMgr:getStoreSpecialCount()

   return #TEMPLATE_STORE_SPECIAL_LIST;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getStoreSpecialId( index )

   if index >=1 and index <= #TEMPLATE_STORE_SPECIAL_LIST then

      local tpl = TEMPLATE_STORE_SPECIAL_LIST[index];

      if MOAIEnvironment.osBrand == "iOS" then
         return tpl.iOsId;
      elseif AmazonBillingProvider == true then
         return tpl.amazonId;
      else
         return tpl.googlePlayId;
      end

   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:getStoreSpecialTemplate()

	return TEMPLATE_STORE_SPECIAL_LIST;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getStoreSpecialById( id )

   if not Debug.assertType(id, {"number", "string"}, "TemplateMgr:getStoreSpecialById") then
      return {};
   end

   for _, tpl in pairs(TEMPLATE_STORE_SPECIAL_LIST) do

      if tpl and id == tpl.id then

         return tpl;

      end

   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:getSpawnMatrixDimensions( vehicle )

	local h = 1;
	local w = 1;

	if not TEMPLATE_SPAWN_LIST_MATRIX then

		return h, w;
	end

	if TEMPLATE_SPAWN_LIST_MATRIX[vehicle] then

		h = #TEMPLATE_SPAWN_LIST_MATRIX[vehicle];
	end

	if TEMPLATE_SPAWN_LIST_MATRIX[vehicle][1] then
		w = #TEMPLATE_SPAWN_LIST_MATRIX[vehicle][1];
	end

	return h, w;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getSpawnList( vehicle, level, dps )

	return TEMPLATE_SPAWN_LIST_MATRIX[vehicle][level][dps];

end

-------------------------------------------------------------------------------------

function TemplateMgr:getGameDirectorSettings( vehicle, level )

	return TEMPLATE_GAME_DIRECTOR_SETTINGS[vehicle][level];

end

-------------------------------------------------------------------------------------

function TemplateMgr:getGameDistanceScore( vehicle, level )

	return TEMPLATE_DISTANCE_SCORE[vehicle][level];

end

-------------------------------------------------------------------------------------

function TemplateMgr:getMaxPlayerLevel()

	return #TEMPLATE_PLAYER_LEVEL;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getXPLevelReq( level )

	local lvl = level;
	local max = self:getMaxPlayerLevel();

	if lvl > max then

		lvl = max;
	end

	return TEMPLATE_PLAYER_LEVEL[lvl].expRequired;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getLevelReward( level )

	local temp = {};

	temp.gold					= TEMPLATE_PLAYER_LEVEL[level].coinReward;
	temp.gem						= TEMPLATE_PLAYER_LEVEL[level].gemReward;
	temp.key 					= TEMPLATE_PLAYER_LEVEL[level].keyReward;
	temp.unlockVehc			= TEMPLATE_PLAYER_LEVEL[level].unlockVehc;
   temp.unlockAchievement	= TEMPLATE_PLAYER_LEVEL[level].unlockAchievement;
	temp.unlockMission		= TEMPLATE_PLAYER_LEVEL[level].unlockMission;
	temp.unlockDaily			= TEMPLATE_PLAYER_LEVEL[level].unlockDaily;
	temp.unlockBounty			= TEMPLATE_PLAYER_LEVEL[level].unlockBounty;
	temp.unlockRevive			= TEMPLATE_PLAYER_LEVEL[level].unlockRevive;
	temp.unlockBoss			= TEMPLATE_PLAYER_LEVEL[level].unlockBoss;
   temp.unlockFriends      = TEMPLATE_PLAYER_LEVEL[level].unlockFriends;
   temp.unlockLeague       = TEMPLATE_PLAYER_LEVEL[level].unlockLeague;
	temp.unlockScoreBonus	= TEMPLATE_PLAYER_LEVEL[level].unlockScoreBonus;
   temp.unlockConsumable	= TEMPLATE_PLAYER_LEVEL[level].unlockConsumable;
   temp.unlockMystery      = TEMPLATE_PLAYER_LEVEL[level].unlockMystery;

	return temp;

end

-------------------------------------------------------------------------------------

function TemplateMgr:isMissionUnlocked( level )

	if level < 1 then

		return false;
	end

	return TEMPLATE_PLAYER_LEVEL[level].unlockMission;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getMissionUnlockLevel()

	for i=1,#TEMPLATE_PLAYER_LEVEL do

		if TEMPLATE_PLAYER_LEVEL[i].unlockMission then

			return i;
		end
	end

end

-------------------------------------------------------------------------------------

function TemplateMgr:getConsumableUnlockLevel()

	for i=1,#TEMPLATE_PLAYER_LEVEL do

		if TEMPLATE_PLAYER_LEVEL[i].unlockConsumable then

			return i;
		end
	end

end

-------------------------------------------------------------------------------------

function TemplateMgr:getMysteryUnlockLevel()

   for i=1,#TEMPLATE_PLAYER_LEVEL do

      if TEMPLATE_PLAYER_LEVEL[i].unlockMystery then
         return i;
      end
   end

end

-------------------------------------------------------------------------------------

function TemplateMgr:isDailyUnlocked( level )

	if level < 1 then

		return false;
	end

	return TEMPLATE_PLAYER_LEVEL[level].unlockDaily;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getDailyUnlockLevel()

	for i=1,#TEMPLATE_PLAYER_LEVEL do

		if TEMPLATE_PLAYER_LEVEL[i].unlockDaily then

			return i;
		end
	end

end

-------------------------------------------------------------------------------------

function TemplateMgr:getFriendsUnlockLevel()

	for i=1,#TEMPLATE_PLAYER_LEVEL do

		if TEMPLATE_PLAYER_LEVEL[i].unlockFriends then

			return i;
		end
	end

end

-------------------------------------------------------------------------------------

function TemplateMgr:isFriendsUnlocked( level )

	if level < 1 then

		return false;
	end

	return TEMPLATE_PLAYER_LEVEL[level].unlockFriends;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getLeagueUnlockLevel()

	for i=1,#TEMPLATE_PLAYER_LEVEL do

		if TEMPLATE_PLAYER_LEVEL[i].unlockLeague then

			return i;
		end
	end

end

-------------------------------------------------------------------------------------

function TemplateMgr:isLeagueUnlocked( level )

	if level < 1 then

		return false;
	end

	return TEMPLATE_PLAYER_LEVEL[level].unlockLeague;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getBountyUnlockLevel()

	for i=1,#TEMPLATE_PLAYER_LEVEL do

		if TEMPLATE_PLAYER_LEVEL[i].unlockBounty then

			return i;
		end
	end

end

-------------------------------------------------------------------------------------

function TemplateMgr:isBountyUnlocked( level )

	if level < 1 then

		return false;
	end

	return TEMPLATE_PLAYER_LEVEL[level].unlockBounty;

end

-------------------------------------------------------------------------------------

function TemplateMgr:isReviveUnlocked( level )

	if level < 1 then

		return false;
	end

	return TEMPLATE_PLAYER_LEVEL[level].unlockRevive;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getReviveUnlockLevel()

	for i=1,#TEMPLATE_PLAYER_LEVEL do

		if TEMPLATE_PLAYER_LEVEL[i].unlockRevive then

			return i;
		end
	end

end

-------------------------------------------------------------------------------------

function TemplateMgr:isBossUnlocked( level )

	if level < 1 then

		return false;
	end

	return TEMPLATE_PLAYER_LEVEL[level].unlockBoss;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getBossUnlockLevel()

	for i=1,#TEMPLATE_PLAYER_LEVEL do

		if TEMPLATE_PLAYER_LEVEL[i].unlockBoss then

			return i;
		end
	end

end

-------------------------------------------------------------------------------------

function TemplateMgr:isPlayerVehicleLevelLocked( level )

	if level < 1 then

		return 1;
	end

	return TEMPLATE_PLAYER_LEVEL[level].unlockVehc;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getPlayerVehicleUnLockLevel( index )

	for i=1,#TEMPLATE_PLAYER_LEVEL do

		if TEMPLATE_PLAYER_LEVEL[i].unlockVehc == index then

			return i;
		end
	end

	return 1;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getScoreBonus( level )

	return TEMPLATE_PLAYER_LEVEL[level].unlockScoreBonus/100;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getAchievementUnlockLevel()

   for i=1,#TEMPLATE_PLAYER_LEVEL do

      if TEMPLATE_PLAYER_LEVEL[i].unlockAchievement then
         return i;
      end

   end

end


-------------------------------------------------------------------------------------

function TemplateMgr:isAchievementUnlocked( level )

   if level < 1 then
      return false;
   end

   return TEMPLATE_PLAYER_LEVEL[level].unlockAchievement;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getBossIndexMax( )

	return #TEMPLATE_BOSS_LIST;

end

-------------------------------------------------------------------------------------

function TemplateMgr:getBossMaxLevel( index )

	return #TEMPLATE_BOSS_LIST[index];

end

-------------------------------------------------------------------------------------

function TemplateMgr:getBossTemplate( index, level )

	local bossIndex	= math.clamp(index, 1, #TEMPLATE_BOSS_LIST);

	return TEMPLATE_BOSS_LIST[bossIndex][level];

end

-------------------------------------------------------------------------------------

function TemplateMgr:getBountyPaintTemplate( vehcIndex, index )

	local vehc	= math.clamp(vehcIndex or 1, 1, #TEMPLATE_BOUNTY_VEHICLE_LIST);
	local paint	= math.clamp(index or 1, 1, #TEMPLATE_BOUNTY_PAINT_LIST[vehc]);

	return TEMPLATE_BOUNTY_PAINT_LIST[vehc][paint];

end

-------------------------------------------------------------------------------------

function TemplateMgr:getBountyArmorTemplate( vehcIndex, index )

	local vehc	= math.clamp(vehcIndex or 1, 1, #TEMPLATE_BOUNTY_VEHICLE_LIST);
	local armor	= math.clamp(index or 1, 1, #TEMPLATE_BOUNTY_ARMOR_LIST[vehc]);

	return TEMPLATE_BOUNTY_ARMOR_LIST[vehc][armor];

end

-------------------------------------------------------------------------------------

function TemplateMgr:getBountyVehicleTemplate( index )

	local vehc	= math.clamp(index or 1, 1, #TEMPLATE_BOUNTY_VEHICLE_LIST);

	return TEMPLATE_BOUNTY_VEHICLE_LIST[vehc];

end

-------------------------------------------------------------------------------------
