require("engine/network/request")


function newFunc(self, options)

   Debug.assertType(options, {"table", "userdata"}, "WebRequest.new -> options");

   Debug.assertType(options.url,            "string",           "WebRequest.new -> options.url");
   Debug.assertType(options.retryCount,     "number",           "WebRequest.new -> options.retryCount");
   Debug.assertType(options.timeoutTime,    {"nil", "number"},  "WebRequest.new -> options.timeoutTime");
   Debug.assertType(options.ignoreResponse, {"nil", "boolean"}, "WebRequest.new -> options.ignoreResponse");

   self.typeName = WebRequest.typeName;
   self.url = options.url;
   self.retryCount = options.retryCount;
   self.timeoutTime = options.timeoutTime;

   if options.ignoreResponse ~= nil then
      self.ignoreResponse = options.ignoreResponse
   else
      self.ignoreResponse = false;
   end

end


WebRequest = createClass(newFunc, Request);
WebRequest.typeName = "WebRequest";
