require('app/template/barricade/barricade_03');
require('app/template/hazard/hazard-missile');


MAP01_HAZARD_SPAWN_CHART =
{
   {
      duration    = 30,
      odds        = 20/60,
      timeMin     = 10.0,
      timeMax     = 15.0,
      templates   = { TEMPLATE_BARRICADE_03, TEMPLATE_MISSILE_TEMPLATES[1]  },
   },
   {
      duration    = 60,
      odds        = 20/60,
      timeMin     = 09.0,
      timeMax     = 14.0,
      templates   = { TEMPLATE_BARRICADE_03, TEMPLATE_MISSILE_TEMPLATES[1]  },
   },
   {
      duration    = 90,
      odds        = 20/60,
      timeMin     = 08.0,
      timeMax     = 13.0,
      templates   = { TEMPLATE_BARRICADE_03,TEMPLATE_MISSILE_TEMPLATES[1] },
   },
   {
      duration    = 120,
      odds        = 20/60,
      timeMin     = 07.0,
      timeMax     = 12.0,
      templates   = { TEMPLATE_BARRICADE_03,TEMPLATE_MISSILE_TEMPLATES[1] },
   },
   {
      duration    = 150,
      odds        = 20/60,
      timeMin     = 06.0,
      timeMax     = 11.0,
      templates   = { TEMPLATE_BARRICADE_03,TEMPLATE_MISSILE_TEMPLATES[1] },
   },
   {
      duration    = 180,
      odds        = 20/60,
      timeMin     = 05.0,
      timeMax     = 10.0,
      templates   = { TEMPLATE_BARRICADE_03,TEMPLATE_MISSILE_TEMPLATES[1] },
   },
   {
      duration    = 240000,
      odds        = 20/60,
      timeMin     = 04.0,
      timeMax     = 09.0,
      templates   = { TEMPLATE_BARRICADE_03,TEMPLATE_MISSILE_TEMPLATES[1] },
   },
};