require('engine/mission/mission-goal')

----------------------------------------------------------------------

local Base = MissionGoal;

MissionGoalMultiplier = Base:new();

----------------------------------------------------------------------

function MissionGoalMultiplier:new( mission, index, template  )

print("MissionGoalMultiplier:new");

   local goal  = Base.new( self, mission, index, template );

   return goal;

end

----------------------------------------------------------------------

function MissionGoalMultiplier:activate()

   Base.activate( self );

   EventMgr:addListener( self, self.onAvatarPickup , "avatar-pickup" );
   EventMgr:addListener( self, self.onGameOver , "game-over" );

end

----------------------------------------------------------------------

function MissionGoalMultiplier:onGameStart()

print( "MissionGoalMultiplier:onGameStart" );

   Base.onGameStart( self);
   
   self.cumulativeScore = 0;

end

----------------------------------------------------------------------

function MissionGoalMultiplier:onAvatarPickup( event, type )

   if not self.completed then

      if event.pickup.pickupType == "powerup_scoreK" then
   
         if event.pickup.tplPowerup.scoreK >= self.template.objective then
         
            self.cumulativeScore = -1;

            self:_OnCompleted();

         end
      end
   end
end

----------------------------------------------------------------------

function MissionGoalMultiplier:onGameOver(event)
   


end