local stringTable =
{
   en =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "Oops! An error occurred.\n\nPlease check that you have wi-fi or mobile data enabled and try again.";

      NATIVE_OK_BTN                 =  "Ok";
      NATIVE_TRY_AGAIN              =  "Please try again";
      NATIVE_TRANS_FAIL             =  "Transaction Failed";
      NATIVE_LOSE_PROGRESS          =  "Please make sure to free some space on your device.\nYou could lose all of your progress!";
      NATIVE_CONNECT_ERROR          =  "Connection Error";
      NATIVE_PURCH_DISABLED         =  "In-app purchases are disabled on this device";
      NATIVE_CONNECT_TO_NET         =  "Please make sure your device is connected to the Internet.";

      NATIVE_VIDEO_ERROR               = "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG           = "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE       =  "Oops! File Error";
      NATIVE_FILE_ERROR_MSG         =  "Please make sure you have enough space on your device to save.";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "Update Required";
      NATIVE_UPDATE_MSG                = "You are running an older version of Road Riot, which is missing critical updates. Please update to continue playing.";

      NATIVE_AUTH_ERROR_TITLE_1        = "Authentication Error";
      NATIVE_AUTH_ERROR_TITLE_2        = "Verification required";
      NATIVE_AUTH_ERROR_MSG            = "";

      NATIVE_NOT_ONLINE_TITLE          = "Error";
      NATIVE_NOT_ONLINE_MSG            = "You need to be online\n to signin with Tango";

      NATIVE_DAILY_TITLE               = "Daily Challenges are locked";
      NATIVE_DAILY_MSG_1C1             = "You need to be level ";
      NATIVE_DAILY_MSG_1C2             = " to unlock Daily Challenges";
      NATIVE_DAILY_MSG_2               = "Level up to unlock Daily Challenges";

      NATIVE_MISSION_TITLE             = "Missions are locked";
      NATIVE_MISSION_MSG_1C1           = "You need to be level ";
      NATIVE_MISSION_MSG_1C2           = " to unlock Missions";
      NATIVE_MISSION_MSG_2             = "Level up to unlock Missions";

      NATIVE_NO_CONTACTS_TITLE         = "No Tango contacts found";
      NATIVE_NO_CONTACTS_MSG           = "In Tango settings, set 'Save Address Book' to on.";
      NATIVE_NO_CONTACTS_BTN           = "Open Tango";

      NATIVE_CANT_SAVE_TITLE           = "Oops! Cannot save file";
      NATIVE_LOAD_ERROR_TITLE          = "Error Loading Your Data File";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "No Tango contacts available";
      NATIVE_CONTACTS_UNAVAL_MSG       = "In your phone's privacy settings, enable contact access for Tango.";

      NATIVE_INSTALL_TANGO_TITLE1      = "Tango is missing";
      NATIVE_INSTALL_TANGO_MSG1        = "Tango must be installed \nto Connect & Play.";
      NATIVE_INSTALL_TANGO_BTN1        = "Install";

      NATIVE_INSTALL_TANGO_TITLE2      = "Tango is out of date";
      NATIVE_INSTALL_TANGO_MSG2        = "The version of Tango installed on this device must be updated \nto Connect & Play.";
      NATIVE_INSTALL_TANGO_BTN2        = "Update";

      NATIVE_SERVER_ERROR_TITLE        = "Oops! An error occured";

--these are generic exclamations. they can apply to anything, but make sure all the upgrades and non epic rewards have them
      FEED_GENERIC_1                   = "Haha!";
      FEED_GENERIC_2                   = "Nice.";
      FEED_GENERIC_3                   = "high five!";


      FEED_WEEKLY_1                    = "Not a bad week";
      FEED_WEEKLY_2                    = "On the podium";
      FEED_WEEKLY_3                    = "View is nice from here";

--these can apply to any of the upgrades/unlocks:
      FEED_UPUN_GENERIC_1              = "Worth it.";
      FEED_UPUN_GENERIC_2              = "Finally!";

--these are just for unlocks
      FEED_UNLOCK_GENERIC_1            = "AWESOME";
      FEED_UNLOCK_GENERIC_2            = "Check this out.";

--unlock cars

      FEED_UNLOCK_CAR2                 = "Magnet power!";

      FEED_UNLOCK_CAR3                 = "Missile Command";

      FEED_UNLOCK_CAR4_1               = "Laser Time!";
      FEED_UNLOCK_CAR4_2               = "Pew pew pew!";

      FEED_UNLOCK_CAR5                 = "Blast away!";

--main weapon, side weapon, turret, armor
      FEED_UPGRADE_MAIN                = "More fire power";

      FEED_UNLOCK_TURRET               = "Turret Unlocked";

      FEED_UPGRADE_TURRET              = "Turret Upgraded";

      FEED_UNLOCK_SIDE                 = "Side Weapon Unlocked";

      FEED_UPGRADE_SIDE             =  "Side Weapon Upgraded";

      FEED_UPGRADE_ARMOR               = "Armor Upgraded";

--paint
      FEED_UNLOCK_PAINT_1              = "New Paint Job";
      FEED_UNLOCK_PAINT_2              = "new favorite color! =)";

--lvlup and hiscore
      FEED_LEVEL_UP                    = "Level Up!";

      FEED_HIGH_SCORE_1                = "New High Score!";
      FEED_HIGH_SCORE_2                = "what's your high score again? =)";

-- any of the epic rewards can use these
      FEED_MYSTERY_EPIC_1              = "lol!";
      FEED_MYSTERY_EPIC_2              = "uhhhh. woah.";
      FEED_MYSTERY_EPIC_3              = "hahaha, look!";

-- these are just for the jackpot
      FEED_MYSTERY_JACKPOT_1        =  "JACKPOT!";
      FEED_MYSTERY_JACKPOT_2        =  "omg jackpot! hahahahaha!";

-- specific rewards

      FEED_MYSTERY_KEYS_1              = "So many KEYS!";
      FEED_MYSTERY_KEYS_2              = "guess I can play forever now. =)";


      FEED_MYSTERY_COINS_1             = "So many COINS!";
      FEED_MYSTERY_COINS_2             = "time to upgrade EVERYTHING";

      FEED_MYSTERY_GEMS_1              = "So many GEMS!";
      FEED_MYSTERY_GEMS_2              = "how do I even spend all these?!";

      FEED_MYSTERY_REVIVE              = "Free Revive";

      FEED_MISSION_COMPLETE_1          = "Mission Complete!";
      FEED_MISSION_COMPLETE_2          = "done and done";

      FEED_DAILY_COMPLETE_1         =  "Challenge Accepted!";
      FEED_DAILY_COMPLETE_2         =  "bye bye helicopter!";

--guides

      GUIDE_NEW_PLAYER                 = "Hey! Welcome to\nRoad Riot.\n\nLet's get you in\na car and see\nwhat you can do!";
      GUIDE_NEW_PLAYER_1               = "Hey! Here are\nsome car keys!\n\nYou'll need to\npass a qualifier\nto enter the\nCombat Rally\nChampionship.";
      GUIDE_FIRST_UPGRADE_1            = "You can\nupgrade your\ncar in the SHOP.\n\nPress the\nbutton below...";
      GUIDE_FIRST_UPGRADE_2            = "Good job!\n\nKeep upgrading\nfrom time to\ntime and let's\nwin some races!";
      GUIDE_FIRST_UPGRADE_3            = "Not bad at all...\n\nWe earned a\nlittle extra cash\nfrom that race.\n\nLet's spend it.";
      GUIDE_FIRST_DAILY                = "Looks like you\ncompleted a\nDaily Challenge!\n\nMake sure to\ncollect your\nreward!";
      GUIDE_FIRST_MISSION              = "You completed\na mission!\n\nMake sure to\ncollect your\nreward!";
      GUIDE_CAR_UNLOCKED_1             = "Looks like we\ngot a new car\nin the shop!\n\nCheck it out!";
      GUIDE_CAR_UNLOCKED_2             = "We got a\nnew car in\nstock!\n\nCheck it out!";
      GUIDE_UPGRADE_REMINDER           = "Looks like you\nhaven't upgraded\nin a while!\n\nHead to the\nSHOP to upgrade\nyour car!";
      GUIDE_DAILY_INTRO_1              = "Good job!\nDaily Challenges\nare unlocked!";
      GUIDE_DAILY_INTRO_2              = "Destroy the\nhelicopter\nand collect\nthe Daily star\nto claim\nyour reward!";
      GUIDE_DAILY_REMINDER             = "You have a\nDaily Reward\nwaiting for\nyou!\n\nMake sure to\ncollect it!";
      GUIDE_MISSION_REMINDER           = "Your Mission\nis complete!\n\nMake sure to\ncollect your\nreward!";
      GUIDE_MISSION_INTRO_1            = "Nice work!\nMissions are\nnow active!";
      GUIDE_MISSION_INTRO_2            = "Complete the\nlisted goals\nto earn\nrewards and\nnew missions!";
      GUIDE_DAILY_SUCCESS_NOTIFY       = "Great job on that\nDaily Challenge!\n\nWould you like\nme to remind\nyou about it?";
      GUIDE_DAILY_FAIL_NOTIFY          = "Looks like you\nmissed your\nDaily Challenge!\n\nWould you like\nme to remind\nyou about it?";
      GUIDE_VIDEO_BUTTON               = "Watch this\nvideo and get\na reward!";
      GUIDE_NEW_VIDEO_REWARD           = "You've earned\neven bigger\nrewards!\nCheck it out!";
      GUIDE_FEED_NOTIFY                = "Nice work!\n\nLet your Tango\nfriends know they\nneed to keep up!";
      GUIDE_BOUNTY_INTRO               = "Amateurs like\nyou need to be\ntaught a lesson.\n\nSee you on\nthe track!";
      GUIDE_BOUNTY_INTRO_1             = "You can now\nhunt other\nracers to earn\ngem bounties!";
      GUIDE_BOUNTY_INTRO_2             = "Destroy racer\ncars and collect\ntheir pictures to\nclaim bounties!";
      GUIDE_BOUNT_FIRST_BASTAN         = "You must have\ncheated! You don't\ndeserve a reward!";
      GUIDE_BOUNT_FIRST_DANA           = "You got lucky!\nEnjoy your reward\nwhile you can.";
      GUIDE_BOUNT_FIRST_RICARDO        = "You're making me\nlook bad! Guess\nyou earned this.";
      GUIDE_BOUNT_FIRST_RICARDO_ALT    = "You're making me\nlook bad! You've\nearned that gem.";
      GUIDE_BOUNT_FIRST_CLAIRE         = "Great Job!\nCollect your\nbounty!";
      GUIDE_BOUNT_FIRST_CLAIRE_ALT     = "Nice work\ncollecting that\nbounty!";
      GUIDE_BOUNT_REMINDER_BASTIAN     = "You got me!\nAt least get\nyour reward!";
      GUIDE_BOUNT_REMINDER_DANA        = "You got me!\nAt least get\nyour reward!";
      GUIDE_BOUNT_REMINDER_RICARDO     = "You got me!\nAt least get\nyour reward!";
      GUIDE_BOUNT_REMINDER_CLAIRE      = "Your bounty\nis waiting! Get\nyour reward!";
      GUIDE_ACHIEV_REMINDER            = "An Achievement\nis complete!\n\nMake sure to\ncollect your\nreward!";
      GUIDE_GAME_CENTER                = "See how you\nstack up against\nplayers all over\nthe world!";
      GUIDE_SALE_REMINDER              = "The car sale\nis almost over!\n\nCheck it out\nbefore it's gone!";
      GUIDE_SALE_CAR                   = "There's a car\nsale going on!\n\nCheck it out!";
      GUIDE_MYSTERY_REMINDER           = "You've earned a\nmystery token!\n\nGo and see what\nyou've won!";
      GUIDE_DRONE_UNLOCK_1             = "Let's get you\nsome extra\nfirepower!!\n\nHead to the\ndrone garage!";
      GUIDE_DRONE_UNLOCK_2             = "Build your first\ndrone! This one\nis on the house!";
      GUIDE_DRONE_UNLOCK_3             = "You can get more\ninfo about each\ndrone right here!";
      GUIDE_DRONE_EVOLVE               = "You can now\nupgrade the\nStar Rank!";
      GUIDE_DRONE_MERGE                = "To upgrade the\nStar Rank,\nbuild the same\ndrone type!";
      GUIDE_DRONE_HYBRID               = "Building the\nsame drone type\nwill also upgrade\nthe Star Rank.";
      GUIDE_BUNDLE_STARTER             = "Get a head start\nwith this deal!";
      GUIDE_LEAGUE_REWARD_1            = "Congratulations!\n\nYou've qualified\nfor the\nBronze League!";
      GUIDE_LEAGUE_REWARD_2            = "Earn rewards\nbased on\nyour ranking\neach week!\n\nThe top players\nwill be\npromoted!";
      GUIDE_LEAGUE_REWARD_3            = "Press the\ninfo button\nto view all\nLeagues and\nrewards.";
      GUIDE_FRIEND_BOARD_1             = "This is the\nFriends\nleaderboard!";
      GUIDE_FRIEND_BOARD_2             = "Check your\nfriends' high\nscore and\nsend them\ngifts here!";
      GUIDE_FRIEND_BOARD_3             = "Reach level 9\nto unlock\nglobal Leagues!";
      GUIDE_CONSUMABLE_INTRO_1         = "Boosters can\nbe activated\nto get ahead!";
      GUIDE_CONSUMABLE_INTRO_2         = "You can\nget boosters\nhere!";
   },

   ar =
      {
         DEFAULT_ERROR_NETWORK_MESSAGE = "عفوًا! وقع خطأ.\n\nالرجاء التحقق من تمكين بيانات wi-fi أو الهاتف المحمول وحاول مجددًا.";

      NATIVE_OK_BTN                 =  "موافق";
      NATIVE_TRY_AGAIN              =  "الرجاء المحاولة مرة أخرى";
      NATIVE_TRANS_FAIL             =  "فشلت المعاملة";
      NATIVE_LOSE_PROGRESS          =  "الرجاء التأكد من وجود مساحة فارغة على جهازك\nقد تفقد كل ما أحرزته من التقدم!";
      NATIVE_CONNECT_ERROR          =  "خطأ في الاتصال";
      NATIVE_PURCH_DISABLED         =  "يتم تعطيل عمليات الشراء ضمن التطبيق في هذا الجهاز";
      NATIVE_CONNECT_TO_NET         =  "برجاء التأكد من توصيل الجهاز بالإنترنت.";

      NATIVE_VIDEO_ERROR            =  "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG        =  "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE          = "عفوًا! خطأ في الملف";
      NATIVE_FILE_ERROR_MSG            = "الرجاء التأكد من وجود مساحة كافية على الجهاز للحفظ.";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "مطلوب إجراء تحديث";
      NATIVE_UPDATE_MSG                = "تقوم بتشغيل إصدار أقدم من Road Riot والذي يفتقد إلى بعض التحديثات الضرورية. الرجاء التحديث لمتابعة اللعب.";

      NATIVE_AUTH_ERROR_TITLE_1        = "خطأ في المصادقة";
      NATIVE_AUTH_ERROR_TITLE_2        = "مطلوب التحقق";

      NATIVE_NOT_ONLINE_TITLE          = "الخطأ";
      NATIVE_NOT_ONLINE_MSG            = "يلزم الاتصال بالإنترنت\nلتسجيل الدخول إلى Tango";

      NATIVE_DAILY_TITLE               = "يتم قفل التحديات اليومية";
      NATIVE_DAILY_MSG_1C1             = "يلزم اجتياز مستوى ";
      NATIVE_DAILY_MSG_1C2             = " لإلغاء قفل التحديات اليومية";
      NATIVE_DAILY_MSG_2               = "اجتياز مستوى لإلغاء قفل التحديات اليومية";

      NATIVE_MISSION_TITLE             = "المهمات مقفلة";
      NATIVE_MISSION_MSG_1C1           = "يلزم اجتياز مستوى ";
      NATIVE_MISSION_MSG_1C2           = " لإلغاء قفل المهمات";
      NATIVE_MISSION_MSG_2             = "اجتياز مستوى لإلغاء قفل المهمات";

      NATIVE_NO_CONTACTS_TITLE         = "لم يتم العثور على جهات اتصال Tango";
      NATIVE_NO_CONTACTS_MSG           = "في إعدادات Tango، قم بتعيين \"حفظ دفتر العناوين\" على التشغيل.";
      NATIVE_NO_CONTACTS_BTN           = "افتح Tango";

      NATIVE_LOAD_ERROR_TITLE          = "خطأ في تحميل ملف البيانات";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "لا توجد جهات اتصال Tango متوفرة!";
      NATIVE_CONTACTS_UNAVAL_MSG       = "في إعدادات خصوصية الهاتف، قم بتمكين الوصول إلى جهات الاتصال لـ Tango.";

      NATIVE_INSTALL_TANGO_TITLE1      = "Tango غير موجود!";
      NATIVE_INSTALL_TANGO_MSG1        = "يجب تثبيت Tango \n للتوصيل واللعب.";
      NATIVE_INSTALL_TANGO_BTN1        = "تثبيت";

      NATIVE_INSTALL_TANGO_TITLE2      = "Tango غير محدث";
      NATIVE_INSTALL_TANGO_MSG2        = "يجب تحديث إصدار Tango المثبت على هذا الجهاز \n للتوصيل واللعب.";
      NATIVE_INSTALL_TANGO_BTN2        = "تحديث";

      NATIVE_SERVER_ERROR_TITLE        = "عفوًا! وقع خطأ";

      FEED_GENERIC_1                   = "هاها!";
      FEED_GENERIC_2                   = "جميل.";
      FEED_GENERIC_3                   = "تحية!";


      FEED_WEEKLY_1                    = "ليس أسبوعًا سيئًا";
      FEED_WEEKLY_2                    = "على المنصة";
      FEED_WEEKLY_3                    = "المنظر جميل من هنا";


      FEED_UPUN_GENERIC_1              = "يستحق العناء.";
      FEED_UPUN_GENERIC_2              = "أخيرًا!";

      FEED_UNLOCK_GENERIC_1            = "رائع";
      FEED_UNLOCK_GENERIC_2            = "تحقق من هذا.";


      FEED_UNLOCK_CAR2                 = "قوة المغناطيس!";

      FEED_UNLOCK_CAR3                 = "أمر إطلاق القذائف";

      FEED_UNLOCK_CAR4_1               = "زمن الليزر!";
      FEED_UNLOCK_CAR4_2               = "بيو بيو!";

      FEED_UNLOCK_CAR5                 = "تفجير!";


      FEED_UPGRADE_MAIN                = "المزيد من قوة إطلاق النار";

      FEED_UNLOCK_TURRET               = "فتح برج الهجوم";

      FEED_UPGRADE_TURRET              = "تحديث برج الهجوم";

      FEED_UNLOCK_SIDE                 = "فتح السلاح الجانبي";

      FEED_UPGRADE_SIDE                = "تحديث السلاح الجانبي";

      FEED_UNLOCK_PAINT_1              = "مهمة دهان جديدة";
      FEED_UNLOCK_PAINT_2              = "لون مفضل جديد! =)";

      FEED_UPGRADE_ARMOR               = "تمت ترقية الدرع";

      FEED_LEVEL_UP                    = "مستوى للأعلى!";

      FEED_HIGH_SCORE_1                = "سجل نقاط جديد مرتفع!";
      FEED_HIGH_SCORE_2                = "ما هو سجل النقاط المرتفع الخاص بك؟ =)";

      FEED_MYSTERY_EPIC_1              = "لول!";
      FEED_MYSTERY_EPIC_2              = "أوه. يا إلهي.";
      FEED_MYSTERY_EPIC_3              = "هاهاها، انظر!";

      FEED_MYSTERY_JACKPOT_1           = "الجائزة الكبرى!";
      FEED_MYSTERY_JACKPOT_2           = "يا إلهي، الجائزة الكبرى! هاهاهاها!";

      FEED_MYSTERY_KEYS_1              = "مفاتيح كثيرة للغاية!";
      FEED_MYSTERY_KEYS_2              = "أعتقد أنني أستطيع اللعب إلى ما لانهاية الآن. =)";


      FEED_MYSTERY_COINS_1             = "عملات معدنية كثيرة للغاية!";
      FEED_MYSTERY_COINS_2             = "حان وقت تحديث كل شيء";

      FEED_MYSTERY_GEMS_1              = "عملات معدنية كثيرة للغاية!";
      FEED_MYSTERY_GEMS_2              = "كيف يمكنني إنفاق كل ذلك؟!";

      FEED_MYSTERY_REVIVE              = "استعادة مجانية";

      FEED_MISSION_COMPLETE_1          = "تم إنجاز المهمة!";
      FEED_MISSION_COMPLETE_2          = "تم";

      FEED_DAILY_COMPLETE_1            = "تم قبول التحدي!";
      FEED_DAILY_COMPLETE_2            = "وداعًا للهليكوبتر!";

   },
   fr =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "Petit problème ! Une erreur est survenue.\n\nVérifiez que le Wi-Fi ou le transfert des données mobiles est activé, puis réessayez.";

      NATIVE_OK_BTN                    = "Ok";
      NATIVE_TRY_AGAIN                 = "Veuillez réessayer";
      NATIVE_TRANS_FAIL                = "La transaction a échoué";
      NATIVE_LOSE_PROGRESS             = "Libérez de l'espace sur votre appareil.\nIl se peut que vous perdiez toute votre progression!";
      NATIVE_CONNECT_ERROR             = "Erreur de connexion";
      NATIVE_PURCH_DISABLED            = "L'achat intégré est désactivé sur cet appareil.";
      NATIVE_CONNECT_TO_NET            = "Assurez-vous que votre appareil est connecté à Internet.";

      NATIVE_VIDEO_ERROR               = "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG           = "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE          = "Petit problème! Erreur de fichier";

      NATIVE_FILE_ERROR_MSG            = "Assurez-vous que l'espace disponible sur votre appareil est suffisant pour l'enregistrement.";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "Mise à jour obligatoire";
      NATIVE_UPDATE_MSG                = "Vous utilisez une ancienne version de Road Riot qui ne contient pas certaines mises à jour critiques. Effectuez la mise à jour afin de continuer à jouer.";

      NATIVE_AUTH_ERROR_TITLE_1        = "Erreur d'authentification";
      NATIVE_AUTH_ERROR_TITLE_2        = "Vérification requise";

      NATIVE_NOT_ONLINE_TITLE          = "Erreur";
      NATIVE_NOT_ONLINE_MSG            = "Vous devez être en ligne\npour vous inscrire à Tango.";

      NATIVE_DAILY_TITLE               = "Les défis quotidiens sont verrouillés.";
      NATIVE_DAILY_MSG_1C1             = "Vous devez avoir atteint le niveau";
      NATIVE_DAILY_MSG_1C2             = "pour les déverrouiller.";
      NATIVE_DAILY_MSG_2               = "Passez à un niveau supérieur pour déverrouiller ces défis.";

      NATIVE_MISSION_TITLE             = "Les missions sont verrouillées.";
      NATIVE_MISSION_MSG_1C1           = "Vous devez avoir atteint le niveau";
      NATIVE_MISSION_MSG_1C2           = "pour les déverrouiller.";
      NATIVE_MISSION_MSG_2             = "Passez à un niveau supérieur pour déverrouiller les missions.";

      NATIVE_NO_CONTACTS_TITLE         = "Aucun contact Tango correspondant";
      NATIVE_NO_CONTACTS_MSG           = "Dans les paramètres Tango, activez l'option 'Enregistrez le carnet d'adresses'.";
      NATIVE_NO_CONTACTS_BTN           = "Ouvrir Tango.";

      NATIVE_LOAD_ERROR_TITLE          = "Erreur lors du chargement de votre fichier de données.";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "Aucun contact Tango disponible.";

      NATIVE_CONTACTS_UNAVAL_MSG       = "Dans les paramètres de confidentialité de votre téléphone, activez l'accès aux contacts pour Tango.";

      NATIVE_INSTALL_TANGO_TITLE1      = "Application Tango introuvable.";
      NATIVE_INSTALL_TANGO_MSG1        = "Vous devez installer Tango\npour vous connecter et jouer.";
      NATIVE_INSTALL_TANGO_BTN1        = "Installer";

      NATIVE_INSTALL_TANGO_TITLE2      = "Tango n'est pas à jour";
      NATIVE_INSTALL_TANGO_MSG2        = "Vous devez mettre Tango à jour sur cet appareil\npour vous connecter et jouer.";
      NATIVE_INSTALL_TANGO_BTN2        = "Mettre à jour";

      NATIVE_SERVER_ERROR_TITLE        = "Petit problème! Une erreur est survenue.";

      FEED_GENERIC_1                   = "Haha!";
      FEED_GENERIC_2                   = "Joli!";
      FEED_GENERIC_3                   = "Tope là!";


      FEED_WEEKLY_1                    = "Semaine honorable";
      FEED_WEEKLY_2                    = "Sur le podium";
      FEED_WEEKLY_3                    = "La vue est belle d'ici";


      FEED_UPUN_GENERIC_1              = "Ça valait le coup.";
      FEED_UPUN_GENERIC_2              = "Enfin!";

      FEED_UNLOCK_GENERIC_1            = "IMPRESSIONNANT";
      FEED_UNLOCK_GENERIC_2            = "Regarde un peu!";


      FEED_UNLOCK_CAR2                 = "Puissance magnétique!";

      FEED_UNLOCK_CAR3                 = "Lancement de missile";

      FEED_UNLOCK_CAR4_1               = "C'est l'heure du laser!";
      FEED_UNLOCK_CAR4_2               = "Piou piou piou!";

      FEED_UNLOCK_CAR5                 = "Feu à volonté!";


      FEED_UPGRADE_MAIN                = "Puissance de feu étendue";

      FEED_UNLOCK_TURRET               = "Tourelle débloquée";

      FEED_UPGRADE_TURRET              = "Tourelle améliorée";

      FEED_UNLOCK_SIDE                 = "Arme latérale débloquée";

      FEED_UPGRADE_SIDE                = "Arme latérale améliorée";

      FEED_UNLOCK_PAINT_1              = "Peinture refaite";
      FEED_UNLOCK_PAINT_2              = "nouvelle couleur favorite! =)";

      FEED_UPGRADE_ARMOR               = "Blindage amélioré";

      FEED_LEVEL_UP                    = "Niveau suivant!";

      FEED_HIGH_SCORE_1                = "Record battu!";
      FEED_HIGH_SCORE_2                = "c'était combien le record déjà? =)";

      FEED_MYSTERY_EPIC_1              = "LOL!";
      FEED_MYSTERY_EPIC_2              = "euhhhh. waouh!";
      FEED_MYSTERY_EPIC_3              = "hahaha, regarde!";

      FEED_MYSTERY_JACKPOT_1           = "JACKPOT!";
      FEED_MYSTERY_JACKPOT_2           = "c'est le jackpot! hahahahaha!";

      FEED_MYSTERY_KEYS_1              = "j'ai tellement de CLÉS!";
      FEED_MYSTERY_KEYS_2              = "je vais pouvoir jouer à tout jamais =)";


      FEED_MYSTERY_COINS_1             = "J'ai tellement de PIÈCES!";
      FEED_MYSTERY_COINS_2             = "Je vais TOUT améliorer.";

      FEED_MYSTERY_GEMS_1              = "J'ai tellement de DIAMANTS!";
      FEED_MYSTERY_GEMS_2              = "Comment je vais pouvoir dépenser tout ça?!";

      FEED_MYSTERY_REVIVE              = "Vie supplémentaire gratuite";

      FEED_MISSION_COMPLETE_1          = "Mission accomplie!";
      FEED_MISSION_COMPLETE_2          = "Ça, c'est fait!";

      FEED_DAILY_COMPLETE_1            = "Défi accepté!";
      FEED_DAILY_COMPLETE_2            = "Adieu l'hélicoptère!";

   },

   es =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "Lo sentimos. Se ha producido un error.\n\nComprueba que has habilitado la conexión Wi-Fi o los datos para dispositivos móviles e inténtalo de nuevo.";

      NATIVE_OK_BTN                 =  "Aceptar";
      NATIVE_TRY_AGAIN              =  "Inténtalo de nuevo";
      NATIVE_TRANS_FAIL             =  "Error en la transacción";
      NATIVE_LOSE_PROGRESS          =  "Comprueba que tu dispositivo dispone de espacio libre.\n¡Podrías perder todo tu progreso!";
      NATIVE_CONNECT_ERROR          =  "Error al conectar";
      NATIVE_PURCH_DISABLED         =  "Las compras dentro de la aplicación están deshabilitadas en este dispositivo.";
      NATIVE_CONNECT_TO_NET         =  "Comprueba que tu dispositivo está conectado a Internet.";

      NATIVE_VIDEO_ERROR            =  "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG        =  "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE       =  "Lo sentimos. Error en el archivo";
      NATIVE_FILE_ERROR_MSG         =  "Comprueba que tu dispositivo dispone de suficiente espacio libre para guardar.";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "Actualización necesaria";
      NATIVE_UPDATE_MSG                = "Estás ejecutando una versión más antigua de Road Riot que carece de actualizaciones críticas. Actualiza para continuar jugando.";

      NATIVE_AUTH_ERROR_TITLE_1        = "Error de autenticación";
      NATIVE_AUTH_ERROR_TITLE_2        = "Comprobación necesaria";

      NATIVE_NOT_ONLINE_TITLE          = "Error";
      NATIVE_NOT_ONLINE_MSG            = "Debes estar conectado\n para iniciar sesión en Tango.";

      NATIVE_DAILY_TITLE               = "Los desafíos diarios están bloqueados.";
      NATIVE_DAILY_MSG_1C1             = "Debes tener el nivel ";
      NATIVE_DAILY_MSG_1C2             = " para desbloquear desafíos diarios";
      NATIVE_DAILY_MSG_2               = "Sube de nivel para desbloquear desafíos diarios";

      NATIVE_MISSION_TITLE             = "Las misiones están bloqueadas";
      NATIVE_MISSION_MSG_1C1           = "Debes tener el nivel ";
      NATIVE_MISSION_MSG_1C2           = " para desbloquear misiones";
      NATIVE_MISSION_MSG_2             = "Sube de nivel para desbloquear misiones";

      NATIVE_NO_CONTACTS_TITLE         = "No se han encontrado contactos de Tango.";
      NATIVE_NO_CONTACTS_MSG           = "En los ajustes de Tango, activa la opción 'Guardar agenda'.";
      NATIVE_NO_CONTACTS_BTN           = "Abrir Tango";

      NATIVE_LOAD_ERROR_TITLE          = "Error al cargar tu archivo de datos";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "¡No hay contactos de Tango disponibles!";
      NATIVE_CONTACTS_UNAVAL_MSG       = "En los ajustes de privacidad de tu teléfono, concede a Tango acceso a tu agenda.";

      NATIVE_INSTALL_TANGO_TITLE1      = "¡No se encuentra Tango!";
      NATIVE_INSTALL_TANGO_MSG1        = "Debes instalar Tango \npara usar 'Conéctate y juega'.";
      NATIVE_INSTALL_TANGO_BTN1        = "Instalar";

      NATIVE_INSTALL_TANGO_TITLE2   =  "Tango ha caducado";
      NATIVE_INSTALL_TANGO_MSG2     =  "Debes actualizar la versión de Tango instalada en este dispositivo \npara usar 'Conéctate y juega'.";
      NATIVE_INSTALL_TANGO_BTN2     =  "Actualizar";

      NATIVE_SERVER_ERROR_TITLE        = "Lo sentimos. Se ha producido un error";

     FEED_GENERIC_1                    = "¡Ja, ja!";
      FEED_GENERIC_2                   = "Bien.";
      FEED_GENERIC_3                   = "¡Así se hace!";


      FEED_WEEKLY_1                    = "Una semana aceptable";
      FEED_WEEKLY_2                    = "En el podio";
      FEED_WEEKLY_3                    = "La vista es bonita desde aquí";


      FEED_UPUN_GENERIC_1              = "Valió la pena.";
      FEED_UPUN_GENERIC_2              = "¡Por fin!";

      FEED_UNLOCK_GENERIC_1            = "GENIAL";
      FEED_UNLOCK_GENERIC_2            = "Mira esto.";


      FEED_UNLOCK_CAR2                 = "¡Poder de imán!";

      FEED_UNLOCK_CAR3                 = "Mando de misiles";

      FEED_UNLOCK_CAR4_1               = "¡Hora del láser!";
      FEED_UNLOCK_CAR4_2               = "¡Piu, piu, piu!";

      FEED_UNLOCK_CAR5                 = "¡A disparar!";


      FEED_UPGRADE_MAIN                = "Más potencia de fuego";

      FEED_UNLOCK_TURRET               = "Torreta desbloqueada";

      FEED_UPGRADE_TURRET              = "Torreta mejorada";

      FEED_UNLOCK_SIDE                 = "Arma auxiliar desbloqueada";

      FEED_UPGRADE_SIDE                = "Arma auxiliar mejorada";

      FEED_UNLOCK_PAINT_1              = "Nueva pintura";
      FEED_UNLOCK_PAINT_2              = "¡Nuevo color favorito! =)";

      FEED_UPGRADE_ARMOR               = "Blindaje mejorado";

      FEED_LEVEL_UP                    = "¡Sube de nivel!";

      FEED_HIGH_SCORE_1                = "¡Nuevo récord!";
      FEED_HIGH_SCORE_2                = "¿Cuál decías que era tu récord? =)";

      FEED_MYSTERY_EPIC_1              = "¡Ja!";
      FEED_MYSTERY_EPIC_2              = "Ehhhh. Hala.";
      FEED_MYSTERY_EPIC_3              = "¡Ja, ja, ja, mira!";

      FEED_MYSTERY_JACKPOT_1           = "¡PREMIO GORDO!";
      FEED_MYSTERY_JACKPOT_2           = "Hala, ¡premio gordo! ¡Ja, ja, ja, ja!";

      FEED_MYSTERY_KEYS_1              = "¡Cuántas LLAVES!";
      FEED_MYSTERY_KEYS_2              = "Supongo que ahora puedo jugar para siempre. =)";


      FEED_MYSTERY_COINS_1             = "¡Cuántas MONEDAS!";
      FEED_MYSTERY_COINS_2             = "Es hora de mejorarlo TODO.";

      FEED_MYSTERY_GEMS_1              = "¡Cuántas GEMAS!";
      FEED_MYSTERY_GEMS_2              = "¡¿Cómo voy a gastarme tantas?!";

      FEED_MYSTERY_REVIVE              = "Reanimación gratuita";

      FEED_MISSION_COMPLETE_1          = "¡Misión completada!";
      FEED_MISSION_COMPLETE_2          = "Todo hecho.";

      FEED_DAILY_COMPLETE_1            = "¡Desafío aceptado!";
      FEED_DAILY_COMPLETE_2            = "¡Adiós, helicóptero!";

   },
   th =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "อ๊ะ! เกิดข้อผิดพลาดขึ้น\n\nโปรดตรวจสอบว่าคุณเปิดใช้งาน wi-fi หรือการรับส่งข้อมูลมือถือและลองอีกครั้ง";

      NATIVE_OK_BTN                    = "ตกลง";
      NATIVE_TRY_AGAIN                 = "โปรดลองอีกครั้ง";
      NATIVE_TRANS_FAIL                = "ธุรกรรมล้มเหลว";
      NATIVE_LOSE_PROGRESS             = "โปรดเตรียมพื้นที่ว่างในอุปกรณ์\nมิฉะนั้นคุณอาจสูญเสียการดำเนินการทั้งหมด!";
      NATIVE_CONNECT_ERROR             = "ข้อผิดพลาดในการเชื่อมต่อ";
      NATIVE_PURCH_DISABLED            = "การซื้อในแอปถูกปิดใช้งานบนอุปกรณ์นี้";
      NATIVE_CONNECT_TO_NET            = "โปรดตรวจสอบว่าอุปกรณ์ของคุณเชื่อมต่อกับอินเทอร์เน็ต";

      NATIVE_VIDEO_ERROR               = "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG           = "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE       =  "อ๊ะ! ข้อผิดพลาดของไฟล์";
      NATIVE_FILE_ERROR_MSG         =  "โปรดตรวจสอบว่าคุณมีพื้นที่ว่างในอุปกรณ์เพียงพอสำหรับการบันทึก";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "ต้องมีการอัปเดต";
      NATIVE_UPDATE_MSG                = "คุณกำลังใช้ Road Riot รุ่นเก่า ซึ่งขาดการอัปเดตที่สำคัญ โปรดอัปเดตเพื่อเล่นต่อ";

      NATIVE_AUTH_ERROR_TITLE_1        = "ข้อผิดพลาดของการตรวจสอบสิทธิ์";
      NATIVE_AUTH_ERROR_TITLE_2        = "ต้องมีการยืนยัน";

      NATIVE_NOT_ONLINE_TITLE          = "ข้อผิดพลาด";
      NATIVE_NOT_ONLINE_MSG            = "คุณต้องออนไลน์\nเพื่อลงชื่อเข้าใช้ Tango";

      NATIVE_DAILY_TITLE               = "การแข่งขันประจำวันถูกล็อก";
      NATIVE_DAILY_MSG_1C1             = "คุณต้องอยู่ระดับ ";
      NATIVE_DAILY_MSG_1C2             = " เพื่อปลดล็อกการแข่งขันประจำวัน";
      NATIVE_DAILY_MSG_2               = "เพิ่มระดับเพื่อปลดล็อกการแข่งขันประจำวัน";

      NATIVE_MISSION_TITLE             = "ภารกิจถูกล็อก";
      NATIVE_MISSION_MSG_1C1           = "คุณต้องอยู่ระดับ ";
      NATIVE_MISSION_MSG_1C2           = " เพื่อปลดล็อกภารกิจ";
      NATIVE_MISSION_MSG_2             = "เพิ่มระดับเพื่อปลดล็อกภารกิจ";

      NATIVE_NO_CONTACTS_TITLE         = "ไม่พบผู้ติดต่อ Tango";
      NATIVE_NO_CONTACTS_MSG           = "ในการตั้งค่า Tango ให้ตั้ง \"บันทึกสมุดที่อยู่\" เป็นเปิด";
      NATIVE_NO_CONTACTS_BTN           = "เปิด Tango";

      NATIVE_LOAD_ERROR_TITLE          = "ข้อผิดพลาดในการโหลดไฟล์ข้อมูลของคุณ";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "ไม่มีผู้ติดต่อ Tango!";
      NATIVE_CONTACTS_UNAVAL_MSG       = "ในการตั้งค่าความเป็นส่วนตัวในโทรศัพท์ของคุณ ให้เปิดใช้งานการเข้าถึงผู้ติดต่อสำหรับ Tango";

      NATIVE_INSTALL_TANGO_TITLE1      = "ไม่มี Tango!";
      NATIVE_INSTALL_TANGO_MSG1        = "ต้องติดตั้ง Tango\nเพื่อเชื่อมต่อและเล่น";
      NATIVE_INSTALL_TANGO_BTN1        = "ติดตั้ง";

      NATIVE_INSTALL_TANGO_TITLE2      = "Tango รุ่นเก่า";
      NATIVE_INSTALL_TANGO_MSG2        = "ต้องอัปเดต Tango รุ่นที่ติดตั้งในอุปกรณ์นี้\nเพื่อเชื่อมต่อและเล่น";
      NATIVE_INSTALL_TANGO_BTN2        = "อัปเดต";

      NATIVE_SERVER_ERROR_TITLE        = "อ๊ะ! เกิดข้อผิดพลาดขึ้น";

      FEED_GENERIC_1                   = "ฮ่าฮ่า!";
      FEED_GENERIC_2                   = "เจ๋ง";
      FEED_GENERIC_3                   = "แปะมือหน่อย!";


      FEED_WEEKLY_1                    = "สัปดาห์นี้ไม่แย่เท่าไหร่";
      FEED_WEEKLY_2                    = "อยู่บนโพเดียม";
      FEED_WEEKLY_3                    = "บนนี้วิวดีมาก";


      FEED_UPUN_GENERIC_1              = "คุ้มค่ามาก";
      FEED_UPUN_GENERIC_2              = "ในที่สุด!";

      FEED_UNLOCK_GENERIC_1            = "เยี่ยม";
      FEED_UNLOCK_GENERIC_2            = "ดูนี่สิ";


      FEED_UNLOCK_CAR2                 = "พลังแม่เหล็ก!";

      FEED_UNLOCK_CAR3                 = "คำสั่งระเบิดมิสไซล์";

      FEED_UNLOCK_CAR4_1               = "ได้เวลายิงเลเซอร์!";
      FEED_UNLOCK_CAR4_2               = "ปิ้ว ปิ้ว ปิ้ว!";

      FEED_UNLOCK_CAR5                 = "ระเบิดไปเลย!";

      FEED_UPGRADE_MAIN                = "เพิ่มพลังการยิงอีก";

      FEED_UNLOCK_TURRET               = "ปลดล็อกป้อมปืนได้แล้ว";

      FEED_UPGRADE_TURRET              = "อัปเกรดป้อมปืนแล้ว";

      FEED_UNLOCK_SIDE                 = "ปลดล็อกอาวุธที่ด้านข้างรถได้แล้ว";

      FEED_UPGRADE_SIDE                = "อัปเกรดอาวุธที่ด้านข้างรถแล้ว";

      FEED_UNLOCK_PAINT_1              = "สีรถใหม่";
      FEED_UNLOCK_PAINT_2              = "สีโปรดสีใหม่เลย! =)";

      FEED_UPGRADE_ARMOR               = "อัปเกรดเกราะแล้ว";

      FEED_LEVEL_UP                    = "เลื่อนระดับ!";

      FEED_HIGH_SCORE_1                = "คะแนนสูงใหม่!";
      FEED_HIGH_SCORE_2                = "คะแนนสูงของคุณคือเท่าไหร่นะ =)";

      FEED_MYSTERY_EPIC_1              = "ฮา!";
      FEED_MYSTERY_EPIC_2              = "เอ่ออออ สุดยอด";
      FEED_MYSTERY_EPIC_3              = "ฮ่าฮ่าฮ่า ดูสิ!";

      FEED_MYSTERY_JACKPOT_1           = "แจ็กพอต!";
      FEED_MYSTERY_JACKPOT_2           = "โอ้โห แจ็กพอต! ฮ่าฮ่าฮ่าฮ่าฮ่า!";

      FEED_MYSTERY_KEYS_1              = "กุญแจเต็มไปหมดเลย!";
      FEED_MYSTERY_KEYS_2              = "สงสัยเล่นได้ตลอดชีวิตแล้วคราวนี้ =)";


      FEED_MYSTERY_COINS_1             = "เหรียญเต็มไปหมดเลย!";
      FEED_MYSTERY_COINS_2             = "ต้องอัปเกรดทุกอย่างแล้วคราวนี้";

      FEED_MYSTERY_GEMS_1              = "เพชรเต็มไปหมดเลย!";
      FEED_MYSTERY_GEMS_2              = "จะใช้ให้หมดได้อย่างไรเนี่ย";

      FEED_MYSTERY_REVIVE              = "ฟื้นชีวิตฟรี";

      FEED_MISSION_COMPLETE_1          = "ภารกิจสำเร็จ!";
      FEED_MISSION_COMPLETE_2          = "จบสิ้นกันที";

      FEED_DAILY_COMPLETE_1            = "ได้เลย!";
      FEED_DAILY_COMPLETE_2            = "ลาก่อนนะเฮลิคอปเตอร์!";

   },

   ja =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "困りましたね。エラーが発生しました。\n\nWi-Fi またはモバイルデータが有効になっているか確認してからもう一度試してください。";

      NATIVE_OK_BTN                    = "OK";
      NATIVE_TRY_AGAIN                 = "再試行してください";
      NATIVE_TRANS_FAIL                = "処理に失敗しました";
      NATIVE_LOSE_PROGRESS             = "デバイスの空き容量を増やしてください。\nこれまでの作業がすべて失われます！";
      NATIVE_CONNECT_ERROR             = "接続エラー";
      NATIVE_PURCH_DISABLED            = "このデバイスのアプリ内課金が無効になっています";
      NATIVE_CONNECT_TO_NET            = "デバイスがインターネットに接続されているか確認してください。";

      NATIVE_VIDEO_ERROR               = "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG           = "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE       =  "困りましたね。ファイルエラー";
      NATIVE_FILE_ERROR_MSG         =  "デバイスに十分な空き容量を確保してから保存してください。";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "アップデートが必要です";
      NATIVE_UPDATE_MSG                = "実行中の Road Riot は旧バージョンのため、必須アップデートが行われていません。アップデートしてからお楽しみください。";

      NATIVE_AUTH_ERROR_TITLE_1        = "認証エラー";
      NATIVE_AUTH_ERROR_TITLE_2        = "確認が必要です";

      NATIVE_NOT_ONLINE_TITLE          = "エラー";
      NATIVE_NOT_ONLINE_MSG            = "オンラインで\nタンゴ\nにサインインする必要があります";

      NATIVE_DAILY_TITLE               = "デイリーチャレンジはロックされています";
      NATIVE_DAILY_MSG_1C1             = "レベル ";
      NATIVE_DAILY_MSG_1C2             = " になるとデイリーチャレンジのロックが解除されます";
      NATIVE_DAILY_MSG_2               = "レベルアップしてデイリーチャレンジのロックを解除しましょう";

      NATIVE_MISSION_TITLE             = "ミッションはロックされています";
      NATIVE_MISSION_MSG_1C1           = "レベル ";
      NATIVE_MISSION_MSG_1C2           = " になるとミッションのロックが解除されます";
      NATIVE_MISSION_MSG_2             = "レベルアップしてミッションのロックを解除しましょう";

      NATIVE_NO_CONTACTS_TITLE         = "タンゴ連絡先が見つかりません";
      NATIVE_NO_CONTACTS_MSG           = "タンゴ設定で、[アドレス帳の保存] をオンに設定してください。";
      NATIVE_NO_CONTACTS_BTN           = "タンゴを開く";

      NATIVE_LOAD_ERROR_TITLE          = "データファイルをロード中にエラーが発生しました";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "利用できるタンゴ連絡先はありません！";
      NATIVE_CONTACTS_UNAVAL_MSG       = "電話のプライバシー設定で、タンゴによる連絡先へのアクセスを有効にしてください。";

      NATIVE_INSTALL_TANGO_TITLE1      = "タンゴがありません！";
      NATIVE_INSTALL_TANGO_MSG1        = "Connect & Play\nにタンゴをインストールする必要があります。";
      NATIVE_INSTALL_TANGO_BTN1        = "インストール";

      NATIVE_INSTALL_TANGO_TITLE2      = "旧バージョンのタンゴがインストールされています。";
      NATIVE_INSTALL_TANGO_MSG2        = "このデバイスにインストールされているタンゴのバージョンを\nConnect & Play でアップデートしてください。";
      NATIVE_INSTALL_TANGO_BTN2        = "アップデート";

      NATIVE_SERVER_ERROR_TITLE        = "困りましたね。エラーが発生しました";

      FEED_GENERIC_1                   = "あはは！";
      FEED_GENERIC_2                   = "ナイス";
      FEED_GENERIC_3                   = "ハイタッチ！";


      FEED_WEEKLY_1                    = "まあまあの一週間です";
      FEED_WEEKLY_2                    = "表彰台に立っています";
      FEED_WEEKLY_3                    = "ここからの眺めは最高です";


      FEED_UPUN_GENERIC_1              = "やって良かった。";
      FEED_UPUN_GENERIC_2              = "ついに！";

      FEED_UNLOCK_GENERIC_1            = "すばらしい";
      FEED_UNLOCK_GENERIC_2            = "チェックしてみて。";


      FEED_UNLOCK_CAR2                 = "マグネットパワー！";

      FEED_UNLOCK_CAR3                 = "ミサイルコマンド";

      FEED_UNLOCK_CAR4_1               = "レーザータイム！";
      FEED_UNLOCK_CAR4_2               = "ピュー、ピュー、ピュー！";

      FEED_UNLOCK_CAR5                 = "大満足！";


      FEED_UPGRADE_MAIN                = "ファイヤーパワー";

      FEED_UNLOCK_TURRET               = "砲塔解除";

      FEED_UPGRADE_TURRET              = "砲塔アップグレード";

      FEED_UNLOCK_SIDE                 = "サイドウェポン解除";

      FEED_UPGRADE_SIDE                = "サイドウェポン解除";

      FEED_UNLOCK_PAINT_1              = "新規塗装";
      FEED_UNLOCK_PAINT_2              = "新しいお気に入りのカラー！=)";

      FEED_UPGRADE_ARMOR               = "装甲アップグレード";

      FEED_LEVEL_UP                    = "レベルアップ！";

      FEED_HIGH_SCORE_1                = "新ハイスコア！";
      FEED_HIGH_SCORE_2                = "ハイスコアをもう一度教えてください。=)";

      FEED_MYSTERY_EPIC_1              = "（笑）";
      FEED_MYSTERY_EPIC_2              = "あぁー。うわー。";
      FEED_MYSTERY_EPIC_3              = "ははは。見てごらん！";

      FEED_MYSTERY_JACKPOT_1           = "大当たり！";
      FEED_MYSTERY_JACKPOT_2           = "やった！大当たり！ははは！";

      FEED_MYSTERY_KEYS_1              = "キーがたくさんある！";
      FEED_MYSTERY_KEYS_2              = "いつまででもプレイできるようになった。=)";


      FEED_MYSTERY_COINS_1             = "コインがたくさんある！";
      FEED_MYSTERY_COINS_2             = "全部をアップグレードする時間";

      FEED_MYSTERY_GEMS_1              = "宝石がたくさんある！";
      FEED_MYSTERY_GEMS_2              = "これらをどうやって使おう！？";

      FEED_MYSTERY_REVIVE              = "無料回復";

      FEED_MISSION_COMPLETE_1          = "ミッション完了！";
      FEED_MISSION_COMPLETE_2          = "完全終了";

      FEED_DAILY_COMPLETE_1            = "チャレンジ承認！";
      FEED_DAILY_COMPLETE_2            = "ヘリコプターさようなら！";
   },

   tr =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "Hay Allah! Bir hata oluştu.\n\nLütfen kablosuz bağlantınızın veya mobil veri erişiminizin etkin olduğunu kontrol edin ve tekrar deneyin.";
      NATIVE_OK_BTN                    = "Tamam";
      NATIVE_TRY_AGAIN                 = "Lütfen tekrar deneyin";
      NATIVE_TRANS_FAIL                = "İşlem Başarısız";
      NATIVE_LOSE_PROGRESS             = "Lütfen cihazınızda kullanılabilir disk alanı olduğundan emin olun\nİlerlemenizin tümünü kaybedebilirsiniz!";
      NATIVE_CONNECT_ERROR             = "Bağlantı Hatası";
      NATIVE_PURCH_DISABLED            = "Bu cihazda uygulama içi satın almalar devre dışı";
      NATIVE_CONNECT_TO_NET            = "Lütfen cihazınızın İnternete bağlı olduğundan emin olun.";

      NATIVE_VIDEO_ERROR               = "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG           = "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE       =  "Hay Allah! Dosya Hatası";
      NATIVE_FILE_ERROR_MSG         =  "Lütfen cihazınızda kaydetmek için yeterli boş alan olduğundan emin olun.";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "Güncelleme Gerekiyor";
      NATIVE_UPDATE_MSG                = "Cihazınızda çalışan Road Riot sürümü eski bir sürüm ve önemli güncellemeleri eksik. Oynamaya devam etmek için lütfen güncelleyin.";

      NATIVE_AUTH_ERROR_TITLE_1        = "Kimlik Doğrulama Hatası";
      NATIVE_AUTH_ERROR_TITLE_2        = "Doğrulama gerekiyor";

      NATIVE_NOT_ONLINE_TITLE          = "Hata";
      NATIVE_NOT_ONLINE_MSG            = "Tango ile oturum açmak\n için çevrimiçi olmanız gerekir";

      NATIVE_DAILY_TITLE               = "Günlük Zorluklar kilitli";
      NATIVE_DAILY_MSG_1C1             = "Günlük Zorlukların kilidini açmak için  ";
      NATIVE_DAILY_MSG_1C2             = " seviyeyi artırmanız gerekir";
      NATIVE_DAILY_MSG_2               = "Günlük Zorlukların kilidini açmak için seviyeyi artırın";

      NATIVE_MISSION_TITLE             = "Görevler kilitli";
      NATIVE_MISSION_MSG_1C1           = "Görevlerin kilidini açmak için  ";
      NATIVE_MISSION_MSG_1C2           = " seviyeyi artırmanız gerekir";
      NATIVE_MISSION_MSG_2             = "Görevlerin kilidini açmak için seviyeyi artırın";

      NATIVE_NO_CONTACTS_TITLE         = "Hiçbir Tango kişisi bulunamadı";
      NATIVE_NO_CONTACTS_MSG           = "Tango ayarlarında, 'Adres Defterine Kaydet' seçeneğini etkinleştirin.";
      NATIVE_NO_CONTACTS_BTN           = "Tango'yu Aç";

      NATIVE_LOAD_ERROR_TITLE          = "Veri Dosyanız Yüklenirken Hata Oluştu";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "Hiçbir Tango kişisi mevcut değil!";
      NATIVE_CONTACTS_UNAVAL_MSG       = "Telefonunuzun gizlilik ayarlarında Tango kişi erişimine izin verin.";

      NATIVE_INSTALL_TANGO_TITLE1      = "Tango eksik!";
      NATIVE_INSTALL_TANGO_MSG1        = "Tango, \nBağlan ve Oyna'ya yüklenmelidir.";
      NATIVE_INSTALL_TANGO_BTN1        = "Yükle";

      NATIVE_INSTALL_TANGO_TITLE2      = "Tango güncel değil.";
      NATIVE_INSTALL_TANGO_MSG2        = "Bu cihazda yüklü olan Tango sürümü Bağlan ve Oyna'da \ngüncellenmelidir.";
      NATIVE_INSTALL_TANGO_BTN2        = "Güncelle";

      NATIVE_SERVER_ERROR_TITLE        = "Hay Allah! Bir hata oluştu.";

      FEED_GENERIC_1                   = "Haha!";
      FEED_GENERIC_2                   = "Nice.";
      FEED_GENERIC_3                   = "çak bir beşlik!";


      FEED_WEEKLY_1                    = "Kötü bir hafta değildi";
      FEED_WEEKLY_2                    = "Platformda";
      FEED_WEEKLY_3                    = "Buranın manzarası çok hoş";


      FEED_UPUN_GENERIC_1              = "Buna değdi.";
      FEED_UPUN_GENERIC_2              = "Sonunda!";

      FEED_UNLOCK_GENERIC_1            = "MÜTHİŞ";
      FEED_UNLOCK_GENERIC_2            = "Şuna bir bak.";


      FEED_UNLOCK_CAR2                 = "Mıknatıs gücü!";

      FEED_UNLOCK_CAR3                 = "Füze Komutu";

      FEED_UNLOCK_CAR4_1               = "Lazer Zamanı!";
      FEED_UNLOCK_CAR4_2               = "Dışın dışın!";

      FEED_UNLOCK_CAR5                 = "Çek git buradan!";


      FEED_UPGRADE_MAIN                = "Daha fazla atış gücü";

      FEED_UNLOCK_TURRET               = "Döner Kule Kilidi Açıldı";

      FEED_UPGRADE_TURRET              = "Döner Kule Yükseltildi";

      FEED_UNLOCK_SIDE                 = "Yan Silahın Kilidi Açıldı";

      FEED_UPGRADE_SIDE                = "Yan Silah Yükseltildi";

      FEED_UNLOCK_PAINT_1              = "Yeni Boyama İşi";
      FEED_UNLOCK_PAINT_2              = "yeni favori rengim! =)";

      FEED_UPGRADE_ARMOR               = "Zırh Yükseltildi";

      FEED_LEVEL_UP                    = "Seviye Atladın!";

      FEED_HIGH_SCORE_1                = "Yeni Yüksek Skor!";
      FEED_HIGH_SCORE_2                = "en yüksek skorun neydi? =)";

      FEED_MYSTERY_EPIC_1              = "çok komik!";
      FEED_MYSTERY_EPIC_2              = "ah. vaov.";
      FEED_MYSTERY_EPIC_3              = "hahaha, baksana!";

      FEED_MYSTERY_JACKPOT_1           = "BÜYÜK İKRAMİYE!";
      FEED_MYSTERY_JACKPOT_2           = "aman tanrım büyük ikramiye! hahahahaha!";

      FEED_MYSTERY_KEYS_1              = "Bir sürü ANAHTAR!";
      FEED_MYSTERY_KEYS_2              = "sanırım artık sonsuza kadar oynayabilirim. =)";


      FEED_MYSTERY_COINS_1             = "Bir sürü PARA!";
      FEED_MYSTERY_COINS_2             = "HER ŞEYİ yükseltme zamanı geldi";

      FEED_MYSTERY_GEMS_1              = "Bir sürü MÜCEVHER!";
      FEED_MYSTERY_GEMS_2              = "bunların hepsini nasıl harcayacağım şimdi?!";

      FEED_MYSTERY_REVIVE              = "Ücretsiz Diriltme";

      FEED_MISSION_COMPLETE_1          = "Görev Tamamlandı!";
      FEED_MISSION_COMPLETE_2          = "bitti, bu da bitti";

      FEED_DAILY_COMPLETE_1            = "Meydan Okuma Kabul Edildi!";
      FEED_DAILY_COMPLETE_2            = "bay bay helikopter!";
   },

   ru =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "Извините! Произошла ошибка.\n\nПроверьте, включена ли сеть wi-fi или передача мобильных данных, и повторите попытку.";

      NATIVE_OK_BTN                    = "Ok";
      NATIVE_TRY_AGAIN                 = "Повторите попытку";
      NATIVE_TRANS_FAIL                = "Ошибка транзакции";
      NATIVE_LOSE_PROGRESS             = "Освободите немного места на устройстве\nВаши текущие результаты могут не сохраниться!";
      NATIVE_CONNECT_ERROR             = "Ошибка подключения";
      NATIVE_PURCH_DISABLED            = "Покупки из приложения на этом устройстве отключены";
      NATIVE_CONNECT_TO_NET            = "Проверьте, подключено ли устройство к Интернету.";

      NATIVE_VIDEO_ERROR               = "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG           = "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE       =  "Извините! Ошибка файла";
      NATIVE_FILE_ERROR_MSG         =  "Проверьте, достаточно ли места на устройстве для сохранения.";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "Требуется обновление";
      NATIVE_UPDATE_MSG                = "У вас устаревшая версия игры Road Riot, в которой отсутствуют важные обновления. Выполните обновление, чтобы продолжить играть.";

      NATIVE_AUTH_ERROR_TITLE_1        = "Ошибка аутентификации";
      NATIVE_AUTH_ERROR_TITLE_2        = "Требуется проверка";

      NATIVE_NOT_ONLINE_TITLE          = "Ошибка";
      NATIVE_NOT_ONLINE_MSG            = "Для входа в Tango\n требуется подключение к Интернету";

      NATIVE_DAILY_TITLE               = "Задания дня заблокированы";
      NATIVE_DAILY_MSG_1C1             = "У вас недостаточно очков, ";
      NATIVE_DAILY_MSG_1C2             = " чтобы разблокировать задания дня";
      NATIVE_DAILY_MSG_2               = "Наберите достаточное количество очков, чтобы разблокировать задания дня";

      NATIVE_MISSION_TITLE             = "Миссии заблокированы";
      NATIVE_MISSION_MSG_1C1           = "У вас недостаточно очков, ";
      NATIVE_MISSION_MSG_1C2           = " чтобы разблокировать миссии";
      NATIVE_MISSION_MSG_2             = "Наберите достаточное количество очков, чтобы разблокировать миссии";

      NATIVE_NO_CONTACTS_TITLE         = "Контакты Tango не обнаружены";
      NATIVE_NO_CONTACTS_MSG           = "В настройках Tango установите параметр «Сохранить адресную книгу».";
      NATIVE_NO_CONTACTS_BTN           = "Открыть Tango";

      NATIVE_LOAD_ERROR_TITLE          = "Ошибка при загрузке файла данных";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "Нет доступных контактов Tango!";
      NATIVE_CONTACTS_UNAVAL_MSG       = "В настройках конфиденциальности телефона откройте для Tango доступ к контактам.";

      NATIVE_INSTALL_TANGO_TITLE1      = "Приложение Tango не установлено!";
      NATIVE_INSTALL_TANGO_MSG1        = "Чтобы подключиться и играть, \nдолжно быть установлено приложение Tango.";
      NATIVE_INSTALL_TANGO_BTN1        = "Установить";

      NATIVE_INSTALL_TANGO_TITLE2      = "Версия Tango устарела";
      NATIVE_INSTALL_TANGO_MSG2        = "Чтобы подключиться и играть, \nнеобходимо обновить версию приложения Tango, установленного на устройстве.";
      NATIVE_INSTALL_TANGO_BTN2        = "Обновить";

      NATIVE_SERVER_ERROR_TITLE        = "Извините! Произошла ошибка";

      FEED_GENERIC_1                   = "Ха-ха!";
      FEED_GENERIC_2                   = "Неплохо.";
      FEED_GENERIC_3                   = "Привет!";


      FEED_WEEKLY_1                    = "Отличная неделя";
      FEED_WEEKLY_2                    = "На подиуме";
      FEED_WEEKLY_3                    = "Отсюда открывается прекрасный вид";


      FEED_UPUN_GENERIC_1              = "Оно того стоит.";
      FEED_UPUN_GENERIC_2              = "Наконец-то!";

      FEED_UNLOCK_GENERIC_1            = "ОТЛИЧНО";
      FEED_UNLOCK_GENERIC_2            = "Зацените.";


      FEED_UNLOCK_CAR2                 = "Сила магнита!";

      FEED_UNLOCK_CAR3                 = "Управление ракетами";

      FEED_UNLOCK_CAR4_1               = "Подготовить лазеры!";
      FEED_UNLOCK_CAR4_2               = "Пиу-пиу-пиу!";

      FEED_UNLOCK_CAR5                 = "Оторвитесь в игре!";


      FEED_UPGRADE_MAIN                = "Невероятная сила огня";

      FEED_UNLOCK_TURRET               = "Огневая установка разблокирована";

      FEED_UPGRADE_TURRET              = "Огневая установка обновлена";

      FEED_UNLOCK_SIDE                 = "Боковое оружие разблокировано";

      FEED_UPGRADE_SIDE                = "Боковое оружие обновлено";

      FEED_UNLOCK_PAINT_1              = "Новая цветовая гамма";
      FEED_UNLOCK_PAINT_2              = "Новый любимый цвет! =)";

      FEED_UPGRADE_ARMOR               = "Броня обновлена";

      FEED_LEVEL_UP                    = "Наберите достаточное количество очков!";

      FEED_HIGH_SCORE_1                = "Новый рекорд!";
      FEED_HIGH_SCORE_2                = "Сколько очков вы набрали в этот раз? =)";

      FEED_MYSTERY_EPIC_1              = "Ржу не могу!";
      FEED_MYSTERY_EPIC_2              = "Ух. Ого.";
      FEED_MYSTERY_EPIC_3              = "Ха-ха-ха, посмотрите на это!";

      FEED_MYSTERY_JACKPOT_1           = "ПОБЕДА!";
      FEED_MYSTERY_JACKPOT_2           = "Невероятно! Победа! Ха-ха-ха-ха-ха!";

      FEED_MYSTERY_KEYS_1              = "Столько КЛЮЧЕЙ!";
      FEED_MYSTERY_KEYS_2              = "Мне кажется, что теперь я могу играть бесконечно. =)";


      FEED_MYSTERY_COINS_1             = "Столько МОНЕТ!";
      FEED_MYSTERY_COINS_2             = "Пора обновить ВСЕ";

      FEED_MYSTERY_GEMS_1              = "Столько ДРАГОЦЕННЫХ КАМНЕЙ!";
      FEED_MYSTERY_GEMS_2              = "Как мне удастся все это использовать?!";

      FEED_MYSTERY_REVIVE              = "Дополнительная жизнь без использования очков";

      FEED_MISSION_COMPLETE_1          = "Задача выполнена!";
      FEED_MISSION_COMPLETE_2          = "Готово";

      FEED_DAILY_COMPLETE_1            = "Вызов принят!";
      FEED_DAILY_COMPLETE_2            = "Прощай, вертолет!";

   },

   ko =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "죄송합니다. 오류가 발생하였습니다.\n\nWi-Fi 또는 모바일 데이터를 활성화시켰는지 확인하고 다시 시도하십시오.";

      NATIVE_OK_BTN                    = "확인";
      NATIVE_TRY_AGAIN                 = "다시 시도하십시오";
      NATIVE_TRANS_FAIL                = "트랜잭션 실패";
      NATIVE_LOSE_PROGRESS             = "장치에서 빈 공간을 확보하십시오\n모든 진행 과정이 사라질 수 있습니다!";
      NATIVE_CONNECT_ERROR             = "연결 오류";
      NATIVE_PURCH_DISABLED            = "이 장치에서는 앱내 구매가 비활성화되어 있습니다.";
      NATIVE_CONNECT_TO_NET            = "장치가 인터넷에 연결되어 있는지 확인하십시오.";

      NATIVE_VIDEO_ERROR               = "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG           = "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE          = "죄송합니다. 파일 오류";
      NATIVE_FILE_ERROR_MSG            = "장치에 저장을 위한 충분한 공간이 있는지 확인하십시오.";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "업데이트 필요함";
      NATIVE_UPDATE_MSG                = "중요 업데이트가 되어있지 않은 구형 Road Riot 버전을 실행하고 있습니다. 업데이트하여 재생을 계속하십시오.";

      NATIVE_AUTH_ERROR_TITLE_1        = "인증 오류";
      NATIVE_AUTH_ERROR_TITLE_2        = "확인이 필요합니다.";

      NATIVE_NOT_ONLINE_TITLE          = "오류";
      NATIVE_NOT_ONLINE_MSG            = "Tango에 로그인하려면\n온라인 상태여야 합니다.";

      NATIVE_DAILY_TITLE               = "매일의 도전이 잠겨 있습니다";
      NATIVE_DAILY_MSG_1C1             = "매일의 도전 잠금을 해제하려면 ";
      NATIVE_DAILY_MSG_1C2             = " 레벨 이상이어야 합니다.";
      NATIVE_DAILY_MSG_2               = "매일의 도전 잠금을 해제할 수 있도록 레벨을 올리십시오.";

      NATIVE_MISSION_TITLE             = "미션이 잠겨있습니다";
      NATIVE_MISSION_MSG_1C1           = "미션 잠금을 해제하려면 ";
      NATIVE_MISSION_MSG_1C2           = " 레벨 이상이어야 합니다.";
      NATIVE_MISSION_MSG_2             = "미션 잠금을 해제할 수 있도록 레벨을 올리십시오.";

      NATIVE_NO_CONTACTS_TITLE         = "Tango 연락처 없음";
      NATIVE_NO_CONTACTS_MSG           = "Tango 설정에서 '주소록 저장'을 켜십시오.";
      NATIVE_NO_CONTACTS_BTN           = "Tango 열기";

      NATIVE_LOAD_ERROR_TITLE          = "데이터 파일을 로딩하는 중 오류가 발생하였습니다";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "Tango 연락처를 이용할 수 없습니다!";
      NATIVE_CONTACTS_UNAVAL_MSG       = "휴대폰의 개인 정보 보호 설정에서 Tango의 연락처 접근을 허용하십시오.";

      NATIVE_INSTALL_TANGO_TITLE1      = "Tango가 없습니다!";
      NATIVE_INSTALL_TANGO_MSG1        = "연결 및 플레이하려면\nTango가 설치되어 있어야 합니다.";
      NATIVE_INSTALL_TANGO_BTN1        = "설치";

      NATIVE_INSTALL_TANGO_TITLE2      = "Tango가 최신 버전이 아닙니다.";
      NATIVE_INSTALL_TANGO_MSG2        = "연결 및 플레이하려면 장치에 설치된\nTango 버전이 업데이트되어야 합니다.";
      NATIVE_INSTALL_TANGO_BTN2        = "업데이트";

      NATIVE_SERVER_ERROR_TITLE        = "죄송합니다. 오류가 발생하였습니다.";

      FEED_GENERIC_1                   = "하하!";
      FEED_GENERIC_2                   = "나이스.";
      FEED_GENERIC_3                   = "하이 파이브!";


      FEED_WEEKLY_1                    = "나쁘지 않은 주";
      FEED_WEEKLY_2                    = "수상대에 오르다";
      FEED_WEEKLY_3                    = "여기 경치가 좋다";


      FEED_UPUN_GENERIC_1              = "그럴 가치가 있다.";
      FEED_UPUN_GENERIC_2              = "드디어!";

      FEED_UNLOCK_GENERIC_1            = "굉장하다";
      FEED_UNLOCK_GENERIC_2            = "확인해봐.";


      FEED_UNLOCK_CAR2                 = "마그넷 파워!";

      FEED_UNLOCK_CAR3                 = "미사일 커멘드";

      FEED_UNLOCK_CAR4_1               = "레이저 타임!";
      FEED_UNLOCK_CAR4_2               = "펑 펑 펑!";

      FEED_UNLOCK_CAR5                 = "날려버려!";


      FEED_UPGRADE_MAIN                = "더욱 강력한 화력";

      FEED_UNLOCK_TURRET               = "터럿 해제";

      FEED_UPGRADE_TURRET              = "터럿 업그레이드";

      FEED_UNLOCK_SIDE                 = "사이드 무기 해제";

      FEED_UPGRADE_SIDE                = "사이드 무기 업그레이드";

      FEED_UNLOCK_PAINT_1              = "새로운 페인트칠";
      FEED_UNLOCK_PAINT_2              = "가장 좋아하는 새로운 색! =)";

      FEED_UPGRADE_ARMOR               = "갑옷 업그레이드";

      FEED_LEVEL_UP                    = "레벨 업!";

      FEED_HIGH_SCORE_1                = "신기록!";
      FEED_HIGH_SCORE_2                = "신기록이 얼마라고요? =)";

      FEED_MYSTERY_EPIC_1              = "LOL!";
      FEED_MYSTERY_EPIC_2              = "으으으으. 와.";
      FEED_MYSTERY_EPIC_3              = "하하하, 봐!";

      FEED_MYSTERY_JACKPOT_1           = "잭팟!";
      FEED_MYSTERY_JACKPOT_2           = "세상에 잭팟! 하하하하하!";

      FEED_MYSTERY_KEYS_1              = "키가 너무 많아!";
      FEED_MYSTERY_KEYS_2              = "게임을 영원히 할 수 있을 것 같아. =)";


      FEED_MYSTERY_COINS_1             = "코인이 너무 많아!";
      FEED_MYSTERY_COINS_2             = "모든 것을 업그레이드할 시간";

      FEED_MYSTERY_GEMS_1              = "보석이 너무 많아!";
      FEED_MYSTERY_GEMS_2              = "이걸 언제 다 쓰지?!";

      FEED_MYSTERY_REVIVE              = "무료 부활";

      FEED_MISSION_COMPLETE_1          = "미션 완료!";
      FEED_MISSION_COMPLETE_2          = "이행해야 할 약속";

      FEED_DAILY_COMPLETE_1            = "승부 수락!";
      FEED_DAILY_COMPLETE_2            = "헬리콥터 바이 바이!";
   },

   it =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "Errore. Si è verificato un errore.\n\nVerificare la connessione dati Wi-Fi o mobile e riprovare.";

      NATIVE_OK_BTN                    = "Ok";
      NATIVE_TRY_AGAIN                 = "Riprovare";
      NATIVE_TRANS_FAIL                = "Transazione non riuscita";
      NATIVE_LOSE_PROGRESS             = "Liberare spazio sul dispositivo\nTutte le azioni precedenti potrebbero andare perse";
      NATIVE_CONNECT_ERROR             = "Errore di connessione";
      NATIVE_PURCH_DISABLED            = "Gli acquisti in-app non sono abilitati sul dispositivo";
      NATIVE_CONNECT_TO_NET            = "Verificare che il dispositivo sia connesso a Internet.";

      NATIVE_VIDEO_ERROR               = "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG           = "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE       =  "Errore. Errore file";
      NATIVE_FILE_ERROR_MSG         =  "Verificare che sul dispositivo sia presente spazio a sufficienza per il salvataggio.";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "Aggiornamento richiesto";
      NATIVE_UPDATE_MSG                = "È in corso una versione precedente di Road Riot a cui mancano importanti aggiornamenti. Eseguire l'aggiornamento per continuare a giocare.";

      NATIVE_AUTH_ERROR_TITLE_1        = "Errore di autenticazione";
      NATIVE_AUTH_ERROR_TITLE_2        = "Verifica richiesta";

      NATIVE_NOT_ONLINE_TITLE          = "Errore";
      NATIVE_NOT_ONLINE_MSG            = "Per l'accesso tramite Tango è necessaria la connessione online\n";

      NATIVE_DAILY_TITLE               = "Sfide del giorno bloccate";
      NATIVE_DAILY_MSG_1C1             = "È necessario aver raggiunto il livello ";
      NATIVE_DAILY_MSG_1C2             = " per sboccare le Sfide del giorno";
      NATIVE_DAILY_MSG_2               = "Passa di livello per sbloccare le Sfide del giorno";

      NATIVE_MISSION_TITLE             = "Missioni bloccate";
      NATIVE_MISSION_MSG_1C1           = "È necessario aver raggiunto il livello ";
      NATIVE_MISSION_MSG_1C2           = " per sboccare le Missioni";
      NATIVE_MISSION_MSG_2             = "Passa di livello per sbloccare le Missioni";

      NATIVE_NO_CONTACTS_TITLE         = "Nessun contatto Tango trovato";
      NATIVE_NO_CONTACTS_MSG           = "Impostare Salva rubrica su ON nelle impostazioni di Tango.";
      NATIVE_NO_CONTACTS_BTN           = "Apri Tango";

      NATIVE_LOAD_ERROR_TITLE          = "Errore durante il caricamento del file di dati";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "Nessun contatto Tango disponibile";
      NATIVE_CONTACTS_UNAVAL_MSG       = "Nelle impostazioni sulla privacy del telefono, abilitare il contatto per l'accesso a Tango.";

      NATIVE_INSTALL_TANGO_TITLE1      = "Impossibile trovare Tango.";
      NATIVE_INSTALL_TANGO_MSG1        = "Installare Tango \nper accedere a Connetti e gioca.";
      NATIVE_INSTALL_TANGO_BTN1        = "Installa";

      NATIVE_INSTALL_TANGO_TITLE2      = "Tango non è aggiornato";
      NATIVE_INSTALL_TANGO_MSG2        = "\nPer accedere a Connetti e gioca è necessario aggiornare la versione di Tango installata sul dispositivo.";
      NATIVE_INSTALL_TANGO_BTN2        = "Aggiorna";

      NATIVE_SERVER_ERROR_TITLE        = "Errore. Si è verificato un errore";

      FEED_GENERIC_1                   = "Ahah!";
      FEED_GENERIC_2                   = "Nizza.";
      FEED_GENERIC_3                   = "Dammi il cinque!";


      FEED_WEEKLY_1                    = "Una settimana niente male";
      FEED_WEEKLY_2                    = "Sul podio";
      FEED_WEEKLY_3                    = "La vista da qui è carina";


      FEED_UPUN_GENERIC_1              = "Fai sì che ne valga la pena.";
      FEED_UPUN_GENERIC_2              = "Finalmente!";

      FEED_UNLOCK_GENERIC_1            = "INCREDIBILE";
      FEED_UNLOCK_GENERIC_2            = "Controllalo.";


      FEED_UNLOCK_CAR2                 = "Energia magnetica!";

      FEED_UNLOCK_CAR3                 = "Comando missilistico";

      FEED_UNLOCK_CAR4_1               = "Tempo di laser!";
      FEED_UNLOCK_CAR4_2               = "Pew pew pew!";

      FEED_UNLOCK_CAR5                 = "Spara a raffica!";


      FEED_UPGRADE_MAIN                = "Più forte";

      FEED_UNLOCK_TURRET               = "Torretta sbloccata";

      FEED_UPGRADE_TURRET              = "Torretta aggiornata";

      FEED_UNLOCK_SIDE                 = "Arma laterale sbloccata";

      FEED_UPGRADE_SIDE                = "Arma laterale aggiornata";

      FEED_UNLOCK_PAINT_1              = " Nuovo lavoro di pittura";
      FEED_UNLOCK_PAINT_2              = "Nuovo colore preferito! =)";

      FEED_UPGRADE_ARMOR               = "Armatura aggiornata";

      FEED_LEVEL_UP                    = "Passa al livello superiore!";

      FEED_HIGH_SCORE_1                = "Nuovo punteggio migliore!";
      FEED_HIGH_SCORE_2                = "Qual è il tuo nuovo punteggio migliore? =)";

      FEED_MYSTERY_EPIC_1              = "Lol!";
      FEED_MYSTERY_EPIC_2              = "Uhhhh. Uou.";
      FEED_MYSTERY_EPIC_3              = "Ahahah, guarda!";

      FEED_MYSTERY_JACKPOT_1           = "JACKPOT!";
      FEED_MYSTERY_JACKPOT_2           = "Oddio, jackpot! Ahahahahah!";

      FEED_MYSTERY_KEYS_1              = "Tutte queste CHIAVI!";
      FEED_MYSTERY_KEYS_2              = "Scommetto che posso giocare per sempre adesso. =)";


      FEED_MYSTERY_COINS_1             = "Tutti questi GETTONI!";
      FEED_MYSTERY_COINS_2             = "È il momento di aggiornare TUTTO";

      FEED_MYSTERY_GEMS_1              = "Tutte queste GEMME!";
      FEED_MYSTERY_GEMS_2              = "Come farò a spendere tutto?!";

      FEED_MYSTERY_REVIVE              = "Ripristino gratuito";

      FEED_MISSION_COMPLETE_1          = "Missione completa!";
      FEED_MISSION_COMPLETE_2          = "Consideralo fatto";

      FEED_DAILY_COMPLETE_1            = "Sfida accettata";
      FEED_DAILY_COMPLETE_2            = "Ciao ciao elicottero!";
   },

   de =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "Ups! Es ist ein Fehler aufgetreten.\n\nÜberprüfen Sie, ob WLAN- oder mobile Daten aktiviert sind, und versuchen Sie es erneut.";

      NATIVE_OK_BTN                    = "Ok";
      NATIVE_TRY_AGAIN                 = "Bitte versuchen Sie es erneut";
      NATIVE_TRANS_FAIL                = "Transaktion fehlgeschlagen";
      NATIVE_LOSE_PROGRESS             = "Stellen Sie sicher, dass Sie auf Ihrem Gerät etwas Speicherplatz freigeben.\nAndernfalls können alle Fortschritte verloren gehen!";
      NATIVE_CONNECT_ERROR             = "Verbindungsfehler";
      NATIVE_PURCH_DISABLED            = "In-App-Käufe sind auf diesem Gerät deaktiviert.";
      NATIVE_CONNECT_TO_NET            = "Stellen Sie sicher, dass Ihr Gerät mit dem Internet verbunden ist.";

      NATIVE_VIDEO_ERROR               = "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG           = "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE       =  "Ups! Dateifehler";
      NATIVE_FILE_ERROR_MSG         =  "Stellen Sie sicher, dass genügend Speicherplatz auf dem Gerät vorhanden ist.";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "Aktualisierung erforderlich";
      NATIVE_UPDATE_MSG                = "Sie verwenden eine ältere Version von Road Riot, bei der wichtige Aktualisierungen fehlen. Führen Sie die Aktualisierung durch, um das Spiel weiterhin verwenden zu können.";

      NATIVE_AUTH_ERROR_TITLE_1        = "Authentifizierungsfehler";
      NATIVE_AUTH_ERROR_TITLE_2        = "Bestätigung erforderlich";

      NATIVE_NOT_ONLINE_TITLE          = "Fehler";
      NATIVE_NOT_ONLINE_MSG            = "Sie müssen online\n sein, um sich bei Tango anzumelden";

      NATIVE_DAILY_TITLE               = "Tägliche Herausforderungen sind gesperrt";
      NATIVE_DAILY_MSG_1C1             = "Sie müssen sich in Level ";
      NATIVE_DAILY_MSG_1C2             = " befinden, um die Täglichen Herausforderungen zu entsperren";
      NATIVE_DAILY_MSG_2               = "Level verbessern, um Tägliche Herausforderungen zu entsperren";

      NATIVE_MISSION_TITLE             = "Missionen sind gesperrt";
      NATIVE_MISSION_MSG_1C1           = "Sie müssen sich in Level ";
      NATIVE_MISSION_MSG_1C2           = " befinden, um Missionen zu entsperren";
      NATIVE_MISSION_MSG_2             = "Level verbessern, um Missionen zu entsperren";

      NATIVE_NO_CONTACTS_TITLE         = "Keine Tango-Kontakte gefunden";
      NATIVE_NO_CONTACTS_MSG           = "Schalten Sie in den Tango-Einstellungen die Funktion \"Adressbuch speichern\" ein.";
      NATIVE_NO_CONTACTS_BTN           = "Tango öffnen";

      NATIVE_LOAD_ERROR_TITLE          = "Fehler beim Laden Ihrer Datendatei";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "Keine Tango-Kontakte verfügbar!";
      NATIVE_CONTACTS_UNAVAL_MSG       = "Aktivieren Sie in den Datenschutzeinstellungen Ihres Telefons den Kontaktzugriff für Tango.";

      NATIVE_INSTALL_TANGO_TITLE1      = "Tango fehlt!";
      NATIVE_INSTALL_TANGO_MSG1        = "Tango muss zum Verbinden \nund Spielen installiert sein";
      NATIVE_INSTALL_TANGO_BTN1        = "Installieren";

      NATIVE_INSTALL_TANGO_TITLE2      = "Tango ist veraltet";
      NATIVE_INSTALL_TANGO_MSG2        = "Die auf diesem Gerät installierte Version von Tango muss aktualisiert werden,\ndamit ein Verbinden und Spielen möglich ist.";
      NATIVE_INSTALL_TANGO_BTN2        = "Aktualisieren";

      NATIVE_SERVER_ERROR_TITLE        = "Ups! Es ist ein Fehler aufgetreten.";

      FEED_GENERIC_1                   = "Haha!";
      FEED_GENERIC_2                   = "Cool.";
      FEED_GENERIC_3                   = "Abklatschen!";


      FEED_WEEKLY_1                    = "Keine schlechte Woche";
      FEED_WEEKLY_2                    = "Auf dem Siegertreppchen";
      FEED_WEEKLY_3                    = "Der Blick von hier ist super";


      FEED_UPUN_GENERIC_1              = "Hat sich gelohnt";
      FEED_UPUN_GENERIC_2              = "Endlich!";

      FEED_UNLOCK_GENERIC_1            = "SUPER";
      FEED_UNLOCK_GENERIC_2            = "Schau dir das mal an.";


      FEED_UNLOCK_CAR2                 = "Magnet power!";

      FEED_UNLOCK_CAR3                 = "Raketenkommando";

      FEED_UNLOCK_CAR4_1               = "Laser Time!";
      FEED_UNLOCK_CAR4_2               = "Peng peng peng!";

      FEED_UNLOCK_CAR5                 = "Jag's in die Luft!";


      FEED_UPGRADE_MAIN                = "Mehr Waffenpower";

      FEED_UNLOCK_TURRET               = "Panzerturm freigeschaltet";

      FEED_UPGRADE_TURRET              = "Panzerturm aufgerüstet";

      FEED_UNLOCK_SIDE                 = "Seitliche Waffe freigeschaltet";

      FEED_UPGRADE_SIDE                ="Seitliche Waffe aufgerüstet";

      FEED_UNLOCK_PAINT_1              = "Neue Lackierung";
      FEED_UNLOCK_PAINT_2              = "Neue Lieblingsfarbe =)";

      FEED_UPGRADE_ARMOR               = "Panzerung aufgerüstet";

      FEED_LEVEL_UP                    = "Level Up!";

      FEED_HIGH_SCORE_1                = "Neuer Highscore!";
      FEED_HIGH_SCORE_2                = "was war nochmal dein Highscore? =)";

      FEED_MYSTERY_EPIC_1              = "lol!";
      FEED_MYSTERY_EPIC_2              = "ohhh. wow.";
      FEED_MYSTERY_EPIC_3              = "hahaha, schau mal!";

      FEED_MYSTERY_JACKPOT_1           = "JACKPOT!";
      FEED_MYSTERY_JACKPOT_2           = "OMG Jackpot! hahahahaha!";

      FEED_MYSTERY_KEYS_1              = "So viele SCHLÜSSEL!";
      FEED_MYSTERY_KEYS_2              = "Jetzt kann ich ewig spielen. =)";


      FEED_MYSTERY_COINS_1             = "So viele MÜNZEN!";
      FEED_MYSTERY_COINS_2             = "Es wird Zeit ALLES aufzurüsten";

      FEED_MYSTERY_GEMS_1              = "So viele EDELSTEINE!";
      FEED_MYSTERY_GEMS_2              = "Wie kann ich die denn überhaupt alle ausgeben?!";

      FEED_MYSTERY_REVIVE              = "Kostenloses Revive";

      FEED_MISSION_COMPLETE_1          = "Mission abgeschlossen!";
      FEED_MISSION_COMPLETE_2          = "Fertig";

      FEED_DAILY_COMPLETE_1            = "Herausforderung angenommen";
      FEED_DAILY_COMPLETE_2            = "Und tschüss, Hubschrauber!";

   },

   he =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "סליחה! אירעה שגיאה.\n\nודא שיש לך wi-fi או טלפון נייד המותאמים לשימוש בנתונים ונסה שוב.";

      NATIVE_OK_BTN                    = "אישור";
      NATIVE_TRY_AGAIN                 = "נסה שוב";
      NATIVE_TRANS_FAIL                = "העסקה נכשלה";
      NATIVE_LOSE_PROGRESS             = "הקפד לפנות שטח במכשיר\nאתה עלול לאבד את כל ההתקדמות שלך!";
      NATIVE_CONNECT_ERROR             = "שגיאת התחברות";
      NATIVE_PURCH_DISABLED            = "הרכישות בתוך היישום אינן זמינות במכשיר זה";
      NATIVE_CONNECT_TO_NET            = "ודא שהמכשיר מחובר לאינטרנט.";

      NATIVE_VIDEO_ERROR               = "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG           = "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE       =  "סליחה! שגיאת קובץ";
      NATIVE_FILE_ERROR_MSG         =  "ודא שיש לך במכשיר די שטח לשמירה.";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "דרוש עדכון";
      NATIVE_UPDATE_MSG                = "במכשיר שלך מופעלת גרסה ישנה יותר של Road Riot, שחסרים בה עדכונים קריטיים. עדכן כדי להמשיך במשחק.";

      NATIVE_AUTH_ERROR_TITLE_1        = "שגיאת אימות";
      NATIVE_AUTH_ERROR_TITLE_2        = "דרוש אישור";

      NATIVE_NOT_ONLINE_TITLE          = "שגיאה";
      NATIVE_NOT_ONLINE_MSG            = "עליך להיות מקוון\n כדי להירשם ב-Tango";

      NATIVE_DAILY_TITLE               = "האתגרים היומיים נעולים";
      NATIVE_DAILY_MSG_1C1             = "עליך להיות ברמה המתאימה ";
      NATIVE_DAILY_MSG_1C2             = " כדי לבטל את נעילת האתגרים היומיים";
      NATIVE_DAILY_MSG_2               = "עלה רמה כדי לבטל את נעילת האתגרים היומיים";

      NATIVE_MISSION_TITLE             = "המשימות נעולות";
      NATIVE_MISSION_MSG_1C1           = "עליך להיות ברמה המתאימה ";
      NATIVE_MISSION_MSG_1C2           = " כדי לבטל את נעילת המשימות";
      NATIVE_MISSION_MSG_2             = "עלה רמה כדי לבטל את נעילת המשימות";

      NATIVE_NO_CONTACTS_TITLE         = "לא נמצאו אנשי קשר של Tango";
      NATIVE_NO_CONTACTS_MSG           = "ב'הגדרות Tango', העבר את 'שמור פנקס כתובות' למצב מופעל.";
      NATIVE_NO_CONTACTS_BTN           = "פתח את Tango";

      NATIVE_LOAD_ERROR_TITLE          = "שגיאה בטעינת קובץ הנתונים שלך";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "אנשי הקשר של Tango אינם זמינים!";
      NATIVE_CONTACTS_UNAVAL_MSG       = "בהגדרות הפרטיות של הטלפון, הפעל את הגישה לאנשי הקשר של Tango.";

      NATIVE_INSTALL_TANGO_TITLE1      = "Tango חסר!";
      NATIVE_INSTALL_TANGO_MSG1        = "יש להתקין את Tango \nכדי להתחבר ולשחק.";
      NATIVE_INSTALL_TANGO_BTN1        = "התקן";

      NATIVE_INSTALL_TANGO_TITLE2      = "Tango אינו בתוקף";
      NATIVE_INSTALL_TANGO_MSG2        = "יש לעדכן את הגרסה של Tango המותקנת במכשיר זה \nכדי להתחבר ולשחק.";
      NATIVE_INSTALL_TANGO_BTN2        = "עדכן";

      NATIVE_SERVER_ERROR_TITLE        = "סליחה! אירעה שגיאה";

      FEED_GENERIC_1                   = "חחח!";
      FEED_GENERIC_2                   = "נחמד";
      FEED_GENERIC_3                   = "הידד!";


      FEED_WEEKLY_1                    = "שבוע לא רע";
      FEED_WEEKLY_2                    = "על הפודיום";
      FEED_WEEKLY_3                    = "הנוף נראה נחמד מכאן";


      FEED_UPUN_GENERIC_1              = "שווה את זה";
      FEED_UPUN_GENERIC_2              = "סוף סוף!";

      FEED_UNLOCK_GENERIC_1            = "מדהים";
      FEED_UNLOCK_GENERIC_2            = "בדוק את זה";


      FEED_UNLOCK_CAR2                 = "כוח מגנט!";

      FEED_UNLOCK_CAR3                 = "פיקוד טילים";

      FEED_UNLOCK_CAR4_1               = "זמן לייזר!";
      FEED_UNLOCK_CAR4_2               = "בום בום בום!";

      FEED_UNLOCK_CAR5                 = "פוצץ!";


      FEED_UPGRADE_MAIN                = "עוצמת אש נוספת";

      FEED_UNLOCK_TURRET               = "הצריח נפתח";

      FEED_UPGRADE_TURRET              = "הצריח שודרג";

      FEED_UNLOCK_SIDE                 = "נשק צד נפתח";

      FEED_UPGRADE_SIDE                = "נשק צד שודרג";

      FEED_UNLOCK_PAINT_1              = "עבודת צבע חדשה";
      FEED_UNLOCK_PAINT_2              = "צבע אהוב חדש! =)";

      FEED_UPGRADE_ARMOR               = "השריון שודרג";

      FEED_LEVEL_UP                    = "רמה מעלה!";

      FEED_HIGH_SCORE_1                = "שיא חדש!";
      FEED_HIGH_SCORE_2                = "מה השיא שלך שוב? =)";

      FEED_MYSTERY_EPIC_1              = "חחח!";
      FEED_MYSTERY_EPIC_2              = "אוו. וואה";
      FEED_MYSTERY_EPIC_3              = "חחח, תראה!";

      FEED_MYSTERY_JACKPOT_1           = "הפרס הגדול!";
      FEED_MYSTERY_JACKPOT_2           = "ואו, הפרס הגדול! חחחחח!";

      FEED_MYSTERY_KEYS_1              = "כל כך הרבה מפתחות!";
      FEED_MYSTERY_KEYS_2              = "אני מניח שאוכל לשחק עכשיו לנצח. =)";


      FEED_MYSTERY_COINS_1             = "כל כך הרבה מטבעות!";
      FEED_MYSTERY_COINS_2             = "הגיע הזמן לשדרג הכול";

      FEED_MYSTERY_GEMS_1              = "כל כך הרבה אבני חן!";
      FEED_MYSTERY_GEMS_2              = "כיצד אוכל לבזבז את כולן?!";

      FEED_MYSTERY_REVIVE              = "פסילה חינמית";

      FEED_MISSION_COMPLETE_1          = "המשימה הושלמה!";
      FEED_MISSION_COMPLETE_2          = "בוצע";

      FEED_DAILY_COMPLETE_1            = "האתגר התקבל!";
      FEED_DAILY_COMPLETE_2            = "ביי ביי מסוק!";
   },

   zh_hant =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "抱歉！發生錯誤。\n\n請檢查您是否已啟用 Wi-Fi 或行動數據連線，然後再試一次。";

      NATIVE_OK_BTN                    = "確定";
      NATIVE_TRY_AGAIN                 = "請重試";
      NATIVE_TRANS_FAIL                = "交易失敗";
      NATIVE_LOSE_PROGRESS             = "請務必釋放裝置上的部分空間\n您可能會遺失所有進度！";
      NATIVE_CONNECT_ERROR             = "連線錯誤";
      NATIVE_PURCH_DISABLED            = "此裝置已停用應用程式內建購買功能";
      NATIVE_CONNECT_TO_NET            = "請確定您的裝置連線到網際網路。";

      NATIVE_VIDEO_ERROR               = "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG           = "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE       =  "抱歉！檔案錯誤";
      NATIVE_FILE_ERROR_MSG         =  "請確定您的裝置上有足夠的空間可以儲存檔案。";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "需要更新";
      NATIVE_UPDATE_MSG                = "您執行的是舊版 Road Riot，其中少了重要的更新。請更新以便繼續玩遊戲。";

      NATIVE_AUTH_ERROR_TITLE_1        = "驗證錯誤";
      NATIVE_AUTH_ERROR_TITLE_2        = "需要驗證";

      NATIVE_NOT_ONLINE_TITLE          = "錯誤";
      NATIVE_NOT_ONLINE_MSG            = "您需要連線才能\n登入 Tango";

      NATIVE_DAILY_TITLE               = "每日挑戰已鎖定";
      NATIVE_DAILY_MSG_1C1             = "您需要升級";
      NATIVE_DAILY_MSG_1C2             = " 才能解除鎖定每日挑戰";
      NATIVE_DAILY_MSG_2               = "升級以便解除鎖定每日挑戰";

      NATIVE_MISSION_TITLE             = "任務已鎖定";
      NATIVE_MISSION_MSG_1C1           = "您需要升級 ";
      NATIVE_MISSION_MSG_1C2           = " 才能解除鎖定任務";
      NATIVE_MISSION_MSG_2             = "升級以便解除鎖定任務";

      NATIVE_NO_CONTACTS_TITLE         = "找不到 Tango 連絡人";
      NATIVE_NO_CONTACTS_MSG           = "在 Tango 設定中，將「儲存通訊錄」設為開啟。";
      NATIVE_NO_CONTACTS_BTN           = "開啟 Tango";

      NATIVE_LOAD_ERROR_TITLE          = "載入資料檔案時發生錯誤";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "無可用的 Tango 連絡人！";
      NATIVE_CONTACTS_UNAVAL_MSG       = "在您手機的隱私權設定中，啟用 Tango 的連絡人存取權限。";

      NATIVE_INSTALL_TANGO_TITLE1      = "Tango 遺失！";
      NATIVE_INSTALL_TANGO_MSG1        = "必須安裝 Tango\n才能通話與玩遊戲。";
      NATIVE_INSTALL_TANGO_BTN1        = "安裝";

      NATIVE_INSTALL_TANGO_TITLE2      = "Tango 已過期";
      NATIVE_INSTALL_TANGO_MSG2        = "安裝在此裝置上的 Tango 版本必須更新\n才能通話與玩遊戲。";
      NATIVE_INSTALL_TANGO_BTN2        = "更新";

      NATIVE_SERVER_ERROR_TITLE        = "抱歉！發生錯誤";

      FEED_GENERIC_1                   = "哈哈！";
      FEED_GENERIC_2                   = "讚喔。";
      FEED_GENERIC_3                   = "擊個掌！";


      FEED_WEEKLY_1                    = "這周成績還不賴";
      FEED_WEEKLY_2                    = "在墩座上";
      FEED_WEEKLY_3                    = "這裡的視野很好";


      FEED_UPUN_GENERIC_1              = "值得。";
      FEED_UPUN_GENERIC_2              = "終於！";

      FEED_UNLOCK_GENERIC_1            = "太讚了";
      FEED_UNLOCK_GENERIC_2            = "快來看看。";


      FEED_UNLOCK_CAR2                 = "磁鐡威力！";

      FEED_UNLOCK_CAR3                 = "飛彈操控";

      FEED_UNLOCK_CAR4_1               = "雷射時間！";
      FEED_UNLOCK_CAR4_2               = "咻咻咻！";

      FEED_UNLOCK_CAR5                 = "炸翻天！";


      FEED_UPGRADE_MAIN                = "更多火力";

      FEED_UNLOCK_TURRET               = "砲塔已解除鎖定";

      FEED_UPGRADE_TURRET              = "砲塔已升級";

      FEED_UNLOCK_SIDE                 = "側置式武器已解除鎖定";

      FEED_UPGRADE_SIDE                ="側置式武器已升級";

      FEED_UNLOCK_PAINT_1              = "新增上色工作";
      FEED_UNLOCK_PAINT_2              = "新增最愛的顏色！=)";

      FEED_UPGRADE_ARMOR               = "裝甲已升級";

      FEED_LEVEL_UP                    = "等級升級！";

      FEED_HIGH_SCORE_1                = "刷新高分！";
      FEED_HIGH_SCORE_2                = "你的最高分數是？=)";

      FEED_MYSTERY_EPIC_1              = "lol!";
      FEED_MYSTERY_EPIC_2              = "啊~哇哦。";
      FEED_MYSTERY_EPIC_3              = "哈哈，快看！";

      FEED_MYSTERY_JACKPOT_1           = "中大獎！";
      FEED_MYSTERY_JACKPOT_2           = "天哪，中大獎了！哇哈哈哈！";

      FEED_MYSTERY_KEYS_1              = "好多鑰匙！";
      FEED_MYSTERY_KEYS_2              = "看來我可以一直玩下去囉。=)";


      FEED_MYSTERY_COINS_1             = "好多金鑰！";
      FEED_MYSTERY_COINS_2             = "是時候將一切升級了";

      FEED_MYSTERY_GEMS_1              = "好多寶石！";
      FEED_MYSTERY_GEMS_2              = "這麼多要怎麼花呀？！";

      FEED_MYSTERY_REVIVE              = "免費恢復體力";

      FEED_MISSION_COMPLETE_1          = "任務完成！";
      FEED_MISSION_COMPLETE_2          = "全部完成";

      FEED_DAILY_COMPLETE_1            = "接受挑戰！";
      FEED_DAILY_COMPLETE_2            = "直昇機再見囉！";

   },

   zh_hans =
   {
      DEFAULT_ERROR_NETWORK_MESSAGE    = "哎呀！发生错误。\n\n请检查您是否启用了 Wi-Fi 或移动数据功能，然后再试一次。";

      NATIVE_OK_BTN                 =  "确定";
      NATIVE_TRY_AGAIN              =  "请重试";
      NATIVE_TRANS_FAIL             =  "事务处理失败";
      NATIVE_LOSE_PROGRESS          =  "请确保在您的设备上释放一些可用的空间\n您可能会失去您的所有进度！";
      NATIVE_CONNECT_ERROR          =  "连接错误";
      NATIVE_PURCH_DISABLED         =  "此设备上已禁用应用内购买";
      NATIVE_CONNECT_TO_NET         =  "请确保您的设备已连接到互联网。";

      NATIVE_VIDEO_ERROR            =  "Video Not Available";
      NATIVE_VIDEO_ERROR_MSG        =  "Make sure you have a strong Internet connection and please try again later";

      NATIVE_FILE_ERROR_TITLE       =  "哎呀！文件错误";
      NATIVE_FILE_ERROR_MSG         =  "请确保您的设备上有足够的空间来进行保存。";

      NATIVE_DATA_MERGE_TITLE       =  "Data Merge";
      NATIVE_DATA_MERGE_MSG         =  "Your data did not quite match up with the server. Expect minor issues.";

      NATIVE_UPDATE_TITLE              = "需要更新";
      NATIVE_UPDATE_MSG                = "您正在运行旧版 Road Riot，其中缺少关键的更新项目。请进行更新，以便继续玩下去。";

      NATIVE_AUTH_ERROR_TITLE_1        = "验证错误";
      NATIVE_AUTH_ERROR_TITLE_2        = "需要验证";

      NATIVE_NOT_ONLINE_TITLE          = "错误";
      NATIVE_NOT_ONLINE_MSG            = "您需要在线\n登录到 Tango";

      NATIVE_DAILY_TITLE               = "每日挑战已锁定";
      NATIVE_DAILY_MSG_1C1             = "您需要到第 ";
      NATIVE_DAILY_MSG_1C2             = " 级才能解除每日挑战锁定";
      NATIVE_DAILY_MSG_2               = "提升级别以解除每日挑战锁定";

      NATIVE_MISSION_TITLE             = "任务已锁定";
      NATIVE_MISSION_MSG_1C1           = "您需要到第 ";
      NATIVE_MISSION_MSG_1C2           = " 级才能解除任务锁定";
      NATIVE_MISSION_MSG_2             = "提升级别以解除任务锁定";

      NATIVE_NO_CONTACTS_TITLE         = "未找到 Tango 联系人";
      NATIVE_NO_CONTACTS_MSG           = "在 Tango 设置中，将“保存通讯簿”设置成开启状态。";
      NATIVE_NO_CONTACTS_BTN           = "打开 Tango";

      NATIVE_LOAD_ERROR_TITLE          = "加载您的数据文件时出错";

      NATIVE_CONTACTS_UNAVAL_TITLE     = "无 Tango 联系人可供选择！";
      NATIVE_CONTACTS_UNAVAL_MSG       = "在您手机的隐私设置中启用 Tango 联系人访问权。";

      NATIVE_INSTALL_TANGO_TITLE1      = "缺失 Tango！";
      NATIVE_INSTALL_TANGO_MSG1        = "必须安装 Tango\n才能连线玩。";
      NATIVE_INSTALL_TANGO_BTN1        = "安装";

      NATIVE_INSTALL_TANGO_TITLE2      = "Tango 过时了";
      NATIVE_INSTALL_TANGO_MSG2        = "必须更新此设备上安装的 Tango 版本\n才能连线玩。";
      NATIVE_INSTALL_TANGO_BTN2        = "更新";

      NATIVE_SERVER_ERROR_TITLE        = "哎呀！发生错误";

      FEED_GENERIC_1                   = "哈哈！";
      FEED_GENERIC_2                   = "不错。";
      FEED_GENERIC_3                   = "击掌！";


      FEED_WEEKLY_1                    = "这周还不错";
      FEED_WEEKLY_2                    = "在领奖台上";
      FEED_WEEKLY_3                    = "从这儿看最好";


      FEED_UPUN_GENERIC_1              = "值得。";
      FEED_UPUN_GENERIC_2              = "最终！";

      FEED_UNLOCK_GENERIC_1            = "太棒了";
      FEED_UNLOCK_GENERIC_2            = "来看看这个";


      FEED_UNLOCK_CAR2                 = "磁力！";

      FEED_UNLOCK_CAR3                 = "导弹指令";

      FEED_UNLOCK_CAR4_1               = "激光时间！";
      FEED_UNLOCK_CAR4_2               = "碰碰碰！";

      FEED_UNLOCK_CAR5                 = "爆炸了！";


      FEED_UPGRADE_MAIN                = "加大火力";

      FEED_UNLOCK_TURRET               = "炮塔已解锁";

      FEED_UPGRADE_TURRET              = "炮塔已升级";

      FEED_UNLOCK_SIDE                 = "侧翼的武器已经解锁";

      FEED_UPGRADE_SIDE                ="侧翼的武器已经升级";

      FEED_UNLOCK_PAINT_1              = "新的喷漆工作";
      FEED_UNLOCK_PAINT_2              = "最爱的新色彩！=)";

      FEED_UPGRADE_ARMOR               = "装甲已升级";

      FEED_LEVEL_UP                    = "提升级别！";

      FEED_HIGH_SCORE_1                = "新的高分记录！";
      FEED_HIGH_SCORE_2                = "你再次获取的高分是多少？=)";

      FEED_MYSTERY_EPIC_1              = "哈哈大笑！";
      FEED_MYSTERY_EPIC_2              = "啊~哇哦。";
      FEED_MYSTERY_EPIC_3              = "哈哈哈，看！";

      FEED_MYSTERY_JACKPOT_1           = "中大奖！";
      FEED_MYSTERY_JACKPOT_2           = " 天哪，中大奖了！哈哈哈哈！";

      FEED_MYSTERY_KEYS_1              = "好多钥匙！";
      FEED_MYSTERY_KEYS_2              = "看来我可以一直玩下去了。=)";


      FEED_MYSTERY_COINS_1             = "好多金币！";
      FEED_MYSTERY_COINS_2             = "是时候将一切升级了";

      FEED_MYSTERY_GEMS_1              = "好多宝石！";
      FEED_MYSTERY_GEMS_2              = "这么多要怎么花呀？！";

      FEED_MYSTERY_REVIVE              = "免费恢复体力";

      FEED_MISSION_COMPLETE_1          = "任务完成！";
      FEED_MISSION_COMPLETE_2          = "全部完成";

      FEED_DAILY_COMPLETE_1            = "接受挑战！";
      FEED_DAILY_COMPLETE_2            = "直升机再见喽！";
   },
};

return stringTable;

-------------------------------------------------------------------------------------
